 Welcome to MED Soundstudio

Introduction to MED SoundStudio V1.7a

MED SoundStudio is a professional musicians tool for the creation of music, either with the use of disk based samples, internal synthsounds, or even connect MED to a MIDI Keyboard.

MED SoundStudio capabilities include, 64 stereo channels at 16 bit playback with real time effects. These includes stereo, panning with filter sweeps with resonance cutoff frequency switches.
Plus many other options for making music on the computer.

First Time users Please Read

As MED SoundStudio has many functions and options, it is suggested that you read through this help file to gain some familiarity with the program.

This should help in the creation of your music.

Important Information

Due to the high amount of spam being sent to previously listed e-mail addresses, we now ask that you join the MED Mailing List and post your requests for help.
( Also See The "Contact Information and Credits" Link )

All graphics reproduced by kind permission and copyright to the respective owners

MED SoundStudio and all associated files are © RBF Software 1990-2007


 Getting help
Getting help

The MED help system comprises:

The main help. Look out for the following:
  • General introductions to MED's main facilities
  • Step-by-step procedures, explaining how to do things with MED
  • Overviews, which introduce a set of procedures
  • Reference section, providing reference details such as keyboard shortcuts
  • Find topics using the Contents or Index tabs
Balloon Help. In any dialog:
  1. To use the balloon help, place the mouse cursor over any area you would like help with and within a short time a bubble dialog box will pop up. This will explain how to use that part of MED.
  2. To switch this function off, choose 'Settings/Others', then select 'Showballonhelp' and set its value to 'false'. Now restart the program for the new settings to take place. If you require the balloon help again, set its value to 'True' and restart the program again. The balloon help will return.

    Note: Due to the nature of the balloon help, if any area of the dialog box is 'grayed out' then there will be no help available for that part. Help will only be available if that area has any value attached.

Menu Help. Help on menu items.

  1. Highlight the menu item,
  2. Press F1,
  3. This will invoke the main help file on the MED main screen.

Also see


 Amiga version

For previous users of the Amiga version

The name OctaMED has been changed to MED Soundstudio (which is abbreviated to MED).
This is because 'Octa', which referred to the 8-channel mode on the Amiga, is not relevant in the PC version.

Most of the user interface should be fairly familiar. Rest the mouse over any graphical toolbar button to display its name. Use the main help for more details.

Main new features

  • Enhanced MIDI support, including multiple MIDI outputs and inputs, banks, built-in common patch names, special GM support. Most PC owners have at least one MIDI instrument in their soundcard!
  • Effects groups – different effects (echo, stereo separation, filter) can be applied to different tracks
  • Song editor enhancements:
  • An extra player command level. This is currently used in the new filtering commands (23, 24 and 25), pitch slide commands, and 14-bit MIDI controller commands.
  • Easier entering of player commands – right-click on the song editor (Tracker editor) and select Insert Command
  • Special notes, entered with Shift+1/2/4/F/S (play at 11025/22050/44100 Hz, default frequency, stop note)
  • Track names (above the tracks)
  • More display options – select Display from the Settings menu
  • Better selection marking – try double-clicking or holding down Alt
  • New sample editor features (improved filter, time stretch, compand)
  • Loading of Fasttracker 2 and ImpulseTracker modules (not all features are supported). Also, PowerPacked Amiga files are loaded correctly.
  • New instrument pool features (Rescan This Folder, multiple loading, renaming and more). The instrument pool is the new name for the sample list. The MED_paths file is now Instruments.txt.

Main changes to existing features

  • The only channel mode on the PC is mix. This makes things simpler, and gives you all the advantages of the Amiga's mix mode:
  • Has 64 tracks available rather than 32.
  • Effects: echo, cross echo, stereo separation, filter
  • Track panning (stereo location)
  • Several additional player commands (20, 21, 22, 2E, 2F)
  • Sample length limited only by available memory
  • Saving the song as a sample
  • 6-octave range rather than 3. (The old 4-channel notes C-1 to B-3 are now C-3 to B-5)
  • Different module and sample compression (they appear in the Save Module file dialog)
  • Transpose has been split into Transpose and Find & Replace – the latter replaces the Replace Notes window.
  • Volume levels are 0 – 127 rather than 0 – 64. (Player command 0C always sets the volume in hexadecimal.)

Main removed features

  • Notation editor – many dedicated notation packages are available
  • Support for specific Amiga 16-bit soundcards (there is general 16-bit sample support)
  • ARexx – there is no system scripting language in Windows.
  • Configurable keyboard shortcuts and mouse buttons
  • Some MIDI facilities: slave mode, immediate preset change, external sync, send MIDI reset, send local control
  • Save timer
  • Song printing
  • Line highlighting
  • Input map editor
  • Equalizers
  • XPK packers not supported (This was native to the Amiga) How

Some of these features may return in future versions of MED.

Also see


Contact details and credits
Bug reports, suggestions, questions, comments can be sent to the following sources:

Mail List:

Open to all registered MED users. Visit the MED Mailing List
This is the recommended avenue for registered users to contact us quickly.
The MED Support Forum:
This is open to both registered and non-registered users. Visit the MED SoundStudio support site
This is the recommended avenue for almost all other MED related purposes
From RBFSoftware

The main V1.XX programmer, James – for bug reports, suggestions and technical questions.

E-mail: James

The publisher, Ray Burt-Frost – for questions concerning release dates, sales, copyright etc.

E-mail: Support
Postal: 169 Dale Valley Road, Bassett, SOUTHAMPTON, SO16 6QX, United Kingdom. Please enclose an SAE or IRC for reply.

The help author, John Neill – for bug reports, suggestions and questions concerning the on-line help system.

E-mail: John
More help and credits

Also see More help

Credits Program Credits Thanks and Raspberries

My Personal Thanks


Loading and saving modules

Modules: Loading, saving, playing 1/4

Loading and saving modules

As well as being able to load any module composed in MED, you can also load modules of other formats, and load a module automatically upon startup.

You can also load and save individual songs in a module. For more about multiple songs, click here.

How To

  • Load a module
  • Load a song as part of a module
  • Save a module
  • Save a module as a sample
  • Save one song from a module
  • Set your usual modules folder
  • Attach a message to a module


 Loading a module

Loading and saving modules 1/7

Loading a module

To load a module using a file dialog

  1. Click [image] or select Open from the File menu.
  2. If desired, display only particular module file types using File of type. These types can all be loaded by MED. For more details, click
  3. Select a module to load. The module currently in memory will be replaced, because there can only be one module in memory at once.

To load a module using drag-and-drop

  1. Open a window that contains the module's file name, using Windows Explorer (or perhaps Find).
  2. Drag the file name to the MED window. The module currently in memory will be replaced, because there can only be one module in memory at once.

To load a module by double-clicking on its icon

  1. Open a window that contains the module's file name, using Windows Explorer (or perhaps Find).
  2. Double-click on the file name.

This only works if you have associated the MED program with that file type (for example, .med or .mid). To make the association:

  1. In a Windows Explorer window, select Options from the View menu.
  2. Select the File Types tab, then either find the appropriate type in the list and click Edit, or click New to create a new file type.

You might, for example, create a MED Music Modules type, for the extension .med.

  3. To edit an existing action, double-click on an action (bottom of dialog). Or click New to create a new action. (Name the action Open, for example.)
  4. Click the Browse button next to the Application used to perform action box, and select the MED program in the folder.
  5. Surround the MED path and file name in quotes (if not already), then add a space and "%1" after the name. For example:

"C:\Program Files\MED\MED.exe" "%1"

This allows file names containing spaces to load correctly.

  6. Ensure that the action just edited or created is in bold, by clicking on the action then click Set Default.

Otherwise, it will be an option in a context menu – in step 2 above, right-click on the file name (rather than double-clicking), then select the action from the menu that appears.

To load a module automatically on startup

  • Save the module under the name default.med, in the same folder as the MED program. How?

Notes

  • MED can load modules composed in a variety of music programs. Click here for a list of recognised module formats.
  • Some MED modules are saved without their instruments. When loading them, MED locates each instrument required using the instrument pool, and loads them from disk. A message appears if any instruments cannot be found.

Other controls

  • Loading a MIDI module or .mid (MIDI) file
  • Setting your usual modules folder


 Loading a song as part of a module

Loading and saving modules 2/7

Loading a song as part of a module

  1. If necessary, add a new song to contain the song to be loaded. How?
  2. If necessary, select the song which will contain the loaded song. (This may have been added in the previous step.)
  3. Select Open Song from the File menu. Choose the required song in the file dialog. How?

Note

  • All songs share the same instrument set, so MED loads the new song's instruments into empty positions, and renumbers the song's instrument numbers accordingly. (Only instruments that are actually used by the new song are loaded.)


 Saving a module

Loading and saving modules 3/7

Saving a module

Saving options include the file name, file type, and compression options.

To save the module using its current saving options

  • Click [image] or select Save from the File menu.

If the module has not been saved before, this will open the Save As file dialog. You should continue from step 2 below.

To save the module using different options

  1. Select Save As from the File menu.
  2. To save the module as a .mid (MIDI) file, select MIDI Files from the Save as type drop-down box.

MIDI modules can be saved in the usual .med format, but .mid files are compatible with many other programs. However, some information may not be saved in .mid files – in particular, there is no support for changing banks and presets.

  3. To save the module without instruments, select MED Modules (without instruments) from the Save as type drop-down box.

Only the instrument names will be saved, and on loading the module, MED will use the instrument pool to locate and load instruments individually from disk. This does not apply to MIDI instruments.

To save the module with instruments, leave the Save as type drop-down box at MED Modules.

  4. To save the module as an .exe (executable) file:
  1. Select Executable Files from the Save as type drop-down box.
  2. Ensure that the filename ends in .exe.

Executable files can be run as normal programs, without MED installed.

  5. The module and samples can be compressed, saving disk space. They are automatically decompressed by MED when loaded. Compression and decompression may take time.
  1. To compress the module, switch on the Module check box. LZO compression is used, and no sound quality is lost.
  2. To compress the samples, select an item from the Samples drop-down box. The further down the drop-down box, the tighter the compression, but the more sound quality is lost.
  6. If necessary, type a different filename into the File name box. Ensure that it ends with the correct extension (.med or .mid).
  7. Click Save.


Record VIA plugin

Record VIA Plugins 4/7

Saving Modules as samples VIA the 'Record as plugin'

MED gives the user a choice of recording a module as a sample, either from the record to sample or via plugin capabilities. This is useful for the use with other multimedia software or in preparation to 'cutting or burning' your song to CD for others to listen to on their own stereo player or Hi-fi.

Record VIA Sample

The Record VIA sample dialog gives the following options.

  1. Set the destination path: The path (Folder or Disk) in which the sample will be recorded, recorded samples use a lot of hard disk space and for this it is recommended that you have a large hard drive with plenty of space. A floppy disk is not recommend.
  2. File format: This is the destination file format of the recorded sample, the choices are:
    • RIFF WAVE: The sound file format native to the Windows Operating system.
    • AIFF: The sound file format native to the MAC.
    • IFF MAUD: A sound format native to the Amiga 'toccata' sound card.
    • RAW DATA: saves the sample as raw data, no header file.

    All the above file formats can be used with almost any music or sampling software.

  3. Sample properties: Displays the properties of the sample to be recorded.
    • Channels:
      • Stereo, uses two channels for the sample and gives the sound width on both speakers. i.e. the sound will 'bounce from speaker to speaker'.
      • Mono, Uses only one channel for the sample and sound will be exactly the same on both speakers.
    • Bit-Depth: 8-bit and 16-bit are common depths.
      • 8-bit, Uses less memory and hard disk space, but the quality is poorer in quality and produce hiss and unwanted noise.
      • 16-bit, Uses more hard disk space, higher quality and the recommended bit format to use.

    • T he Sample Rate (Sampling Rate or Sampling Frequency) The number of samples per second used to store a sound or record a sound. High sample rates such as 44100hz provide higher 'fidelity' than lower sample rates as 11,025 Hz. 44100hz is the cycles of sample used on a CD-ROM.

      However, The higher the sample rate the more space is required on disk.

    Tip: If needed, always record at 16-bit and down-sample to 8-bit. The final 8-bit sample will be better in quality.

  4. Recorded duration: Displays the amount of time during the recording process.
  5. Destination file size: Displays the size of the sample will recoding.
  6. Recording speed: The speed of which the sample will be recorded to hard disk, this will not affect the final outcome of the sample.
  7. Other controls:
    • Record Song, Records the current module from the beginning of the song sequence to the song end.
    • Continue Song, This will continue the recording process in the current song, from the the moment it was stopped.
    • Record Block, Records the current block over an over until stopped.
    • Continue Block, This will continue the recording process in the current block at the line stopped.
    • Stop Recording, Stops the recording process.

    If no path as been set, at the recording point, MED will ask for a path for the recording.

Record VIA Plugin

  1. Pull Down Menu: Use the pull down menu <select plugin> to select the plugin for recording the sample with.
  2. Select: Use the [image] button to select the path in which the plugin's are installed, normally this will be in the MED main folder under plugins.
  3. Configure Plugin: Selects the path to save the sample to disk, once selected, the sample format properties box will appear.
    • Null soft MP3 plugin:
      • Name: Give a name to the format to be used, this maybe anything you choose.
      • Save As: Save the above named format to the pull down menu.
      • Remove: Removes the named format from the pull down menu.
      • Format: Which format to use, use the pull down menu for choices.
      • Attributes: The attributes to use with the named format:
        • Bit depth
        • Sample rate
        • Channels
        • kilo bytes per second
  4. Play/Record: Records the plugin for the beginning of the song to the end, to the path specified.
  5. Displays the amount of time during the recording process.


 Saving one song from a module

Loading and saving modules 5/7

Saving one song from a module

  1. If necessary, select the song to be saved. How?
  2. Follow the steps for To save the module using different options, except in step 3, select either MED Module (current song) or MED Module (current song w/o samples).


 Setting your usual modules folder

Loading and saving modules 6/7

Setting your usual modules folder

This sets the folder that MED initially uses, when you select Open, Save or Save As from the File menu. If not set, MED uses the folder containing the MED program.

To set your usual modules folder

  1. Open the Miscellaneous Settings dialog.
  2. Select the folder using the Browse button beside Modules, or type a path directly into the Modules text box.


 Attaching a message to a module

Loading and saving modules 7/7

Attaching a message to a module

A module's annotation text can be greetings, the author's name and contact address, comments on the module, a copyright notice, and so on. It is saved with the module.

To attach a message to a module

  1. Open the Module Annotation dialog.
  2. If desired, type a one-line message into Short Text. When the module is reloaded, the text is displayed on the main window's status line (at the very bottom).
  3. If desired, type a longer message into Long Text.


 Playing, stopping, song speed

Modules: Loading, saving, playing 2/4

Playing, stopping, song speed

A song will only play correctly if it has a playing sequence, the order in which to play the blocks. For more details, click

How To

  • Play, continue or stop a song or a block
  • Stop playing in an emergency
  • Set the playing speed (tempo)
  • Time part of a song or block


 Playing, continuing or stopping a song or block

Playing, stopping, song speed 1/4

Playing, continuing or stopping a song or block

To play, continue and stop a song

  1. If necessary, create a playing sequence. This is the order in which to play the blocks in your song. How?
  2. To play the song, click [image] or press Shift+Ctrl+Space
  3. To stop the song, click [image] or press Space
  4. To play the song from where it stopped, click [image] or press Shift+Space
  5. To stop the song again, click [image] or press Space

To play, continue and stop a block

  1. If necessary, select the block to be played. How?
  2. To play the block, click [image] or press Ctrl+Alt+Space
  3. To stop the block, click [image] or press Space
  4. To play the block from where it stopped, click [image] or press Ctrl+Space
  5. To stop the block again, click [image] or press Space

Notes

  • While playing a song, you could keep the Playing Sequence dialog open. The line marker advances down the sequence as each block is played.
  • When the song or block reaches its end, it will start again. You can stop the song or block prematurely using an 0FFE player command. You can also stop the song after a particular playing sequence entry, using a playing sequence command.

Especially see also

  • Stopping playing in an emergency


 Stopping playing in an emergency

Playing, stopping, song speed 2/4

Stopping playing in an emergency

In rare cases, MED may become unstable during playback. If clicking [image] or pressing the space bar does not help, try an emergency stop.

To stop playing in an emergency using the keyboard

  1. Press the space bar (to stop the module).
  2. If the module does not stop, press WIN+M (where WIN is the Windows key, assuming you have a Windows keyboard).

This will minimise all windows, which may free enough processor time to stop the module (that is, processor time spent updating the song editor).

Especially see also

  • Playing, continuing or stopping a song or block


 Setting the playing speed (tempo)

Playing, stopping, song speed 3/4

Setting the playing speed (tempo)

This describes how to set the tempo in BPM (beats per minute) mode. SPD mode only exists for compatibility with old modules.

To set the playing speed

  1. Open the Song Tempo dialog.
  2. If desired, adjust the Primary Tempo slider.

This controls the number of beats per minute (like a metronome). For example, 60 is one beat per second.

  3. If desired, adjust the Lines/Beat slider.

This controls the number of song editor lines that are considered one beat. For example, if Primary Tempo is 120 and Lines/Beat is 8, eight lines are played every half a second.


 Timing part of a song or block

Playing, stopping, song speed 4/4

Timing part of a song or block

The timer, on the main window's second toolbar, shows the number of minutes and seconds since a playing button was clicked.

To time part of a song, from its start

  1. Click
  2. When appropriate, click
  3. Note the time on the timer.

To time part of a song, from anywhere in the song

  1. If appropriate, click on the section sequence entry where the song should start:
  1. Open the Section Sequence dialog.
  2. Click on an entry in the list.
  2. If necessary, click on the playing sequence entry where the song should start:
  • Open the Playing Sequence dialog.
  • Click on an entry in the list.
  3. If necessary, move to the song editor line where the song should start. How?
  4. Click
  5. When appropriate, click
  6. Note the time on the timer.

To time part of a block, from its start

  1. Select the appropriate block. How?
  2. Click
  3. When appropriate, click
  4. Note the time on the timer.

To time part of a block, from anywhere in the block

  1. Select the appropriate block. How?
  2. Move to the line where the block should start. How?
  3. Click
  4. When appropriate, click
  5. Note the time on the timer.

Note

  • To stop the song more precisely, enter an 0FFE player command at the appropriate point, or use a playing sequence command.


 Adjusting playback to suit your computer

Modules: Loading, saving, playing 3/4

Adjusting playback to suit your computer

Because MED is a real-time program, you may encounter performance problems during playback. Operation may become unacceptably slow, and you may experience hesitations or 'glitches'. The problems are influenced by your computer's specification and (unfortunately) by Windows.

The first two topics help you find the best quality and multitasking settings for your computer's specification.

The last topic sets the device through which to play samples and synthsounds (not MIDI). This is appropriate, for example, for owners of several soundcards.

How To

  • Find appropriate quality settings
  • Find appropriate multitasking settings
  • Set the device to play through


 Finding appropriate quality settings

Adjusting playback to suit your computer 1/3

Finding appropriate quality settings

These settings apply to samples and synthsounds, not to MIDI.

To find appropriate quality settings

  1. Open the Playback Settings dialog.
  2. Ensure that:
  1. Frequency is set to 44100 Hz
  2. Resolution is set to 16-bit
  3. Smoothing is on
  3. Load a module that uses samples, and play it.
  4. If operation is unacceptably slow, stop the song then open Playback Settings (if necessary) and try one or more of the following:
  • Switch off Smoothing.
  • Reduce Frequency.
  • Set Resolution to 8-bit (this is a last resort!).

Play the song again after changing a setting.

Note

  • If you have difficulty stopping the song, try a panic stop.
  • Slow operation could also be due to multitasking problems.


 Finding appropriate multitasking settings

Adjusting playback to suit your computer 2/3

Finding appropriate multitasking settings

  1. Select Playback: Solid from the Settings menu. This reduces multitasking problems, but makes MED respond less quickly when playing notes.
  2. Load a module that uses samples, and play it.
  3. Either if operation is quick enough, and there are no hesitations ('glitches') in playback, you may want to select Playback: Responsive from the Settings menu. MED will respond more quickly when playing notes.

Or stop the song then open the Playback Settings dialog. and try one or more of the following:

  • Increase Fill Size (solid) (for example, double it). If you increase it a lot, you should also increase Buffer Size.
  • Change Priority to Realtime.
  • Increase Update Interval.
  • Increase Initial Fill Size.

Play the song again after changing a setting.

You could also open the Miscellaneous Settings dialog, and switch on Freeze Scrolling when Inactive. This stops the song editor scrolling if the MED window is not active (i.e. if you switch to another program), saving some processor time.

Note

  • If you have difficulty stopping the song, try a panic stop.
  • Slow operation could also be due to quality problems.


 Setting the device to play through

Adjusting playback to suit your computer 3/3

Setting the device to play through

This applies to samples and synthsounds, not to MIDI.

To set the device to play through

  1. Open the Playback Settings dialog.
  2. Select a device from the DirectSound Output Device box:
  • Either use the preferred playback device in Multimedia Control Panel, by selecting Primary Sound Driver.

Or choose another installed device from the list. That selected as primary sound driver is included.

Note

  • In the list of installed devices, the numbers in square brackets are the real identifiers of devices, even though names may be different.


 Adjusting playback to suit your computer

Modules: Loading, saving, playing 4/4

Playback effects, volume, stereo, transposition

Echo and stereo separation effects can greatly enhance playback. Different sets of effects, called effect groups, can be defined, and each track optionally belongs to an effect group. One particular group, the first one, controls the overall song effects. It is applied to all tracks after any other effect groups are applied.

MED also gives you control over volume and stereo location. Additionally, the whole song can be played at a different pitch from usual (transposed).

Another important way of adding effects and controlling the music is using player commands.

Also see instrument playback settings.

How To

  • Set the overall song effects
  • Set effect groups
  • Set the volume of a track
  • Set the overall song volume
  • Set the stereo location of a track
  • Play the song in mono
  • Transpose the whole song


 Setting the overall song effects

Playback effects, volume, stereo, transposition 1/7

Setting the overall song effects

The overall song effects, called Global Effects, are applied to all tracks after any other effect groups have been applied. See the examples for more details.

To set the overall song effects

  1. Open the Effects dialog.
  2. In the left-hand list, click on 01: Global Effects. This group always contains all tracks.
  3. Either switch off echo by setting Echo Type to No Echo.

Or set an echo:

  1. Set Echo Type to Normal Echo or Cross Echo. Cross echo echoes on alternate speakers. (The song must be in stereo.)
  2. Set Echo Rate to the time between each echo. A higher value gives a slower echo.
  3. Set Echo Depth to the percentage volume decrease between echoes. A higher value gives a more prolonged echo.
  1. If desired, change Stereo Separation. A positive value 'separates' the sound on each speaker. A negative value brings the speakers' sound closer together.
  2. To control filtering, click

Example 1

Example 2

Especially see also

  • Setting effect groups
  • Using player commands to control the music


 Setting effect groups

Playback effects, volume, stereo, transposition 2/7

Setting effect groups

Each track can optionally belong to an effect group.

All tracks are always affected by the special effect group, Global Effects (number 01). It is applied to tracks after any other effects have been applied. The G: buttons above tracks show the number of the track's effect group.

To create a new effect group

  1. Open the Effects dialog.
  2. Either add a group to the end of the list, by clicking Append (left of dialog).
  • Or insert a group anywhere in the list:
  1. In the list, click where the group should be inserted.
  2. Click Insert.
  3. Type the group's name into the Name box.
  4. Select the tracks to be in this effect group. The effects that you select in steps 5 and 6 will affect these tracks:
  • Either in the Contains Tracks box, click on the tracks to include in this effect group. Affected tracks are highlighted.

Or in the song editor, click on the button beginning G: above each of the tracks to include in this effect group. In the list that appears, select the new group. The button shows the new group's number.

  5. Either switch off echo by setting Echo Type to No Echo.

Or set an echo:

  1. Set Echo Type to Normal Echo or Cross Echo.

Cross echo echoes on alternate speakers. (The song must be in stereo.)

  2. Set Echo Rate to the time between each echo.

A higher value gives a slower echo.

  3. Set Echo Depth to the percentage volume decrease between echoes.

A higher value gives a more prolonged echo.

  6. If desired, change Stereo Separation.

A positive value 'separates' the sound on each speaker. A negative value brings the speakers' sound closer together.

  7. To control filtering, click here

Example 1
 Example 2

To include a track in a different effect group

  1. In the song editor, find the track you want to include in a different effect group.
  2. Above this track, click the button beginning G: (for example, G:01).
  3. Select a group from the drop-down list.

In the Effects dialog, the selected group now contains this track.

Especially see also

  • Setting the overall song effects
  • Using player commands to control the music


 Setting the volume of a track

Playback effects, volume, stereo, transposition 3/7

Setting the volume of a track

Usually, all tracks are played at full volume, but their volume can be reduced.

There is a quick way to set a track's volume to zero, or switch off a track, so that its notes cannot be heard while the song or block is playing. This can help you concentrate on certain tracks.

To set the volume of a track

  1. Open the Track Properties dialog.
  2. If desired, change the track's Vol (volume) slider. 64 is full volume, 0 is silent.

To switch a track on or off

  • In the main window, click on the track number button above the track. (It shows e.g. 01 for track number 1.) The track is on when the button is highlighted.

Note

  • The Vol slider affects the tracks throughout the song.
  • Individual instrument volumes are relative to track volumes. For example, if a track contains an instrument playing at half-volume, setting the track to half-volume will play that instrument at quarter-volume. To set an instrument's volume, click

Especially see also

  • Setting the overall song volume


 Setting the overall song volume

Playback effects, volume, stereo, transposition 4/7

Setting the overall song volume

  1. Open the Song Properties dialog.
  2. If desired, adjust the Master Volume slider to change the overall song volume.
  3. If desired, adjust the Volume Adjust slider. This is more like a 'gain' control. If you notice distortion in your song, try reducing Volume Adjust.


 Playing the song in mono

Playback effects, volume, stereo, transposition 6/7

Playing the song in mono

  1. Open the Song Properties dialog.
  2. In the top-left corner, click on Mono. This ensures that the song is played in mono, regardless of track panning settings.

Especially see also

  • Setting the stereo location of a track


 Transposing the whole song

Playback effects, volume, stereo, transposition 7/7

Transposing the whole song

All notes in the entire song can be raised or lowered by a particular amount. The notes themselves are not affected, only their sound. Notes played at standard or default frequencies are not affected.

To transpose the whole song

  1. Open the Song Properties dialog.
  2. Adjust Global Play Transpose.

A positive value raises the pitch, a negative value lowers the pitch. The value is in halfsteps.

Note

  • If notes are transposed beyond their octave range, they will use the highest or lowest octave available to them.

Especially see also

  • Transposing notes


 Setting the stereo location of a track

Playback effects, volume, stereo, transposition 5/7

Setting the stereo location of a track

  1. Open the Song Properties dialog.
  2. In the top-left corner, click on Stereo if necessary.

This ensures that the song is played in stereo.

  3. Open the Track Properties dialog.
  4. If desired, change a track's Pan (stereo location) slider.

-16 is entirely on the left speaker, 0 is central (equal amounts on both speakers), 16 is entirely on the right speaker.

Panning does not affect MIDI instruments. To change the stereo location of individual MIDI notes, use command type 0E.

Note

  • If you find that distortion is introduced by changing track panning, either ensure that Total Balance = 0 is display on the title bar, or switch on Free Panning In Stereo Mode.
  • The Pan slider affects the tracks throughout the song.

Especially see also

  • Playing the song in mono


 Loading and saving instruments, using file dialogs

Instruments: Loading, saving, playing, and more 1/5

Loading and saving instruments, using file dialogs

When MED starts up, there are no instruments in memory. Instruments must be loaded from disk (or loaded as part of a module).

You may want to save an instrument after creating or editing it (using e.g. the sample editor).

Also see Loading and saving instruments, using the instrument pool.

How To

  • Load an instrument
  • Load a raw 16-bit sample
  • Save an instrument
  • Set your usual instruments folder


 Loading an instrument

Loading and saving instruments, using file dialogs 1/4

Loading an instrument

To load a sample

  1. Select an instrument position.

If the position is already occupied by an instrument, the new instrument will replace it. How?

  2. Either use the main window:
  • Click [image] or select Instrument from Disk from the Insert menu

Or use the sample editor:

  1. Open the Sample Editor dialog.
  2. In the dialog, click [image] or select Load Sample from the File menu.
  3. If desired, display only particular instrument file types using File of type.

These types can all be loaded by MED. For more details, click

  4. Select a sample to load.

To load a synthsound

  1. Select an instrument position.

If the position is already occupied by an instrument, the new instrument will replace it. How?

  2. Open the Synthetic Sound Editor dialog.
  3. Select Open Sound from the File menu.
  4. Select a synthsound to load.

Notes

  • Another method of loading instruments is to type an instrument name into the instrument name text box (top of main window). Unless the instrument appears in the instrument pool, type the instrument's full path. Load Instr. From Main Window must be on.


 Loading a raw 16-bit sample

Loading and saving instruments, using file dialogs 2/4

Loading a raw 16-bit sample

Any raw (headerless) sample can be loaded as 8-bit, converted to 16-bit then further converted, if necessary, for use with MED.

To load a raw 16-bit sample

  1. Load the raw sample. How?
  2. Convert it to 16-bit.

This is not necessary if the 16-bit raw sample was saved in MED. (Such samples have a Raw16Bit header.) How?

  3. If the sample sounds 'noisy' or distorted:
  1. Open the Sample Editor dialog.
  2. Select Signed <> Unsigned from the Tools menu.

Some 16-bit raw samples created on the Amiga (MED's previous platform) are signed rather than unsigned.

Note

  • Signed <> Unsigned also works with 8-bit samples.


 Saving an instrument

Loading and saving instruments, using file dialogs 3/4

Saving an instrument

To save a sample using a file dialog

  1. Select an instrument to save. How?
  2. Open the Sample Editor dialog.
  3. In the dialog, click [image] or select Save Sample from the File menu.
  4. If desired, select a file format using Save as type.

For most purposes, leave it at Microsoft's .wav format. For more information about file formats, click

  5. Type a file name into the File name box.

MED will add the appropriate extension (e.g. .wav for WAVE files).

  6. Press Return or click Save.

To save a synthsound using a file dialog

  1. Select an instrument to save. How?
  2. Open the Synthetic Sound Editor dialog.
  3. Select Save Sound from the File menu.
  4. Type a file name into the File name box.

MED will add the .omsyn extension.

  5. Press Return or click Save.

To save an instrument (or instruments) using the instrument pool

  • Click


 Setting your usual instruments folder

Loading and saving instruments, using file dialogs 4/4

Setting your usual instruments folder

This sets the folder that MED initially uses, when you load an instrument using the file dialog.

To set your usual instruments folder

  1. Open the Miscellaneous Settings dialog.
  2. Select the folder using the Browse button beside Instruments, or type a path directly into the Instruments text box.


 Loading and saving instruments, using the instrument pool

Instruments: Loading, saving, playing, and more 2/5

Loading and saving instruments, using the instrument pool

When MED starts up, there are no instruments in memory. Instruments must be loaded from disk (or loaded as part of a song).

The instrument pool is a list of all your instruments, together with the folders in which they are stored. Its advantages are:

  • Makes instrument loading easy
  • Helps to organize your instruments – you may acquire thousands over time
  • Allows you to save modules without their instruments – only the instrument names are saved. When the modules are reloaded, each name is looked up in the instrument pool and loaded individually from disk. This can greatly reduce module file sizes.

Also see Loading and saving instruments, using file dialogs.

How To

  • Add and update folders in the instrument pool
  • Load an instrument from the pool
  • Load several instruments at once
  • Add particular instruments to the instrument pool
  • Rename an instrument in the pool
  • Remove instrument pool information


 Adding and updating folders in the instrument pool

Loading and saving instruments, using the instrument pool 1/6

Adding and updating folders in the instrument pool

To create an instrument pool, you add each folder that contains instruments to the pool.

To add a folder to the pool

  1. Open the Instrument Pool dialog.
  2. Click
  3. Select a folder that contains instruments.
  4. MED adds all of the folder's files to the pool. If some of the files are not instruments, remove each of them:
  1. Click on a file name which is not an instrument.
  2. Select Remove Current Entry from the Instrument menu.
  5. You may wish to change the properties of some instruments. These are set whenever the instruments are loaded:

To see the properties of each instrument at-a-glance, select View Details from the Directories menu.

  1. To revert to the other display, select View List from the Directories menu.
  2. Click on an instrument name.
  3. Click
  4. Change this instrument's properties as desired.

For more details on each property, click [image] then click on the property control.

  6. To save the new pool, click

Save it under the usual file name, Instruments.txt, if you want this pool to be loaded whenever MED starts up. Otherwise, save it under any name that ends with .txt, and load it manually later on with

To update a folder that is already in the pool

  1. Open the Instrument Pool dialog.
  2. Using the Folder drop-down list, select the folder to be updated, to correspond with its actual contents on disk.
  3. Select Rescan Current Directory from the Directories menu.


 Loading an instrument from the pool

Loading and saving instruments, using the instrument pool 2/6

Loading an instrument from the pool

Select an instrument position.

  1. If the position is already occupied by an instrument, the new instrument will replace it. How?
  2. Open the Instrument Pool dialog.
  3. Select the folder containing the desired instrument, using the Folder drop-down list.
  4. Double-click on the name of the instrument to load.

Especially see also

  • Loading several instruments at once


 Loading several instruments at once

Loading and saving instruments, using the instrument pool 3/6

Loading several instruments at once

The instruments must already be in the instrument pool, and must all be in the same folder.

To load several instruments using the instrument pool

  1. Select an instrument position. The first instrument will be loaded here, and other instruments will follow it. How?
  2. Open the Instrument Pool dialog.
  3. Select the folder containing the desired instruments, using the Folder drop-down list.
  4. Select the instruments, doing one or more of the following:
  1. Drag a box around several instrument names.
  2. To select several consecutive instruments, click on the first name, then hold down shift and click on the last name.
  3. To select non-consecutive instruments, hold down ctrl and click on each name.
  5. Click

Especially see also

  • Loading an instrument from the pool


 Adding particular instruments to the instrument pool

Loading and saving instruments, using the instrument pool 4/6

Adding particular instruments to the instrument pool

Instead of adding whole folders of instruments to the pool, you can add some or all of the instruments in memory. The properties of these instruments are added to the pool.

To add a single instrument to the pool

  1. Select the instrument to add. How?
  2. Open the Instrument Pool dialog.
  3. Using the Folder drop-down box, select the folder to add the instrument to.
  4. Either add the instrument to the pool and save the instrument to disk, at the same time.
  1. If necessary, set the desired file format using the Settings menu.

There are different formats for 8-bit and 16-bit samples. RIFF WAVE (.wav) is usually fine. For more details, click

  2. Click

Or add the instrument to the pool, without saving it to disk. (This implies that the instrument is already on disk in this folder.)

  1. Select Add New Entry from the Instruments menu.
  2. Type in the instrument name, replacing the default name New Entry.

To add all instruments (in memory) to the pool

  1. Open the Instrument Pool dialog.
  2. Using the Folder drop-down box, select the folder to save the instruments in.
  3. If necessary, set the desired file format using the Settings menu.

There are different formats for 8-bit and 16-bit samples. RIFF WAVE (.wav) is usually fine. For more details, click

  4. Select Save All from the Instruments menu.

Tip

  • Saving all instruments is particularly useful for extracting ('ripping') the instruments from modules.


 Renaming an instrument in the pool

Loading and saving instruments, using the instrument pool 5/6

Renaming an instrument in the pool

This renames the instrument on disk (as well as its pool entry).

To rename an instrument in the pool

  1. Open the Instrument Pool dialog.
  2. Select the folder containing the instrument to rename, using the Folder drop-down list.
  3. Click on the name of the instrument to rename, then some time later click on it again.

(This method is used to rename files in Windows Explorer.)

  4. The entire instrument name should now be selected. Edit the name as required.

Especially see also

  • Renaming an instrument


 Removing instrument pool information

Loading and saving instruments, using the instrument pool 6/6

Removing instrument pool information

To remove a folder from the pool

  1. Open the Instrument Pool dialog.
  2. Using the Folder drop-down box, select the folder to remove.
  3. Click
  4. Either remove the folder from the pool, by clicking No in the dialog.

Or remove the folder from disk as well, by clicking Yes. Be careful!

To remove an instrument from the pool

  1. Open the Instrument Pool dialog.
  2. Using the Folder drop-down box, select the folder containing the instrument.
  3. In the pool, click on the instrument to remove.
  4. Either remove the instrument from the pool, by selecting Remove Current Entry from the Instruments menu.

Or remove the instrument from disk as well, by clicking [image] . Be careful – there is no confirmation dialog!


 Selecting, organizing, renaming

Instruments: Loading, saving, playing, and more 3/5

Selecting, organizing, renaming

One of the most frequent things done in MED is the selection of an instrument for playing or editing.

Instruments can also be removed from memory, renamed, or organized into consecutive instrument positions (starting from position 01).

How To

  • Select the current instrument
  • Remove an instrument from memory
  • Rename an instrument
  • Organize instruments into consecutive positions


 Selecting an instrument

Selecting, organizing, renaming 1/4

Selecting an instrument

You may select an instrument in order to play it or enter a note played by it. It is referred to as the current instrument. Its number is shown in various places (e.g. top of main window).

To select an instrument using the keyboard

  • Either on the numeric keypad (far right of keyboard), use – and + to select the previous or next instrument.

Or use Shift+Left Arrow and Shift+Right Arrow to select the previous or next instrument.

To select an instrument using the main window

  • Use the drop-down list at the top of the main window.

To select an instrument using the Instrument List dialog

  1. Open the Instrument List dialog.
  2. Click on an instrument in the list (using the scroll bar if necessary).

To select an instrument using the Instrument Properties dialog

  1. Open the Instrument Properties dialog.
  2. Use the Instrument Number, the instrument selector or the Last Used button.


 Removing an instrument from memory

Selecting, organizing, renaming 2/4

Removing an instrument from memory

  1. Select the instrument to be removed. How?
  2. Either press Ctrl+G.

Or select Delete then Instrument from the Insert menu.

Or open the MED Sample Editor dialog, then select Flush Sample from the File menu.

Note

  • To remove all instruments that are not used in the module, select Delete then Unused Instruments from the Instr menu.


 Renaming instruments

Selecting, organizing, renaming 3/4

Renaming instruments

  1. Select the instrument to be renamed. How?
  2. Either use the main window.
  1. Open the Miscellaneous Settings dialog, and switch off Load Instr. from Main Window. Close the dialog.
  2. In the main window, type a new name into the drop-down box at the top.

Or use the Instrument Properties dialog.

  1. Open the Instrument Properties dialog.
  2. Type a new name into the Name box.

Especially see also

  • Renaming an instrument in the pool


 Organizing instruments into consecutive positions

Selecting, organizing, renaming 4/4

Organizing instruments into consecutive positions

This may be necessary in the final stages of writing a module, after many instruments have been loaded or removed. Example

To organize instruments into consecutive positions

  • Select Organize Instruments from the Tools menu.


 Playing and stopping

Instruments: Loading, saving, playing, and more 4/5

Playing and stopping

Before an instrument can be played, it must be loaded into memory. This is covered elsewhere.

In order to play instruments, MED arranges your computer's keyboard into about 3 octaves of a piano keyboard.

An instrument's default frequency is the pitch at which it sounds best. If the instrument is a sample, this may be the frequency which the sample was recorded at, but you can change it to any value.

Also see playing an instrument using a MIDI keyboard

How To

  • Play an instrument with the computer keyboard
  • Stop an instrument
  • Play more than one note at once
  • Using an instrument's default frequency (or note)


 Playing an instrument with the computer keyboard

Playing and stopping 1/4

Playing an instrument with the computer keyboard

In order to play instruments, MED arranges your computer's keyboard into about 3 octaves of a piano keyboard.

Computer keyboard layout

Instruments have a range of more than 3 octaves, so MED provides a way of selecting which octaves are played on the keyboard. The Oct drop-down box shows the current numbers of the lower and middle octaves.

Notes in the song editor consist of a note name and an octave number. For example, G-2 is note G in octave 2.

To play an instrument using a MIDI keyboard, click here.

To play an instrument with the computer keyboard

  1. If necessary, load or create an instrument.
  2. Select an instrument to play. How?

You can play any type of instrument using the computer keyboard, including MIDI instruments.

  3. Ensure that editing is off.
  4. Select the required keyboard octaves, using the Oct drop-down box

Keys F2 and F3 decrease and increase the octave numbers. Octave range of instruments

  5. Ensure that the main window is active (rather than a dialog).

Many dialogs activate controls rather than play notes!

  6. Press a key to play the instrument.

Computer keyboard layout
Examples

  7. To stop the instrument if necessary, press the space bar or click

This improves performance, even if the instrument is not playing. (See the note below.)

Note

  • MED switches on the player when an instrument is played, and the player is only switched off when the song or the instrument is next stopped (in order to react quickly to subsequent key presses).

The player takes up some processor time, so stopping the instrument can improve performance.

Especially See Also

  • Playing an instrument using a MIDI keyboard


 Stopping an instrument

Playing and stopping 2/4

Stopping an instrument

  • Press the space bar or click [image] .

This improves performance, even if the instrument is not playing. (See the note below.)

Note

  • MED switches on the player when an instrument is played, and the player is only switched off when the song or the instrument is next stopped (in order to react quickly to subsequent keypresses).

The player takes up some processor time, so stopping the instrument can improve performance.


 Playing more than one note at once

Playing and stopping 3/4

Playing more than one note at once

To play chords

  1. Switch on chord mode.

A chord is a group of notes played together.

  2. Play the notes together. How?

To play arpeggios (staggered chords)

  1. Open the Keyboard Settings dialog.
  2. Switch on Polyphonic Play.
  3. Play several notes, one at a time.

Notes

  • The number of notes you can hear at once is given by Max. Num Of Channels. This does not apply to MIDI instruments.
  • When using the computer keyboard, the chord feature does not always play chords correctly. Polyphonic play is a good approximation, if the notes are played quickly.


 Using an instrument's default frequency (or note)

Playing and stopping 4/4

Using an instrument's default frequency (or note)

An instrument's default frequency is the pitch at which it sounds best. If the instrument is a sample, this may be the frequency which the sample was recorded at, but you can change it to any value.

It is especially useful for untuned instruments, which are often only played at one pitch.

Use an instrument's default frequency (or note)

  1. Open the Instrument Properties dialog.
  2. Select the instrument whose default frequency is to be set. How?
  3. Set the default note or frequency:
  • Either hold down the left mouse button on the box immediately beside Default Frequency, and play the note on the computer keyboard.

Or type in a frequency (e.g. one of the standard frequencies) in the number box beside Default Frequency.

  4. To play the note at the default frequency, press the F key. (The main window must be active.)

More on playing notes

  • Notes
  • The default frequency is the same as the sample editor's current rate. It is loaded and saved with instruments.
  • To remove an instrument's default frequency, set the note to --- (using Del) or set the number box to 0.


 Playback settings

Instruments: Loading, saving, playing, and more 5/5

Playback settings

Instruments can be tuned to each other, and have their volume adjusted.

Hold and decay allow notes to be played for a certain length of time (hold), before fading away at a certain rate (decay).

Notes played by a disabled instrument are ignored.

How To

  • Tune an instrument
  • Set an instrument's usual volume
  • Set an instrument's hold and decay
  • Temporarily disable an instrument


 Tuning an instrument

Playback settings 1/4

Tuning an instrument

This is how to ensure that your instruments are in tune with each other.

To tune an instrument

  1. Either start a reference instrument playing. Instruments will be tuned to this instrument:
    1. Select the reference instrument. Ideally, it should have a loop set so that it keeps playing. How?
    2. Play the instrument using any note. Call this note N.

Or start a tuning tone playing. Instruments will be tuned to this:

  1. Open the Sample Editor dialog.
  2. Using the Rate note box, set the tune tone's note. Call this note N.
  3. Select Play Tuning Tone from the Tools menu.
  4. Close the Sample Editor dialog.
  2. With the reference humming in your ears, move to the next (or any) song editor track:
  1. Ensure that the main window is active (e.g. click on its title bar).
  2. Press Ctrl+Right Arrow.
  3. Open the Instrument Properties dialog.
  4. Select the instrument to be tuned to the reference. How?
  5. Ensure that the main window is active, then play this instrument at note N (see step 1). How?
  6. If the note is not in tune with the reference:
  1. Adjust the Transpose box. This tunes in large steps (halfsteps).
  2. Adjust the Fine-tune box. This tunes in small steps.

If the instrument does not have a loop set, you will probably have to play it repeatedly while you tune it.

  7. Repeat steps 4 to 6 for any other instruments to be tuned.
  8. When you have finished tuning, stop the instruments by pressing the space bar or clicking

Note

  • Transpose is not strictly necessary, because instead of (for example) lowering the pitch by two half steps, you can use notes 2 half steps lower than their 'correct' pitch. However, it is more predictable if (for example) all C-4s sound the same.
  • Using the sample editor, you can remove the need for a fine-tune value. How?


 Setting an instrument's usual volume

Playback settings 2/4

Setting an instrument's usual volume

An instrument's usual volume is used whenever the instrument is played. It can be overridden in a song, using player command type 0C.

To set an instrument's usual volume

  1. Open the Instrument Properties dialog.
  2. Select the instrument whose volume is to be set. How?
  3. Adjust the Volume box (top left of dialog).

127 is full volume, 0 is no volume. By default, all instruments are played at full volume.


 Setting an instrument's hold and decay

Playback settings 3/4

Setting an instrument's hold and decay

Hold and decay affect notes played during a song. Notes can be played for a certain length of time (hold), before fading away at a certain rate (decay).

Set an instrument's hold and decay

  1. Open the Instrument Properties dialog.
  2. Select the instrument whose hold and decay are to be set. How?
  3. Use the Hold number box to set the hold length.

Hold is set in ticks. If there are six ticks per line, a hold value of 6 sustains the note for one full song editor line before decay starts.

  4. Use the Decay number box to set the decay speed.

1 is the slowest. 0 stops the note instead of decaying.

Decay affects synthsounds differently. For more details, click

Decay does not affect MIDI instruments.

  5. To test the hold and decay, enter a note with the instrument then click

Notes

  • An instrument's hold value can be temporarily lengthened, by entering 'hold symbols' in the song editor after notes played with the instrument. (The hold value itself is not altered.) Example

To enter a hold symbol, move to the appropriate note space and press Return. How?

  • Player command 08 can override hold, decay or both.
  • The maximum hold and decay value is 127. For hold, this is usually about 21 song editor lines.


Temporarily disabling an instrument

Playback settings 4/4

Temporarily disabling an instrument

While playing a song, notes played by a disabled instrument are ignored (not played).

To disable an instrument

  1. Open the Instrument Properties dialog.
  2. Switch on Disable. To enable the instrument later, switch off Disable.


 The basics

Entering and editing music 1/5

The basics

To use song editing features, you need to know how to move within a block, and how to mark a selection.

One block is always displayed in the song editor. A selection is part of a block, which you mark using the mouse.

How To

  • Move within a block
  • Mark a selection


 Moving within a block

The basics 1/2

Moving within a block

The current position in the song editor is marked by:

  • a horizontal bar (the current line)
  • a flashing cursor (the current track).

Moving within a block changes the current position.

To move within a block using the mouse

  • Drag one of the scroll bars (along the right and bottom of the song editor).

This only works if part of the music cannot be seen.

To move within a block using the keyboard

  • Either use the cursor keys.

Or press F5, F6, F7 or F8 to move to various lines:

  • F5: First line
  • F6: One-quarter of the way down the block
  • F7: Half way down the block
  • F8: Three-quarters of the way down the block

Or press Ctrl+Left or Ctrl+Right to move across tracks.

Or press Tab to cycle through player command pages.

For more shortcut keys, click

Notes

  • To hear the block's notes as you move, switch on Play Notes When Scrolling.
  • When space mode and Auto-Round Cursor are on, movement is restricted to lines on which you can enter notes in space mode.


 Marking a selection

The basics 2/2

Marking a selection

A selection, in the song editor, is a rectangular area of music. Many editing operations affect the selection, particularly cut/copy/paste.

To mark a selection anywhere in the block

  1. Move the mouse pointer to the top-left corner of the area to be selected.
  2. Holding down the left mouse button, drag the mouse to the bottom-left corner of the area. The area should be highlighted.

To mark a selection over a whole track

  • Double-click on the required track.

To mark a selection over the whole block

  • Double-click on the first track in the block, then drag the mouse to the last track.

To restrict the selection to the notes or the digits

  • Holding down an Alt key, mark a selection over just the notes or just the digits.

Notes

  • To remove the selection, click anywhere in the song editor.
  • A selection can be larger than the area of music visible in the song editor. For example, to extend the selection to lines further up in the block, drag the mouse off the top of the window. The song editor will scroll downwards, revealing more lines.


 Entering music

Entering and editing music 2/5

Entering music

Notes and chords can be entered 'normally' (while the block is stopped), or while the block is playing. The first method allows fine control over what you enter. The second method allows the music to be composed 'in time'.

After entering or deleting something, the cursor usually moves down one line, but this can be changed.

The programmable keys are Shift+F1 to Shift+F12. They can be set up to enter particular notes or groups of notes, including player commands. This makes entering music easier.

How To

  • Enter a note or a chord
  • Enter while a block is playing ('recording')
  • Delete a note
  • Set what happens after entering or deleting
  • Set up a programmable key
  • Enter a programmable key


 Entering a note or a chord

Entering music 1/6

Entering a note or a chord

  1. Move to the desired note position. How?
  2. Select the required instrument. How?
  3. Ensure that editing is on.
  4. If you are entering a chord, switch on chord mode.

A chord is a group of notes played together.

  5. Either play a note.

How to play a note using the computer keyboard
 How to play a note using a MIDI keyboard
 Computer keyboard layout

Or play a chord, by holding down several notes together. Try playing the notes one at a time, without letting go of the previous notes played.

Or enter a STP note, to stop the previous note on the current track, by pressing Shift+S.

Notes

  • A note can only be entered if the main MED window is active. To activate it, click inside it (or on its title bar).
  • When playing notes using the computer keyboard, the chord feature is not always accurate. If you experience problems, enter the chord's notes one at a time (using the normal method of entering notes).
  • To increase the number of tracks available, click

Tip

  • Using chord creation in the sample editor, a chord can take up only one track rather than several. How?

Especially see also

  • Entering while a block is playing ('recording')
  • Entering a player command


 Entering while a block is playing

Entering music 2/6

Entering while a block is playing ('recording')

You can compose music while the block is playing, 'in time'.

To enter while the block is playing

  1. Move to the desired note position. How?
  2. Select the required instrument. How?
  3. Ensure that editing is on.
  4. If you will enter chords, switch on chord mode.

A chord is a group of notes played together.

  5. Move to a few lines before the place where the first note will be entered, to give you some introduction.

To enter notes from the start of the block, try pressing F8. This moves three-quarters of the way down the block.

  6. Click [image] and play notes in time to the music.

How to play a note using the computer keyboard
 How to play a note using a MIDI keyboard
 Computer keyboard layout

  7. When you have finished, click [image] and correct any mistakes you have made.

Note

  • Entering while the block is playing is especially useful with MIDI.

Tip

  • To ensure that your notes are entered in time, try creating a drum beat in an unused track. A bass drum every fourth line should be enough.


 Deleting a note

Entering music 3/6

Deleting a note

  1. Move to the note to be deleted. How?
  2. Press Del.

To delete the note and its digits, press Shift+Del.


 Setting what happens after entering or deleting

Entering music 4/6

Setting what happens after entering or deleting

  1. Open the Keyboard Settings dialog.
  2. If desired, adjust space mode. This allows notes (or digits) to be entered every so-many lines. For example, a spacing of 2 will skip one line after you enter a note, so that notes are entered every 2nd line:
  • Switch space mode on or off as required (in the main window).
  • Set Spacing appropriately.

For example, a value of 4 will allow notes to be entered every 4th line.

  3. If desired, set what happens after entering a note:
  • To move down one line, switch on Down When Entering Notes. To stay still, switch it off.
  4. If desired, set what happens after entering a digit:
  1. To move down one line, switch on Down When Entering Commands. To stay still, switch it off.
  2. To move right one digit, switch on Right When Entering Commands. To stay still, switch it off.

Note

  • When Clear Skipped Notes is on, any notes lying between the lines used for entering spaced notes will be deleted when a note is entered. This is the usual setting.


 Setting up a programmable key

Entering music 5/6

Setting up a programmable key

You can set up a programmable key by:

  • entering a cell directly into the Programmable Keys dialog
  • picking a cell or selection for the key, from the song editor. (You can also pick the song editor clipboard.)

To define a programmable key

  1. If you intend to pick the programmable key, ensure that:
  • either the song editor is over the required note How?
  • or the required selection is marked How?
  • or the clipboard contains the required information How?
  2. Open the Programmable Keys dialog.
  3. Select a key to define from the Key drop-down box.
  4. Either change the cell box in the middle of the dialog.

Transparent cell parts are not affected when the key is entered.

How to use a cell box
 Example

Or pick the key using Pick Note, Pick Selection or Pick Clipboard.

  5. To save all key definitions, click Save Keys.

Save them under the usual file name, ProgKeys.cfg, if you want these keys to be loaded whenever MED starts up. Otherwise, save them under any name that ends with .cfg, and load them manually later on using Load Keys.


 Entering a programmable key

Entering music 6/6

Entering a programmable key

  1. Move to the desired position in the block. How?
  2. Ensure that editing is on.
  3. Press the programmable key (e.g. Shift+F1).

Key combinations are given in the Key box in the programmable Keys dialog.

Note

  • A key can only be entered if the main MED window is active. To activate it, click inside it (or on its title bar).

Especially see also

  • Setting up a programmable key


 Rearranging and clearing music

Entering and editing music 3/5

Rearranging and clearing music

A basic song editing feature is moving, copying and clearing areas of music. This is similar to a word processor's cut/copy/paste feature.

MED uses its own clipboards as temporary storage for areas of music. There are three clipboards, for blocks, tracks and selections. (The Windows Clipboard is not used.)

To make maximum use of tracks, notes in one or more tracks can be spread across consecutive tracks.

How To

  • Move or copy areas
  • Clear an area
  • Clear a whole block


 Moving or copying areas

Rearranging and clearing music 1/4

Moving or copying areas

To move or copy a whole track

  1. Move to the track whose contents are to be moved or copied. How?
  2. Either to move the track, remove the track's contents by selecting Cut Track from the Edit menu.

Or to copy the track, copy the track's contents by selecting Copy Track from the Edit menu.

The track is now on the track clipboard.

  3. Move to the track where the contents should be placed.
  4. Insert the clipboard's contents, by selecting Paste Track from the Edit menu.

To move or copy a whole block

  1. Move to the block whose contents are to be moved or copied. How?
  2. Either to move the block, remove the block's contents by selecting Cut Block from the Edit menu.

Or to copy the block, copy the block's contents by selecting Copy Block from the Edit menu.

The block is now on the block clipboard.

  3. Move to the block where the contents should be placed.
  4. Insert the clipboard's contents, by selecting Paste Block from the Edit menu.

To move or copy a particular area

  1. Mark a selection over the area. How?
  2. Either to move the area, remove the selection by selecting Cut from the Edit menu.

Or to copy the area, copy the selection by selecting Copy from the Edit menu.

The area is now on the main song editor clipboard.

  3. Either move to the top-left corner of where the selection should be placed. How?

Or click on the top-left corner of where the selection should be placed. (Clicking in this way should select one cell.)

  4. Insert the clipboard's contents, by selecting Paste from the Edit menu.

Notes

  • After pasting a block, the block is an exact replica of the block clipboard. In particular, the current block's dimensions are changed to that of the clipboard.
  • Command pages are handled as follows: If a clipboard contains one page, the clipboard is pasted to the current page. If the clipboard contains several pages, they are pasted to their respective pages, starting from page 1.


 Clearing an area

Rearranging and clearing music 2/4

Clearing an area

  1. Select the area. How?
  2. Either to clear the selection, choose Delete from the Edit menu.

Or to clear the selection but keep it in memory (on the clipboard), choose Cut from the Edit menu.

Note

  • A quicker way of clearing a block or track is to cut it, using Cut Track or Cut Block on the Edit menu.


 Clearing a whole block

Rearranging and clearing music 3/4

Clearing a whole block

To clear the block (without cutting it)

  1. Mark a selection over the whole block. How?
  2. Clear the block, by pressing Del or selecting Delete from the Edit menu.

To cut the block (keeping it in memory)

  1. Select Cut Block from the Edit menu.

This clears the block, and also keeps it in memory (on the block clipboard). This might be useful as an undo feature: paste the block back if you make a mistake.


 Spreading a selection across consecutive tracks

Rearranging and clearing music 4/4

Spreading a selection across consecutive tracks

To try out this facility, enter some notes on track 1, then mark a selection over these notes and over tracks 2 to 4. Then select Spread Selection from the Tools menu. See below for more details.

To spread a selection

  1. Ensure that the notes to be spread are in a single track, and that there is space in one or more tracks to the right of these notes.
  2. Mark a selection over both the notes to be spread and one or more empty tracks to the right of them. (The notes will be spread across as many tracks as you mark.)
  3. Select Spread Selection from the Tools menu.

Note

  • There can be spaces (blank notes) between the notes to be spread.


 Using player commands to control the music

Entering and editing music 4/5

Using player commands to control the music

Player commands add special effects to notes, and ask MED to do certain things. They are entered in the column of digits beside the notes. (The first digit is in fact the instrument number.)

The digits are divided into three pairs (see diagram). The command type is the sort of special effect or action. The command level controls the effect or action's intensity, depth, speed and so on, depending on the command type. There are two pairs of command level digits – often only the first pair is used.

For a complete list of available player commands, click

All player command digits are displayed in hexadecimal, although a dialog enables you to enter command levels in decimal.

MED can enter certain player commands automatically, as described in many of the topics below.

How To

  • Enter a player command
  • Delete a player command
  • Make a pitch slide
  • Make a volume or other slide
  • Echo a note throughout a selection
  • Play a sample from a particular point in the sample
  • Add a filter effect


 Entering a player command

Using player commands to control the music 1/7

Entering a player command

To enter a player command using a dialog

  1. Ensure that editing is on.
  2. If necessary, add a new command page for the player command.

Example

  3. If necessary, select the appropriate command page, by pressing Shift+Tab until the command page appears.
  4. Either move to the place to enter the player command. How?

Or mark a selection. The player command will be repeated throughout this area. How?

  5. Press the right mouse button on the place to enter, and select Insert Command from the pop-up menu that appears.
  6. In the Insert Command Into Song dialog:
  1. Using the drop-down box, select the desired player command type.
  2. If necessary, set the starting and ending levels, in decimal (not hexadecimal).

Some command types won't require this step (e.g. 0FF1).

  3. Click Insert Command.

To enter a player command one digit at a time

  1. Ensure that editing is on.
  2. If necessary, add a new command page for the player command. How?

Example

  3. If necessary, select the appropriate command page, by pressing Shift+Tab until the command page appears.
  4. Move to the leftmost player command digit, using the cursor keys.
  5. Enter the leftmost digit. (All levels are in hexadecimal.)
  6. Repeat steps 4 and 5 for the other five digits.

Step 4 (moving to the next digit) will probably involve pressing up arrow then right arrow, unless you do step 1 below.

To simplify entering player commands

  • Make the cursor move one place to the right, after entering a digit. How?

(This does not apply when entering player commands using the dialog.)

  • Set different colours for each pair of digits. How?
  • Widen the gap between each pair of digits. How?
  • Use programmable keys. How?


 Deleting a player command

Using player commands to control the music 2/7

Deleting a player command

  1. Move to the player command to be deleted. How?
  2. Press Alt+Del.

To delete the whole cell (note plus digits), press Shift+Del.


 Making a pitch slide

Using player commands to control the music 3/7

Making a pitch slide

Player commands 01, 02 and 03 slide the pitch of a note up and down. Their levels are quite difficult to enter accurately, so MED provides an automatic way of entering the commands.

To make a pitch slide

  1. Enter the starting note of the slide, in any track. How?
  2. In the same track, enter the ending (target) note of the slide.
  3. Move to somewhere between the two notes.

This is where the pitch slide will start. (See note below.) How?

  4. Either choose a pitch slide which does not replay the target note when it is reached, by selecting Generate Pitch Slide then Using Command 03 from the Tools menu. This is often the smoother type.

Or choose a pitch slide which replays the target note, by selecting Generate Pitch Slide then Using Command 01/02 from the Tools menu.

Note

  • In command 03 slides, the slide can start on the ending note, but not on the starting note. In command 01/02 slides, the slide can start on the starting note, but not on the ending note.


 Making a volume or other slide

Using player commands to control the music 4/7

Making a volume or other slide

A common use of player command type 0C (set volume) is to fade a note in or out, by entering the command down a track with gradually increasing or decreasing volume levels. This can be done automatically with the Generate Slides dialog.

In fact, Generate Slides can make a slide with any command type. For example, a tempo slide (command 0F) gradually speeds up or slows down the song.

To make a volume or other slide

  1. In the song editor, mark a selection over the desired position of the slide. (See note below.)
  2. Open the Generate Slides dialog.
  3. Using the drop-down box, select the desired player command type.

Examples

  4. If necessary, set the starting and ending levels, in decimal (not hexadecimal).

Some command types won't require this step (e.g. 0FF1).

  5. Click Generate Slide.

Notes

  • If you mark a selection over more than one track, the slide is repeated in each track.
  • Generate Slides correctly handles signed hexadecimal and independent digits (e.g. it slides type 04's speed and depth digits independently).


 Echoing a note throughout a selection

Using player commands to control the music 5/7

Echoing a note throughout a selection

  1. Enter a starting note on any track. How?
  2. Give the starting note a 0C player command type, with a suitable starting level (e.g. 7F for full volume). How?
  3. Mark a selection from the starting note to the end of the echo.

(In practice, the echo may stop before the end of the selection.)

  4. Open the Volume Echo dialog.
  5. If necessary, change:
  • Distance between Echoes (for example, 4 echoes every 4th line)
  • Minimum Volume (echoes will not be below this volume).
  6. Click Generate Echo.

Notes

  • The volume is always halved on each echo.
  • Echoed notes are only placed in empty note positions throughout the selection.
  • The selection can span over one track, though this is rarely needed. In that case, ensure that there's a starting note on each track.


 Playing a sample from a particular point in the sample

Using player commands to control the music 6/7

Playing a sample from a particular point in the sample

This is especially useful with speech samples containing several words. (For example, start the sample playing at the second word.)

To play a sample from a particular point in the sample

  1. Select the sample. How?
  2. Open the Sample Editor dialog.
  3. Click on the point in the sample to begin playing.

You may find zooming in helpful.

  4. Select Copy Selection As Command 19 from the Tools menu.
  5. Close the Sample Editor dialog.
  6. In the song editor, move to where the sample should be played. How?
  7. Enter the note to be played by the sample. How?
  8. Move to the note that has just been entered, then select Paste from the Edit menu.

This inserts command 19 (start sample from a particular position), with the appropriate command level.


 Adding a filter effect

Using player commands to control the music 7/7

Adding a filter effect

The filtering effect can really bring modules to life. Filtering properties are as follows:

  • Filter cutoff frequency. The filter's 'boundary' frequency (see filter type).
  • Filter type. A lowpass filter will remove all frequencies above the cutoff frequency. A highpass filter will remove all frequencies below the cutoff frequency.
  • Filter resonance. Amplifies the frequencies around the cutoff frequency. This generally makes the sound sharper.

The filter player commands are types 23, 24 and 25. They affect all tracks in the same effect group.

To add a filter effect

  1. Set up any desired effect groups. How?
  2. Decide which track will contain the filter player commands. If necessary, change its effect group. All tracks in this group will be affected by the filter. How?
  3. Move to the place where the filtering is to start. How?
  4. Enter the following player commands:
  • Type 25, to set the filter resonance and the filter type.
  • Type 24, to set the filter cutoff frequency.

Filtering will begin when this command is reached. Command 240000 will switch off filtering.

  • If desired, type 23, to make a filter sweep (gradual change from one cutoff frequency to another).

This is best done using the Insert Command into Song dialog. How?

  5. Filtering remains when the song is stopped. It will continue to be applied, unless you turn it off manually, as follows:
  1. Open the Effects dialog.
  2. Click Reset (bottom-right of dialog).

Notes

  • Creating slides using types 24 and 25 can be effective. How?
  • The display box beside Reset shows the type of filtering which is currently being applied to the sound.

Abbreviations used are: LP (low pass), HP (high pass), C (cutoff frequency), R (resonance).

Especially see also

  • Filtering an area (sample editor)


 Transposing, finding and replacing

Entering and editing music 5/5

Transposing, finding and replacing

If you decide that a collection of notes sounds too low or too high, you can transpose them up or down (within the range of notes that their instruments can play).

You can also find a particular cell, and optionally replace all findings with something else. Particular parts can be ignored, so that (for example) all cells containing instrument 6 and player command 044200 can change their player command to 044500, regardless of the note in the cell.

The area affected by transposing or replacing can be restricted to the current block, track or song, or a selection. All instruments or just the current instrument can be affected by a transposition.

How To

  • Transpose notes
  • Find music
  • Replace music


 Transposing notes

Transposing, finding and replacing 1/3

Transposing notes

  1. Choose an area which the transposition will affect. This might be:
  • A particular song How?
  • A particular block How?
  • A particular track How?
  • A selection How?
  2. If desired, restrict the transposition to notes played by a particular instrument, by selecting that instrument. How?
  3. Open the Transpose dialog.
  4. Set the two Affect drop-down boxes appropriately.

(If a selection is marked, the top box will be unselect able.)

  5. Click Octave Up, Octave Down, Halfstep Up or Halfstep Down to transpose notes.

You may click these buttons repeatedly.

Definition of halfstep


 Finding music

Transposing, finding and replacing 2/3

Finding music

  1. Open the Find & Replace dialog.

Now you will select the music to find. It can be a note, instrument number, player command, or a combination of these.

  2. Enter the music into the Source cell box.

Ensure that all cell parts to be ignored (while finding) are transparent.

How to use a cell box
 Examples

Or click Pick (beside Source) to select the cell nearest the cursor.

  3. Either find the next occurrence of the music, by clicking Find Next

Or find the previous occurrence of the music, by clicking Find Prev.

    Note

    • Click Clear to reset the music to a blank cell.
    • Replace in does not restrict finding to a particular area. It is used for replacement only.


 Replacing music

Transposing, finding and replacing 3/3

Replacing music

  1. Choose an area in which to replace all occurrences of some music. It might be:
  • a particular song How?
  • a particular block How?
  • a particular track How?
  • a selection How?
  2. Open the Find & Replace dialog.

Now you will select the music to find and replace. Both can be a note, instrument number, player command, or a combination of these.

  3. Enter the music to find into the Source cell box.

Ensure that all cell parts to be ignored (while finding) are transparent.

How to use a cell box
 Examples

Or click Pick (beside Source) to select the cell nearest the cursor.

  4. Enter the music to replace into the Dest cell box.

Examples

Or click Pick (beside Dest) to select the cell nearest the cursor.

  5. Set the Replace in drop-down box appropriately.

(If a selection is marked, the box will be unselectable.)

  6. Click Replace.

Note

  • To 'undo' a replacement, try clicking Swap Source & Dest then Replace again.

This will not work if, before the replacement was made, Dest cells already existed in the area affected by the replacement.

  • Click Clear to reset the music to a blank cell.


 Adding, removing and selecting blocks

Working with blocks and songs 1/4

Adding, removing and selecting blocks

You can add and remove blocks from your song. You can also select the block which is shown in the song editor, known as the current block.

How To

  • Add a block
  • Remove a block
  • Select the current block


 Adding a block

Adding, removing and selecting blocks 1/3

Adding a block

To add a block through the Insert menu

  1. Either add a block after the last one, by selecting New Block after Last from the Insert menu.
  2. Or add a block before the current one, by selecting New Block from the Insert menu.

To add a block through the Block List dialog

Open the Block List dialog.

  1. Either add a block after the last one, by clicking Append.
  2. Or add a block after the current one:

Click on a block in the list to select it (if necessary).

The current block is now selected.

Click Insert.

Notes

  • The new block takes its dimensions from the current block. Change them if required. How?
  • After adding a block after the last one, the new block is not automatically selected. It must be manually selected. How?

The numbers of the current and last blocks are shown below the song editor, in the fourth box from the left.


Removing a block

 Removing a block Adding, removing and selecting blocks 2/3

Removing a block

To remove a block through the Insert menu

  1. Either remove the last block in the song, by selecting Delete then Last Block from the Insert menu.
  2. Or remove any block:

Select the block to be removed. How?

Select Delete then Current Block from the Insert menu.

To remove a block through the Block List dialog

  1. Open the Block List dialog.
  2. In the list, click on the block to be removed.
  3. Click Delete.

Note

The numbers of the current and last blocks are shown below the song editor, in the fourth box from the left.


 Selecting the current block

Adding, removing and selecting blocks 3/3

Selecting the current block

The current block is shown in the song editor, where it may be edited or played.

To select the current block using the keyboard

  1. Either select the previous block using Shift+Up Arrow.
  2. Or select the next block using Shift+Down Arrow.

To select the current block using the Block List dialog

  1. Open the Block List dialog.
  2. If necessary, use the scroll bar, Goto Top and Goto Bottom controls, to show the block to be selected.
  3. Select a block by double-clicking on a block in the list.

Note
The numbers of the current and last blocks are shown below the song editor, in the fourth box from the left.

Tip
Selecting blocks becomes much easier if the blocks are named. How?


Working with blocks and songs 3

Working with blocks and songs 3/4

Names and block dimensions

For easy recognition, it is helpful to name blocks and tracks.

Blocks have three dimensions:

  • length – the number of lines
  • width – the number of tracks
  • depth – the number of command pages

These dimensions can be changed directly. They are also changed indirectly when inserting or removing lines and tracks, splitting a block in two or joining two blocks together, and 'expanding' or 'shrinking' a block.

How To

  • Name a block or track
  • Change the length, width and depth of a block
  • Insert or remove a line
  • Insert or remove a track
  • Split a block into two blocks
  • Join two blocks together
  • Expand or shrink a block


 Naming a block or track

Names and block dimensions 1/7

Naming a block or track

To name a block using the Block List dialog

  1. Open the Block List dialog.
  2. In the list, click on the block to be named.
  3. Click inside the Name text box, and type in a name.

To name a block using the Block Properties dialog

  1. Open the Block Properties dialog.
  2. Click inside the Name text box, and type in a name.

To name a track

  1. Click inside the appropriate track name box, directly above the track.
  2. Type in a name.

Note

  • The current block's name is shown just below the song editor (if the window is wide enough).


 Changing the length, width and depth of a block

Names and block dimensions 2/7

Changing the length, width and depth of a block

  1. Open the Block Properties dialog.
  2. If desired, change the length – the number of lines – using the Lines number box.
  3. If desired, change the width – the number of tracks – using the Tracks slider or number box.

To play samples or synthsounds on these extra tracks, set Max Num of Channels to the new number of tracks.

  4. If desired, change the depth – the number of command pages – using the Command Pages number box.

Press the Tab key repeatedly to display each command page.

Note

  • The current block's dimensions are shown in the display boxes at the bottom of the main window. (The second number in each display box is the total number.)


 Inserting or removing a line

Names and block dimensions 3/7

Inserting or removing a line

To insert a line

  1. Move to where the new line should be inserted. How?
  2. Insert a new line before the current one, by selecting Line into Block from the Insert menu.

The block will lengthen by one line.

To remove a line

  1. Move to the line that you want to be removed. How?
  2. Remove the current line, by selecting Delete then Line from Block from the Insert menu.

The block will shorten by one line.

Especially see also

  • Inserting or removing a track


 Inserting or removing a track

Names and block dimensions 4/7

Inserting or removing a track

To insert a track

  1. Move to where the new track should be inserted. How?
  2. Either Insert a new track at the current position, in this block only, by selecting Track into Block from the Insert menu.

The block will widen by one track.

Or Insert a new track at the current position, in all blocks in the module, by selecting Track into All Blocks from the Insert menu.

All blocks will widen by one track.

To remove a track

  1. Move to the track that you want to be removed. How?
  2. Either Remove the current track, in this block only, by selecting Delete then Track from Block from the Insert menu.

The block will narrow by one track.

Or Remove the current track, in all blocks in the module, by selecting Delete then Track from All Blocks from the Insert menu.

All blocks will narrow by one track.

Especially see also

  • Inserting or removing a line


 Splitting a block into two blocks

Names and block dimensions 5/7

Splitting a block into two blocks

  1. Select the block to be split. How?
  2. Move to the line at which the split should occur.

The next block will have this line as its first line. How?

  3. Select Split Block from the Edit menu.

The next block now contains the other part of the block.

Especially see also

  • Joining two blocks together


 Joining two blocks together

Names and block dimensions 6/7

Joining two blocks together

The blocks must be consecutive (e.g. numbers 3 and 4, but not 3 and 8).

To join two blocks together

  1. Select the first of the two blocks. How?
  2. Select Join Blocks from the Edit menu.

Note

  • All playing sequence entries referring to the second of the two blocks are deleted.

Especially see also

  • Splitting a block into two blocks


 Expanding or shrinking a block

Names and block dimensions 7/7

Expanding or shrinking a block

Expanding a block inserts n lines after each existing line. Shrinking a block removes these inserted lines. The number n, plus one, is the factor.

Example

To expand or shrink a block

  1. Select the block to be affected. How?
  2. Open the Expand/Shrink Block dialog.
  3. If necessary, change the expansion or shrink factor. Example
  4. Either expand the block by clicking Expand.

Or shrink the block by clicking Shrink.

Note

  • When shrinking, the factor must be divisible by the number of lines in the block. If it is not, a warning message appears at the bottom of the song editor.

Tip

  • Fast rhythms that would otherwise require expansion can be created using player commands 0FF1 to 0FF5 and command type 1F. Consider these before expanding a block.


 Creating and arranging songs

Working with blocks and songs 3/4

Creating and arranging songs

Starting a new module involves clearing it, and naming its one song. (A module usually consists of only one song.)

After composing all the blocks of your song, you should create a playing sequence. The playing sequence is the order in which the blocks should be played. Blocks may be omitted or repeated.

A playing sequence can contain commands as well as block numbers. There are two command types. One type stops the song. The other type jumps to a particular entry in the playing sequence. By jumping to an earlier entry, you can create a repeated part of the sequence.

Another way to arrange a song is to create several playing sequences, called sections. You should then create a section sequence, the order in which the sections should be played. This is a good way to organize your song thoroughly.

How To

  • Start a new module
  • Add an entry to the playing sequence
  • Use playing sequence commands
  • Create multiple playing sequences (sections)
  • Create a section sequence


 Starting a new module

Creating and arranging songs 1/5

Starting a new module

Only one module can be in memory at once. A new module contains one song.

To start a new module

  1. Select New from the File menu.
  2. If desired, name the song:
  • Open the Songs In Current Module dialog.
  • Type a name into the Name box.

Note

  • To name a song, you can also use a text box in the Song Properties dialog.

Especially see also

  • Multiple songs


 Adding an entry to the playing sequence

Creating and arranging songs 2/5

Adding an entry to the playing sequence

This topic covers adding a single entry to the playing sequence. Whole playing sequences are created by adding entries to the sequence one by one.

There is always at least one entry in a sequence. Add your first entry by changing this single entry to the correct block number (see step 3 below).

To add a single playing sequence entry

  1. Open the Playing Sequence dialog.
  2. Either add an entry to the end of the sequence:
  • Click Append (above the Blk number box).

MED adds the current block to the sequence.

Or insert an entry anywhere in the sequence:

  • In the list, click the entry where the new entry should be inserted.

(It will be inserted above this entry.)

  • Click Insert (above Pos).

MED adds the current block to the sequence.

  3. If necessary, change the entry to a different block number, using the Blk number box.

To add an entry for a block, using the Block List dialog

  1. Open the Block List dialog.
  2. Select a block in the list, if necessary, by clicking on it (there is no need to double-click).
  3. Either click App to Seq, to add the block to the end of the playing sequence.
  • Or click Ins to Seq, to add the block at the current position in the playing sequence.

The block number which is added to the sequence is shown in the Block display.

To add an entry for the current block, using a menu item

  • Select Block into Sequence from the Insert menu.

The current block's number is added at the current position in the playing sequence.

Notes

  • The maximum number of entries in a sequence is 999. If you need more than this, split up the sequence into sections.
  • Because block names are displayed in the playing sequence, it is helpful to name the blocks used in the song. How?
  • The numbers of the current and last playing sequence entries are shown below the song editor, in the third box from the left.


 Using playing sequence commands

Creating and arranging songs 3/5

Using playing sequence commands

A playing sequence entry is usually a block number, but it can be a command instead.

To add a command to the playing sequence

  1. Open the Playing Sequence dialog.
  2. Either add a command to the end of the sequence, by clicking Append... (just above the sequence display).

Or insert a command anywhere in the sequence:

  1. In the list, click the entry where the new entry should be inserted.

(It will be inserted above this entry.)

  2. Click Insert... (just above the sequence display).

The Playing Sequence Cmd dialog appears.

  3. Either stop the song at this entry, by selecting Stop playing from the drop-down box.

Or jump to another entry in the playing sequence:

  1. Select Go to position from the drop-down box.
  2. Set Jump To Position to the appropriate playing sequence entry.

By jumping to an earlier entry, you can create repeated sections in the playing sequence.

  4. Click OK in the Playing Sequence Cmd dialog.

To change a block number entry into a command

  1. Click on the entry in the playing sequence.
  2. Click Edit...

The Playing Sequence Cmd dialog appears.

  3. Do steps 3 and 4 above.

To change a command into a block number entry

  1. Click on the entry in the playing sequence.
  2. Click Edit...

The Playing Sequence Cmd dialog appears.

  3. Select No command from the drop-down box.
  4. Click OK in the Playing Sequence Cmd dialog.

Note

  • Player commands 0FFE and 1B do the same job as the two playing sequence commands. But playing sequence commands are often more convenient, although unlike player commands, they cannot occur in the middle of a block.


 Creating multiple playing sequences

Creating and arranging songs 4/5

Creating multiple playing sequences (sections)

  1. Open the Playing Sequence dialog.
  2. Create a section (playing sequence) as usual. How?
  3. Name the section, by typing a name into the Name box.
  4. Add a new section by clicking Append New.
  5. Select the new section, by clicking > (top left of dialog).
  6. Repeat steps 2 to 5 for every required section.


 Creating a section sequence

Creating and arranging songs 5/5

Creating a section sequence

This topic covers adding a single entry to the section sequence. The whole section sequence is created by adding entries to the sequence one by one. (It is very like creating a playing sequence.)

There is always at least one entry in a sequence. Add your first entry by changing this single entry to the correct section number (see step 3 below).

To add a single section sequence entry

  1. Open the Section Sequence dialog.
  2. Either add an entry to the end of the sequence:
  • Click Append (above the Seq number box).

MED adds the section currently selected in the Playing Sequence dialog.

Or insert an entry anywhere in the sequence:

  1. In the list, click the entry where the new entry should be inserted.

(It will be above this entry.)

  2. Click Insert (above Pos).

MED adds the section currently selected in the Playing Sequence dialog.

  3. If necessary, change the entry to a different section number, using the Seq number box.

Notes

  • Because section names are displayed in the playing sequence, it is helpful to name sections. How?
  • The numbers of the current and last section sequence entries are shown below the song editor, in the second box from the left.

Tip

  • You could open the Playing Sequence dialog to check that you are inserting the correct sections!


Multiple songs

Working with blocks and songs 4/4

Multiple songs

A module can contain many different songs. All of the songs share the same set of instruments.

You might compose different songs for each level of a game, without having to load or store the same instrument repeatedly. Or you could treat one song as 'workspace', and cut and paste to the main song when necessary.

Settings that are unique to each song are contained in the Song menu.

How To

  • Add a song
  • Remove a song
  • Select the current song


 Adding a song

Multiple songs 1/3

Adding a song

  1. Open the Songs In Current Module dialog.
  2. Either add a new song after the last one, by clicking Append New.

Or add a new song before the selected one:

  1. Click on a song name to select it.
  2. Click Insert New.
  3. Name the song, by typing a new name into the Name text box.
  4. To show the new song in the song editor, double-click on it.

Notes

  • To name a song, you can also use a text box in the Song Properties dialog.
  • The numbers of the current song and the last song are shown at the far bottom-left, below the song editor.


 Removing a song

Multiple songs 2/3

Removing a song

  1. Open the Songs In Current Module dialog.
  2. In the list, click on the song to be deleted.
  3. Click Delete.

Note

  • The numbers of the current song and the last song are shown at the far bottom-left, below the song editor.


 Selecting the current song

Multiple songs 3/3

Selecting the current song

This is how to select a song to show in the song editor.

To select the current song

  1. Open the Songs In Current Module dialog.
  2. In the list, double-click on the song to be selected.

Notes

  • It helps if all your songs are distinctively named!
  • The numbers of the current song and the last song are shown at the far bottom-left, below the song editor.


 Creating samples

Editing samples 1/8

Creating samples

Instead of loading a pre-recorded sample from disk, you can create your own in three main ways:

  • Create a blank sample. You can then edit the sample with the mouse, or add effects such as noise.
  • Record a sample from a source such as a CD player, tape recorder or microphone. Your soundcard must be capable of accepting appropriate input.
  • Save part of a song as a sample. For example, enter a drum beat into a block, then turn the whole beat into one sample.

It may also be helpful to redraw part of the sample with the mouse, and add workspace (emptiness) to the start or end of the sample.

How To

  • Create a blank sample
  • Record a sample
  • Save part of a song as a sample
  • Edit the sample with the mouse
  • Add 'workspace' to the sample


 Creating a blank sample

Creating Samples

Creating a blank sample

  1. Select an instrument position in which to create a blank sample. How?
  2. Open the Sample Editor dialog.
  3. Select New Sample from the File menu.

The New Sample dialog appears.

  4. Type the required sample length into Sample Length.
  5. To make the sample stereo, switch on Stereo, otherwise switch it off (for a mono sample).

Stereo samples can have different sounds on the left and right speakers. They consume twice the memory of mono samples.

  6. To make the sample 16-bit, switch on 16-bit, otherwise switch it off (for an 8-bit sample).

The quality of 16-bit samples is far superior to that of 8-bit samples, although twice the memory is consumed.

  7. Click OK.


 Recording a sample

Creating samples 2/5

Recording a sample

This involves feeding a sound from real-life into MED, as a sample. The source of the sound may be a tape recorder, microphone or anything else that can connect to your PC (via a soundcard).

To record a sample

  1. Connect a sound source to your PC. Typically, it might connect to the soundcard's Mic In socket.
  2. Select any instrument. How?
  3. Open the MED Sample Editor dialog.
  4. Click [image] or select Record Sample from the File menu.
  5. Set the input device if necessary.
  6. Set the sampling rate and the mode.

16-bit mono 22050 Hz is usually acceptable.

  7. Set the desired sample duration.

You can set the number of sample points in the first box, or the equivalent number of seconds in the second box.

  8. Adjust the sound's volume as necessary:
  1. Open the Windows Volume Control program.

Select Properties from the Options menu.

  2. In the dialog, click on the Recording option, then switch on all check boxes, then click OK.
  3. Find the volume control that is relevant to your sound source (e.g. Microphone). Ensure that its Select check box is on.
  4. If any other devices might interfere with the sound (e.g. if you are also playing a CD), switch off the appropriate Select boxes.
  5. If necessary, switch the sound on (e.g. start playing the tape).
  6. Adjust the relevant volume control, watching the coloured bar on the left.

Aim for a high volume without the bar reaching red.

Of course, you may also need to adjust the sound source's actual volume control!

  9. In MED, when you are ready to record, click Start Recording.

(To instead cancel recording, click Cancel.)

  10. If necessary, interrupt recording by clicking Abort.

Notes

  • After recording, MED sets the instrument's default frequency to the recording frequency.
  • If the sound is too quiet, it may be 'hissy'. If too loud, there will be clipping.
  • If you experience difficulty caused by record buffer overruns, try increasing Record Buffer Size.


 Saving part of a song as a sample

Creating samples 3/5

Saving part of a song as a sample

An example: Construct a drum beat over several tracks in a block, then follow the steps below to turn the drum beat into a sample. The resulting sample can then be used on a single track.

Saving part of a song as a sample

  1. In the song editor, insert an 0FFE (stop playing) player command at the point where the sample should stop. How?

This is not necessary if the sample will be stopped manually.

Note that a 'stop playing' playing sequence command will not stop recording.

  2. Switch off any tracks that are not to be recorded. How?
  3. Set song properties:
  1. Open the Song Properties dialog.
  2. In the top-left corner, if the sample is to be in mono, click Mono, otherwise click Stereo.

For use in songs, mono samples are often more desirable.

  3. Set Max. Num of Channels to the number of the rightmost track used in the recorded part of the song.

For example, if notes to be recorded appear anywhere in track 4, set it to 4.

  4. Close the dialog.
  4. Set playback settings:
  1. Open the Playback Settings dialog.
  2. In the top-left corner, set the sample frequency.

A higher frequency gives better quality sound but the sample is longer.

  3. Set 8-bit or 16-bit resolution.

We strongly recommend 16-bit.

  4. Switch on Smoothing (recommended).

If Smoothing is not usually on because of your computer's speed, ensure that you do not play any notes until after recording.

  5. Close the dialog.
  5. Set any required effects, and other playback settings (e.g. track volumes).
  6. Either set up for recording a song from a particular position:
  1. If necessary, click on the section sequence entry where the song should start.
  2. If necessary, click on the playing sequence entry where the song should start.
  3. If necessary, move to the song editor line where the song should start.
  • Or set up for recording a whole block:
  • Or set up for recording part of a block:
  1. Select the appropriate block. How?
  2. Move to the line where the block should start. How?
  7. Select Record as Sample from the File menu.

The Record Song As Sample dialog opens.

  8. Using the File Format drop-down box, select the desired sample file format.

RIFF WAVE (.wav) is usually fine.

  9. To set the sample's file name:
  1. Click Set...
  2. Set the file name using the file dialog.

Add the appropriate extension to the file name (e.g. .wav for a RIFF WAVE file).

  10. If playing will be stopped automatically at an 0FFE player command (see step 1), set Recording Speed to its maximum (1000).

In practice, the recording speed may not reach this level.

  11. Check that the desired sample properties appear in the Sample Properties display.

If they do not, do steps 3 and 4 again.

  12. Either to record from the beginning of the song, click Record Song.
  • Or to record the song from a particular position, click Continue Song.
  • Or to record from the beginning of the current block, click Record Block.
  • Or to record the block from a particular position, click Continue Block.

Playback is not heard during recording.

  13. If desired, interrupt recording, or stop recording manually, by clicking STOP RECORDING.

You might want to keep an eye on the Recorded Duration and Destination File Size displays, to stop the sample before it becomes too long or too large.

  14. If Smoothing is not usually on, switch it back off.

Notes

  • When reloading the sample, play it at its default frequency, using the F key.
  • Because the produced sample is often quiet, you may wish to increase Volume Adjust before recording, or change the sample volume dialog after recording.
  • Notes played by MIDI instruments are not recorded, only samples and synthsounds.


 Editing the sample with the mouse

Creating samples 4/5

Editing the sample with the mouse

In freehand mode, you can change the sample by drawing with the mouse. You might, for example, smooth out a sudden and uncharacteristic peak.

The display is greatly magnified in freehand mode.

To edit the sample with the mouse

  1. Zoom into the part of the sample to be edited. How?
  2. Switch on freehand mode by clicking
  3. If necessary, zoom in closer.
  4. Draw on the sample display by dragging the mouse.

Note

  • Freehand mode is automatically switched off if the display size becomes too small (for example, if you zoom out too much or you reduce the width of the sample editor window). You can switch it on again as in step 2 above.


 Adding 'workspace' to the sample

Creating samples 5/5

Adding 'workspace' to the sample

Workspace is emptiness added to the start or end of the sample.

To add workspace to the sample

  1. Open the Add Workspace dialog.
  2. Either use Factor and Adjust to specify the workspace's length, relative to the sample's current length.

For example, if the sample is of length 10000, a factor of 1 will add 10000 positions of workspace, doubling the sample's length. (Factor 2 will add 20000, and so on.)

Adjust adds a fractional amount to the factor (e.g. factor 2 and adjust 50% is really factor 2.5).

Or type a length of workspace directly into Samples.

  3. If necessary, click Start to add the workspace to the start of the sample, instead of the end.
  4. Click OK.

Note

  • Another way to add workspace to the sample's end is to increase the sample's size. Type a new sample size into the Length box (above the sample display), and click No in the dialog box which appears.


 The basics of editing

Editing samples 2/8

The basics of editing

In the sample editor, you can play a sample in the usual way, or you can play part of the sample.

Before making excessive changes to a sample, you could store it in the copy buffer. If you are unsatisfied with the changes, you can retrieve the sample.

The sample editor's most fundamental editing operations are the word processor-like cut, copy and paste. These store a part of the sample temporarily in the copy buffer. The copy buffer can also be played or emptied.

Sections of the sample can be moved or copied to another place. Sections can also be removed or cleared, or chopped (all parts of the sample are removed, except for the marked section).

Some facilities, including volume change, perform better if the sample is centralized about the horizontal line in the center.

How To

  • Play the sample or the copy buffer
  • Undo an action
  • Move or copy an area
  • Remove areas
  • Remove unnecessary parts of the sample
  • Clear an area
  • Centralize the sample
  • Empty the copy buffer


 Playing the sample or the copy buffer

The basics of editing 1/8

Playing the sample or the copy buffer

In the sample editor, you can play a sample in the usual way, or in one of the ways described below.

The copy buffer can also be played.

To play a sample

  1. If necessary, open the Sample Editor dialog.
  2. Set the note or frequency at which the instrument will be played:
  • Either hold down the left mouse button on the box immediately beside Rate, and play the note on the computer keyboard.

Or type a frequency (e.g. one of the standard frequencies) into the number box beside Rate.

  3. Either play the current display:
  1. Zoom in, if required. How?
  2. Click

Or play a selection:

  1. Mark a selection, if necessary. How?
  2. Click

Or set a loop and play it continuously:

  1. Set a loop, if necessary. How?
  2. Select Play Loop from the Loop menu
  4. To stop the instrument if necessary, press the space bar or click

This improves performance, even if the instrument is not playing. (See the note below.)

To play the copy buffer

  • Select Play Copy Buffer from the Tools menu.

This is a way of finding out what is in the copy buffer.

Notes

  • Below the sample display, the part beside Buff: shows whether the contents of the copy buffer are mono or stereo, and 8 or 16-bit. It also shows the copy buffer's length.
  • MED tends to play samples more quietly than other programs, to allow several samples to be played simultaneously.

If you regularly use the sample editor, you may only need to play one sample at any one time. To play such samples at 'normal' volume, set Max. Num of Channels to 1. You should also ensure that the cursor in the song editor is on track 1.

  • MED switches on the player when an instrument is played, and the player is only switched off when the song or the instrument is next stopped (in order to react quickly to subsequent key presses). The player takes up some processor time, so stopping the instrument can improve performance.


 Undoing an action

The basics of editing 2/8

Undoing an action

To undo an unwanted action

  • Select Undo from the Edit menu. This reverses the effect of the most recent action.

To 'undo an undo'

  • Select Redo from the Edit menu. This reverses the effect of selecting Undo.

To store and retrieve the whole sample using the copy buffer

This can be useful when performing many actions on a sample.

  1. Click

This stores the whole sample in the copy buffer, for later retrieval if you are unsatisfied with any changes you make.

  2. Edit the sample as necessary. Do not overwrite the copy buffer. The buffer is used by cut/copy/paste and other editing facilities. However, it is not usually used by effects.
  3. If necessary, retrieve the original sample by clicking

Notes

  • By default, the number of actions you can undo simultaneously is 5. (This consumes approximately 6 samples worth of main memory!) Advanced users can override this number via the registry value UndoCount (data type REG_DWORD) in key

HKEY_CURRENT_USER/Software/RBF Software/MED SoundStudio 1.6

An UndoCount value of 0 disables undo/redo entirely.

  • An alternative for storing and retrieving the whole sample: swap the contents of the sample and copy buffer, so that your sample is placed in the copy buffer, and whatever was in the copy buffer is placed in your sample. To do this, select Swap with Copy Buffer from the Tools menu.


 Moving or copying an area

The basics of editing 3/8

Moving or copying an area

  1. Mark a selection over the area to be moved or copied. How?
  2. Either to move, click

Or to copy, click

  3. Click at the position where the area should be moved or copied.
  4. Either insert the area at the marked position:
  1. Click
  2. Even though the sample has grown, the display size is still the same. To show the whole sample, click

Or overwrite part of the sample with the area, by selecting Paste (overwrite) from the Edit menu. The sample does not grow.


 Removing areas

The basics of editing 4/8

Removing areas

To remove a selection

  1. Select the area to be removed. How?
  2. Press Del, or click [image] or select Delete from the Edit menu.

To remove the whole sample except the selection

  1. Select the area not to be removed. How?
  2. Select Chop from the Edit menu.

To remove from a point to the start or end of the sample

  1. Click at a point on the sample display.
  2. Either remove from the sample's start to the point, by selecting Delete To Start from the Edit menu.

Or remove from the point to the sample's end, by selecting Delete To End from the Edit menu.

To remove the part before the loop

  • Select Erase Area Before Loop from the Loop menu.

To shorten the sample by an exact amount

  1. Subtract the exact amount from the sample's length.

For example, if the Length box contains 35000 and you wish to remove 1000 positions from the end of the sample, the new sample length is 34000.

  2. Type the new sample length into the Length box.
  3. Answer Yes in the dialog that appears.


Removing unnecessary parts of the sample

The basics of editing 5/8

Removing unnecessary parts of the sample

These facilities save memory and disk space, and keep timing in songs precise.

  1. Select Remove Leading and Trailing Silence from the Edit menu.

This removes silent (or nearly silent) areas from either end of the sample.

  2. Select Erase Area After Loop from the Loop menu.

This area is never heard (during normal sample playback)!


 Clearing an area

The basics of editing 6/8

Clearing an area

  1. Select the area to be cleared. How?
  2. Click [image] or select Clear from the Edit menu.


 Centralizing the sample

The basics of editing 7/8

Centralizing the sample

Some effects (e.g. Change Volume) perform better if the sample is centralized about the zero line (the horizontal line in the center).

To centralize the sample

  • Select Remove DC from the Edit menu.

Note

  • Another way is to open the Adjust DC dialog, then click Calculate Average Deviation and click Adjust. This will work for a selection of any length (a length of 1 will affect the whole sample).


 Emptying the copy buffer

The basics of editing 8/8

Emptying the copy buffer

  • Select Discard Copy Buffer from the Tools menu.


 Marking a selection

Editing samples 3/8

Marking a selection

Many editing facilities act on the current selection, including cut/copy/paste and most effects.

Usually, a selection is marked by dragging the mouse over the sample display. Alternatively, click on the display to mark a range of length 1. (Editing operations, including effects, act on the whole sample if the range is 1 point long.)

A selection is always marked. If you cannot immediately see it, it is probably over the very first sample point (number 0).

The selection start and end points are shown in the 'Sel' boxes.

How To

  • Mark a selection with the mouse
  • Adjust an existing selection with the mouse
  • Mark a selection in a stereo sample
  • Mark a selection precisely
  • Select the display or a loop


Marking a selection with the mouse

Marking a selection 1/5

Marking a selection with the mouse

To mark a selection of length 1

  • Click anywhere on the display.

To mark a longer selection

  • Either hold down the left mouse button, then drag the mouse over part of the display
  • Or click at the selection's starting point, then hold down Shift and click at the ending point.

Notes

  • To mark a selection more accurately with the mouse, zoom in. How?
  • To mark from the very start of the sample to a particular point, drag from the point to the very start (not the other way round). Similarly for the very end.


 Adjusting an existing selection with the mouse

Marking a selection 2/5

Adjusting an existing selection with the mouse

  1. Keep a Shift key held down throughout steps 2 and 3!
  2. To adjust the selection's starting point, click on an area to the selection's left.

To adjust the selection's ending point, click on an area to the selection's right.

  3. Hold down the left mouse button, and move the mouse as required.
  4. Release the mouse button and Shift key.


Marking a selection in a stereo sample

Marking a selection 3/5

Marking a selection in a stereo sample

A stereo sample has a left half and a right half.

To mark a selection over both halves

  • Drag the mouse across the middle of the sample display, between the two halves of the stereo sample.

To mark a selection over one half

  • Drag the mouse across the left or right half of the stereo sample.

Especially see also

  • Mono and stereo, 8 and 16-bit


 Marking a selection precisely

Marking a selection 4/5

Marking a selection precisely

To supply selection points directly

  • Type suitable starting and ending points into the two Sel boxes (above the sample display).

To use magnification

  1. Zoom in until you obtain the required degree of accuracy. How?
  2. Mark a selection with the mouse. How?


 Selecting the display or a loop

Marking a selection 5/5

Selecting the display or a loop

The display is the same as the whole sample, unless you have zoomed in.

To mark a selection over the current display

  1. If the selection is to be over the whole sample, click [image] if you have zoomed in.
  2. Click

To mark a selection over the loop

  • Select Select Loop from the Loop menu.

How to set a loop


 Zooming in and out

Editing samples 4/8

Zooming in and out

Magnifying and reducing the sample display, or zooming in and out, allows you to see part of the sample in more detail. It also makes for more accurate selection marking and loop positioning.

The sample can be displayed as peaks, rather than the usual lines. This represents the sample more accurately, and may remove the need to zoom in. Lines is perhaps more attractive, though.

How To

  • Use the zoom in/out buttons
  • Use the zoom slider
  • Magnify a selection or loop
  • Restore the display to full size
  • Display the sample as peaks


 Using the zoom in/out buttons

Zooming in and out 1/5

Using the zoom in/out buttons

  1. To zoom in, click

To zoom out, click

  2. Move around the display using the horizontal slider below the display, or the Left and Right Arrow keys.

Notes

  • Display Size (bottom left) shows the number of sample points currently being displayed.

If the display is fully zoomed out, Display Size and Length (top left) are equal.

  • To play the current display at the current rate, click


 Using the zoom slider

Zooming in and out 2/5

Using the zoom slider

  1. The zoom slider is to the right of the sample display.

Drag it upwards to magnify, downwards to reduce.

  2. Move around the display using the horizontal slider below the display, or the Left and Right Arrow keys.
  3. To make the zoom slider move towards any point on the sample, rather than the middle of the sample:
  1. Open the Sample Editor Settings dialog.
  2. Switch on Center Zoom Slide On Selection.
  3. Close the Sample Editor Settings dialog.
  4. Click anywhere on the display, to move towards that point.
  5. Drag the zoom slider upwards.

Notes

  • When Center Zoom Slide On Selection is on, the zoom slider actually centers the magnification on the middle of the marked selection.

(Clicking on the display, as in step 3d above, marks a one-point selection.)

  • Display Size (bottom left) shows the number of sample points currently being displayed.

If the display is fully zoomed out, Display Size and Length (top left) are equal.

  • To play the current display at the current rate, click


 Magnifying a selection or loop

Zooming in and out 3/5

Magnifying a selection or loop

To magnify a selection

  1. Mark a selection, if necessary. How?
  2. Click
  3. Move around the display using the horizontal slider below the display, or the Left and Right Arrow keys.

To magnify a loop

  1. Set a loop, if necessary. How?
  2. Select Show from the Loop menu.
  3. Move around the display using the horizontal slider below the display, or the Left and Right Arrow keys.

Note

  • Display Size (bottom left) shows the number of sample points currently being displayed.

If the display is fully zoomed out, Display Size and Length (top left) are equal.


 Restoring the display to full size

Zooming in and out 4/5

Restoring the display to full size

  • Click [image] or select Select All from the Edit menu


 Displaying the sample as peaks

Zooming in and out 5/5

Displaying the sample as peaks

Because peaks represent the sample more accurately, this may remove the need for zooming in.

To display the sample as peaks

  1. If necessary, open the MED Sample Editor dialog.
  2. Open the Sample Editor Settings dialog.
  3. Click Peak.

Note

  • Click Line to revert to the usual setting.


 Mono and stereo, 8 and 16-bit

Editing samples 5/8

Mono and stereo, 8 and 16-bit

Although many samples are in mono, samples can also be in stereo. Stereo samples have a left half and a right half. The left half is played through the left speaker, the right half through the right speaker.

16-bit samples are far superior quality to 8-bit.

Stereo samples consume twice the memory of mono, and 16-bit samples twice the memory of 8-bit.

Also see marking a selection in a stereo sample.

How To

  • Convert a mono sample to stereo
  • Convert a stereo sample to mono
  • Convert a sample to and from 16-bit


 Converting a mono sample to stereo

Mono and stereo, 8 and 16-bit 1/3

Converting a mono sample to stereo

To turn a mono sample into a stereo sample, MED copies the mono sample to both left and right halves.

So in fact, the new stereo sample still sounds mono (initially).

To convert a mono sample to stereo

  1. Select a sample. How?
  2. Open the Instrument Properties dialog.
  3. Switch on the Stereo check box.


mono and stereo, 8bit and 16bit

Mono and stereo, 8 and 16-bit 2/3

Converting a stereo sample to mono

The two halves of the stereo sample are mixed together, so that the resulting mono sample is a combination of what was played on the left and right speakers.

To convert a mono sample to stereo

  1. Select a sample. How?
  2. Open the Instrument Properties dialog.
  3. Switch off the Stereo check box.


 Converting a sample to and from 16-bit

Mono and stereo, 8 and 16-bit 3/3

Converting a sample to and from 16-bit

16-bit samples have far superior sound quality to 8-bit. However, converting a sample from 8 to 16-bit does not improve quality, because the sample was originally recorded in 8-bit rather than 16-bit.

16-bit samples can also be converted to 8-bit, with an inevitable loss of sound quality. However, 8-bit samples consume half the memory and disk space of 16-bit samples.

To convert an 8-bit sample to 16-bit

  1. Open the Instrument Properties dialog.
  2. Switch on the 16-bit check box.

To convert an 16-bit sample to 8-bit

  1. Open the Instrument Properties dialog.
  2. Switch off the 16-bit check box.


 Loops

Editing samples 6/8

Loops

If a sample has a loop, the notes you play with the sample will be sustained until stopped. This is due to a particular part of the sample being continually repeated, or looped.

The usual way of setting the looped part of the sample is through the sample editor.

Finding a smooth loop is difficult, involving trial-and-error. While seeking the perfect loop, you can store a good-sounding loop for later retrieval.

The sample editor's Loop menu provides useful loop facilities. Do experiment with everything in the Loop menu.

How To

  • Set a loop
  • Find a smooth loop
  • Store and retrieve a loop position
  • Temporarily remove a loop


 Setting a loop

Loops 1/4

Setting a loop

To set a loop using the loop flags

  1. Open the Sample Editor dialog.
  2. If no loop is set, select Mark then Entire Sample from the Loop menu.
  3. Drag one of the loop flags to a new position, using the 'head' of the flag.

If you cannot see the flag's head, drag the top of the vertical dotted line.

To set a loop over a particular area

  1. Open the Sample Editor dialog.
  2. Either set a loop over a selection.
  1. Mark a selection. How?
  2. Select Mark then Selection from the Loop menu.

Or set a loop over the currently displayed part of the sample.

  1. Zoom into a different waveform part. How?
  2. Select Mark then Display from the Loop menu.

Or set a loop over the entire sample, by selecting Mark then Entire Sample from the Loop menu.

To set a loop by typing in values directly

  1. Open the Instrument Properties dialog.
  2. Enter the loop's starting point and length, in sample points, by typing new values into Loop Start and Loop Len.
  3. To activate the loop, switch on Loop On.

Note

  • Usually, the loop is repeatedly played from left to right. By switching on Ping-Pong Loop, an instrument's loop can be played left to right, then right to left, then left to right and so on.


 Finding a smooth loop

Loops 2/4

Finding a smooth loop

Although there is no substitute to trial-and-error, the following may help:

  • Smooth loops start and end at the same vertical point. There must be a smooth connection between the loop's end and the loop's start.

Often, the start and end can be at 'zero' (exactly in the center). To find the zeroes nearest the loop flags, try Find Zeros (In) and Find Zeroes (Out) in the Loop menu.

  • Look for repeating shapes in the sample picture.

Many instruments from real-life have a basic shape that is repeated throughout the sample. Looping over one or more of these shapes is often successful.

  • Zoom in. If you think that a particular point might be a good place for a loop flag, zoom into that point for maximum accuracy.

In practice, try moving the loop flag to roughly the required point, then mark a small selection covering the loop flag and click

Note

  • It can occasionally be useful to turn an area of the sample upside-down, or to shift an area up or down, in order to make the loop connect smoothly (see the first point above).

To turn an area upside-down, mark a selection over the area, and click [image] or select Invert Phase from the Edit menu.

To shift an area up or down, mark a selection and choose Adjust DC Level from the Edit menu. In the dialog, enter the amount of adjustment from -127 to 128. Positive numbers shift up, negative numbers shift down. Or click Calculate Average Deviation to centralize the selection. Finally, click Adjust.


 Storing and retrieving a loop

Loops 3/4

Storing and retrieving a loop

Suppose you have found a fairly smooth loop, but want to try to find a better one.

Before changing the loop position, store it. Later on, if you cannot find a better loop, you can retrieve the stored one.

To store a loop

  • Select Snapshot Loop from the Loop menu.

To retrieve a loop

  • Select Recall Loop from the Loop menu.


 Temporarily removing a loop

Loops 4/4

Temporarily removing a loop

  1. Open the Instrument Properties dialog.
  2. Switch off the Loop On check box.

Note

  • To re-activate the loop, switch Loop On back on.


 Changing volume and pitch, and mixing

Editing samples 7/8

Changing volume and pitch, and mixing

These topics describe some facilities in the sample editor's Effects menu.

An area's volume can be changed, including gradual increases and decreases.

'Resampling' raises or lowers the basic pitch of the whole sample. It is as if the sample was originally recorded at a different frequency, although the sound quality is not as high.

The sample can be mixed with the copy buffer, or mixed with itself several times at different pitches to produce a chord.

Especially also see adding effects.

How To

  • Change the volume of an sample area
  • 'Resample' the sample
  • Mix two samples together
  • Turn the sample into a chord


 Changing the volume of an area

Changing volume and pitch, and mixing 1/4

Changing the volume of an area

  1. Mark a selection over the area to be affected.

A selection of length 1 will affect the whole sample. How?

  2. Open the Change Volume dialog.
  3. If desired, switch on Check Clipping, which prevents clipping.

Because some clipping does not produce audible distortion, you could also set Max Clip to 10, for example. This will allow the sample volume limits to be exceeded by 10%.

  4. Either select one of the five presets:
  • Click Fade In to increase gradually from silence to normal volume.
  • Click Fade Out to decrease gradually from normal volume to silence.
  • Click Halve or Double to halve or double the volume.
  • Click Max to increase the volume to the maximum possible without clipping.

Or set the starting and ending volume as a percentage of the original volume of the area:

  1. Adjust the Start Volume slider. Examples
  2. Adjust the End Volume slider.
  3. Click Change Volume.


 'Resampling' the sample

Changing volume and pitch, and mixing 2/4

'Resampling' the sample

This raises or lowers the basic pitch of the whole sample. The sample becomes shorter if the basic pitch is made higher, and longer if made lower.

This is useful if the sample cannot be played high or low enough for your liking. Raising the basic pitch also saves disk space, although sound quality is lost.

To 'resample' the sample

  1. Open the Change Pitch dialog.
  2. Either choose a preset.
  • Click Octave Up, Octave Down, Halfstep Up or Halfstep Down to resample accordingly.

Click Cancel Finetune to change the pitch slightly so that its Finetune value is no longer needed. (Finetune is set to zero.)

Or set the source and destination pitches (frequencies) directly.

  1. Beside Source Pitch, change the pitch box or type in a frequency. Examples
  2. Beside Dest. Pitch, change the pitch box or type in a frequency.
  3. Click Change Pitch

Other controls

  • Lengthening the sample without lowering the pitch


 Mixing two samples together

Changing volume and pitch, and mixing 3/4

Mixing two samples together

The contents of the copy buffer and the current sample are mixed. The result is placed in the current sample.

To mix two samples together

  1. Select one of the samples to be mixed together. How?
  2. Copy the entire sample to the copy buffer, by clicking
  3. Select the other sample. How?
  4. Either if desired, click on the point where mixing should start in the other sample. (It is usually the very beginning of the sample.)

Or if desired, restrict the mixing to a particular area of the other sample, by marking a selection over the area.

  5. Open the Mix dialog.
  6. If desired, adjust the volume levels, which are set as percentages of the original volume.

The two percentages should add up to 100% to prevent distortion.

  1. Adjust Source Level to affect the current sample.
  2. Adjust Dest Level to affect the sample in the copy buffer.
  7. Click Mix.

Note

  • To mix two areas (not two samples) together, select one area to be copied in step 1 above, and click [image] in step 2. Step 3 is unnecessary if the other area is in the same sample. Do the first option in step 4, unless the second area is shorter than the first area (if so, do the second option). Continue with steps 5, 6 and 7.


 Turning the sample into a chord

Changing volume and pitch, and mixing 4/4

Turning the sample into a chord

A chord is a group of notes played together, in this case by the same sample.

To play a chord, you can:

  • put each note on a separate track
  • turn the sample into a chord containing these notes. Such a sample only requires one track, but sound quality is lost.

To turn the sample into a chord

  1. Select the sample which will be turned into a chord. How?
  2. Open the Chords dialog.
  3. Either choose a preset chord, by clicking on any of the buttons in the Presets section.
  • The preset buttons set the chord notes and adjust the drop-down boxes on the right.
    Or set the chord's notes directly, using the four note boxes on the left.
  • If you do not require all four notes, leave one or two of the note boxes blank.
    Or set the chord's structure using the drop-down boxes on the right: Basic, Third, Fourth and Inversion.
  4. If desired, switch on Erase Trailing Notes.

Because higher notes are played more quickly than lower notes, the notes in the chord will not end together. When on, Erase Trailing Notes ensures that the notes do end together by removing the part that does not contain all the chord's notes.

  5. To test the chord, click Play Chord.

(To stop playing, click Mute or press the space bar.)

The actual chord will be of lower sound quality.

  6. Click Create Chord.

Note

  • Mixing the sample with itself so many times inevitably reduces the sound's volume.

MED produces a louder chord if you switch on Full Volume. This prevents the division of each sample value by the number of notes in the chord.

Alternatively, use the Change Volume dialog (for example, its Max button).


 Adding effects

Editing samples 8/8

Adding effects

These topics describe some facilities in the sample editor's Effects menu.

Echo can be added, an area of the sample can be turned backwards, or white noise can be added.

MED's powerful filtering feature results in a muffled or brightened sound, at the frequencies of your choice.

When a sample is lengthened, the pitch is usually lowered at the same time, but MED can lengthen the sample without changing the pitch.

Compression is used by some radio stations to increase the apparent volume. Expansion has the opposite effect.

Especially also see changing volume and pitch, and mixing.

How To

  • Add echo to the sample
  • Filter an area
  • Lengthen the sample without lowering the pitch
  • Compress or expand an area
  • Turn a sample or area backwards
  • Add white noise to an area


 Adding echo to the sample

Adding effects 1/6

Adding echo to the sample

This guide will assume that the part you want to echo is at the very end of the sample (this is advisable).

  1. Click at the start of the part to be echoed.
  2. Open the Add Workspace dialog.
  3. Add enough space to contain the echoes, by typing an amount of space into the Samples box.

It is best just to guess – we suggest 100000. (Unused space will be removed later.)

  4. Click Add Workspace.
  5. Close the Add Workspace dialog.
  6. Extend the selection to the very end of the sample, by holding down a Shift key and dragging to the far right of the sample display.

The selection should now cover both the part to be echoed and the space which will contain the echoes.

  7. Open the Echo dialog.
  8. To set the time between the start of each echo, change Time Between Echoes.

This is in milliseconds, and includes both the echoed part of the sample and the silence (blank space) before the next echo.

  9. To set the percentage decrease in volume from one echo to the next, change Echoes' Volume Level.
  10. If desired, creates echoes on alternate speakers (left, right, left etc.):
  1. If necessary, make the sample stereo. How?
  2. In the Echo dialog, switch on Cross Echo in Stereo Samples.
  11. Click Create Echoes.
  12. To remove any unused workspace, select Remove Leading and Trailing Silence from the Edit menu.

Tips

  • Experiment! For example, small echo rates can make a speech sample sound robotic!


 Filtering an area

Adding effects 2/6

Filtering an area

  1. Click

This is a precaution, in case you are unsatisfied with the filtering.

  2. Mark a selection over the area to be affected.

A selection of length 1 will affect the whole sample. How?

  3. Open the Filter dialog.
  4. Choose a filter type. Each type keeps some frequencies, and removes the rest.
  • Lowpass keeps frequencies below the Lower Frequency value.
  • Highpass keeps frequencies above the Upper Frequency value.
  • Bandpass keeps frequencies between the Lower and Higher Frequency values.
  • Bandstop keeps frequencies outside the Lower and Upper Frequency values.

Illustration

  5. Change the Lower and Upper Frequency values as desired.

Experiment! You can always 'undo' the filtering if you are not satisfied.

  6. If desired, adjust the Gain (volume).

A positive value increases the volume, a negative value decreases.
You may need to increase the volume, for example, if a lot of frequencies are removed.

  7. Click Filter.

Filtering can take some time, especially with long areas.

  8. After playing the sample, if you are unsatisfied with the result, click [image] and go back to step 2.

Especially see also

  • Adding a filter effect (using player commands)


 Turning a sample or area backwards

Adding effects 3/6

Turning a sample or area backwards

  1. Mark a selection over the area to be affected.

A selection of length 1 will affect the whole sample. How?

  2. Click [image] or select Reverse from the Edit menu


 Lengthening the sample without lowering the pitch

Adding effects 4/6

Lengthening the sample without lowering the pitch

Usually, when MED plays a sample more slowly (thus lengthening it), its pitch lowers.

Time stretching lengthens the sample without lowering the pitch. Unfortunately, there is a loss of sound quality, although the amount of quality loss varies.

To lengthen the sample without lowering the pitch

  1. Open the Time Stretch dialog.
  2. Set Stretch by appropriately.

For example, 200% will double the sample's length.

  3. Click Estimate Period.

MED will try to find a suitable value of Block Size, by searching for repeating shapes in the sample picture. This may take some time.

  4. In the dialog that appears, the number in the square brackets is the current estimated block size.

If the number remains the same for a while, it probably will not change, and you can press Abort.

  5. If the estimated period is low (e.g. 4), you could experiment with other values of Block Size.

Low values result from an irregular sample picture (e.g. a speech sample). Such values, unfortunately, often result in a pitch change.

  6. Click Apply Stretching.

Note

  • If you do not mind altering the pitch, try different values of Block Size for different effects. Unfortunately, a pitch change is unavoidable with some samples (e.g. speech).

Especially see also

  • Resampling the sample


 Compressing or expanding an area

Adding effects 5/6

Compressing or expanding an area

Compression is used by some radio stations to increase the apparent volume. It changes the dynamics so that quieter sections of the sample are relatively more amplified than louder sections.

Expansion has the opposite effect.

To compress or expand an area

Mark a selection over the area to be affected.

  1. A selection of length 1 will affect the whole sample. How?
  2. Open the Compand dialog.
  3. Use Level to adjust the amount of compression or expansion.

A positive level compresses, a negative number expands.

Compression usually introduces distortion, even at lower levels. You may want to store the sample before using compand.

  4. Click Compand.


 Adding white noise to an area

Adding effects 6/6

Adding white noise to an area

  1. Mark a selection over the area to be affected. How?
  2. Open the Noise dialog.
  3. To set the white noise strength, change Noise Level.
  4. Click Create Noise.


 Creating synthsounds

Editing synthsounds 1/4

Creating synthsounds

A synthsound is a simple, analog-style sound. To make a synthsound, you create one or more waves, and define a synthsound sequence which tells MED how to play the synthsound.

Samples can also use synthsound scripts. Such instruments are called hybrid instruments.

The synthsound editor has two wave displays (the large boxes). One shows the current instrument's wave. The other displays the temporary wave, used to store copied areas or for experimentation.

How To

  • Set up a new synthsound
  • Set up a new hybrid instrument
  • Create a wave
  • Transfer between wave displays


 Setting up a new synthsound

Creating synthsounds 1/4

Setting up a new synthsound

  • Select the instrument to become a synthsound. How?
  • Open the Synthetic Sound Editor.
  • Select New Sound from the File menu. (If the instrument is already a synthsound, this will clear it.)
  • Click No in the dialog that appears.
  • Open the Instrument Properties dialog.
  • Type a name for the instrument into the Name text box.


 Setting up a new hybrid instrument

Creating synthsounds 2/4

Setting up a new hybrid instrument

A hybrid instrument is a sample which is controlled by a synthsound script. The script might add a pitch slide, for example.

To set up a new hybrid instrument

  1. Select a sample. (The sample should already be loaded, or recorded, etc.) How?
  2. If appropriate, rename the instrument. How?
  3. Open the Synthetic Sound Editor.
  4. Select New Sound from the File menu.
  5. Click Yes in the dialog that appears.


 Creating a wave

Creating synthsounds 3/4

Creating a wave

A synthsound consists of one or more waves, graphical representations of the instrument's sound.

There are two wave displays in the synthetic sound editor (the boxes at the top). The left-hand display shows one of the current synthsound's waves. The right-hand display shows a temporary or 'spare' wave, used for copying etc.

To create a wave

  1. Set up a new synthsound. How?
  2. If necessary, open the Synthetic Sound Editor.
  3. Usually, the left-hand wave is selected – this is the actual current instrument. You may wish to alter the right-hand temporary wave instead. To do so, click on the right-hand wave display.

(To re-select the left-hand wave display, click on it.)

  4. If desired, change the wave's length using the Length box. The maximum value, 128, will often be too low. Halving the value raises the pitch by one octave, so 64, 32 and 16 are good values.
  5. Either select one of the presets from the Presets menu. (Try all of them!)

Or draw directly on to the wave using the mouse:

  • Click Line (middle of dialog) to draw only straight lines, or Pixel to draw normally.
  • Switch on Mix if you wish to mix the drawing with the existing wave. Switch it off to draw over the existing wave.
  • Draw by dragging the mouse over the wave.

Note

  • If you make a mistake while drawing, or select something by accident, click Undo (middle of dialog) to reverse the effects.


 Transferring between wave displays

Creating synthsounds 4/4

Transferring between wave displays

There are two wave displays in the synthetic sound editor (the boxes at the top). The left-hand display shows one of the current synthsound's waves. The right-hand display shows a temporary or 'spare' wave, which you can copy to and from, or swap or mix with, the left-hand display.

To copy a wave to the other wave display

  • To copy right to left, click Copy <. To copy left to right, click Copy >.

To swap the two wave displays

  • Click < Exchange >

To mix the two waves together

Either click < Mix to produce the average of the waves. The result is stored in the left-hand wave.

Or click < Add to add the waveforms together (there may be clipping). The result is stored in the left-hand wave.

Note

  • If you make a mistake while drawing, or select something by accident, click Undo (middle of dialog) to reverse the effects.
  • Transferring to the right-hand wave (using Copy > or < Exchange >) sets its length to that of the left-hand wave.


 Multiple waves

Editing synthsounds 2/4

Multiple waves

More advanced synthsounds usually have several waves. Waves can be played in any order in the synthsound sequences. Wave morphing slowly changes one wave into another.

How To

  • Add a wave
  • Remove a wave
  • Select a wave
  • Clear a wave
  • 'Morph' between two waves


 Adding a wave

Multiple waves 1/5

Adding a wave

  • Either add a new wave after the last one, by clicking New. The new waveform is automatically selected.

Or insert a wave before the current one: How?

  1. Select a wave if necessary.
  2. Click New Here.
  3. The new wave is not automatically selected, so select it if necessary.

Note

  • The maximum number of waves is 64.


 Removing a wave

Multiple waves 2/5

Removing a wave

  • Either remove the very last wave, by clicking Del Last.

Or remove the current wave:

  • Select a wave if necessary. How?
  • Click Del.


 Selecting a wave

Multiple waves 3/5

Selecting a wave

  • Use the Wave control to select a new wave.

Note

  • Stop press: The number of the current wave is now also shown in hexadecimal.


 Clearing a wave

Multiple waves 4/5

Clearing a wave

  1. Select the left-hand or right-hand wave display, by clicking on it.
  2. Select Clear from the Presets menu.

Note

  • To clear the entire synthsound, select New Sound from the File menu.


 'Morphing' between two waves

Multiple waves 5/5

'Morphing' between two waves

This is best explained by a specific example. We will 'morph' a sine wave into a square wave.

To 'morph' between two waves (example)

  1. Set up a new synthsound. How?
  2. Choose a sine wave for the first wave (Presets menu).
  3. To add another 10 waves, click New 10 times.
  4. Select the last wave, and choose a pulse wave for it.
  5. To mark the morph's starting wave, select Set Morphing Start from the Tools menu.

(It does not matter whether the starting wave has a higher or lower number than the ending wave.)

  6. Select the first waveform (number 0), containing the sine wave. How?
  7. Select Do Morphing from the Tools menu.
  8. Using the up arrow button beside Wave, select waves 1 to 9 and notice the gradual transformation of the sine wave into the square wave.
  9. In order to hear all of the waveforms, add their numbers to the wave sequence:
  1. Click inside the Synth Sequences area.
  2. Using the arrow keys, move the cursor to the E of the right-hand END.
  3. Press Return, press the right arrow key twice, then press A.

(0A is the hexadecimal number of the last wave.)

  4. Press the up arrow key, then click Transf (bottom-right).
  5. Press Esc to remove the cursor from the Synth Sequences.
  10. Play the synthsound, and listen for the transformation.


Wave areas

Editing synthsounds 3/4

Wave areas

You can mark a selection, an area of a wave to be affected in some way.

As in the sample editor, selections can be moved, removed, copied, cleared, reversed or have their volume changed. Features unique to the synthsound editor are doubling, shifting and stretching.

How To

  • Mark a selection
  • Move or copying an area
  • Remove an area
  • Clear an area
  • Make an area one octave higher
  • Turn an area backwards
  • Shift an area left or right
  • Change the volume of an area
  • 'Stretch' an area


 Marking a selection

Wave areas 1/9

Marking a selection

To mark a selection with the mouse

  1. Click on the Selection option button (middle of dialog).
  2. Click on the wave display which will contain the selection, if the display is not already selected.
  3. Either drag the mouse across the wave display.

Or mark a selection of length 1, by clicking on the wave display.

To mark a selection precisely

  1. Click on the wave display which will contain the selection, if the display is not already selected.
  2. Type new values into the Start and End boxes (middle of dialog), or use the arrows beside the boxes.

To mark a selection over an entire wave

  1. Click on the wave display which will contain the selection, if the display is not already selected.
  2. Click All (bottom left of dialog).

Note

  • Unlike the sample editor, the selection cannot be adjusted by holding down Shift.


 Moving or copying an area

Wave areas 2/9

Moving or copying an area

  1. Mark a selection over the area to be moved or copied. It must be in the left-hand wave display. How?
  2. Either to move, click Cut (bottom-left of dialog)

Or to copy, click Copy (bottom-left of dialog)

  3. In the left-hand wave display, click where the area should be moved or copied to. You can mark more precisely by setting the Start and End number boxes (middle of dialog) to the same number.
  4. Click Paste (bottom-left of dialog).

Note

  • Cut and Copy move or copy the range to the copy buffer, the right-hand wave display, whose length becomes the selection's length. Paste transfers the right-hand wave display to the left-hand, starting at the Start position.


 Removing an area

Wave areas 3/9

Removing an area

  1. Mark a selection over the area to be removed. It must be in the left-hand wave display. How?
  2. Click Cut (bottom-left of dialog).

Note

  • There is no Erase button in the synthsound editor, so the removed part is transferred to the right-hand wave display.


 Clearing an area

Wave areas 4/9

Clearing an area

  1. Mark a selection over the area to be cleared. (It can be in either wave display.) How?
  2. Click Clear (bottom-left of dialog).

Especially see also

  • Clearing a wave


 Making an area one octave higher

Wave areas 5/9

Making an area one octave higher

  1. Mark a selection over the area to be made one octave higher. (It can be in either wave display.) How?
  2. Click Double (bottom-left of dialog). This compresses the area into half of its space, then repeats it.


 Turning an area backwards

Wave areas 6/9

Turning an area backwards

  1. Mark a selection over the area to turn backwards. (It can be in either wave display.) How?
  2. Click Rev (bottom-left of dialog). This reverses the selection.


 Shifting an area left or right

Wave areas 7/9

Shifting an area left or right

  1. Mark a selection over the area to be shifted in small steps. (It can be in either wave display.) How?
  2. Either shift the area left, by clicking << (bottom-left of dialog).

Or shift the area right, by clicking >> (bottom-left of dialog).


 Changing the volume of an area

Wave areas 8/9

Changing the volume of an area

  1. Mark a selection over the area whose volume is to be changed. (It can be in either wave display.) How?
  2. Open the Change Volume dialog.
  3. Type the required volume change into the New Volume box. For example, to double the volume, type 200. To halve the volume, type 50. If the volume is increased too much, the wave may be distorted.
  4. Click OK.


 'Stretching' an area

Wave areas 9/9

'Stretching' an area

The part of the wave before the selection's start can be 'stretched' towards a point. The stretch value is added to the selection's start to give the stretch point.

This is best understood by an example.

To stretch an area (example)

  1. Set up a new synthsound. How?
  2. Choose a sine wave for the first wave (Presets menu).
  3. Click on the Selection option (middle of dialog).
  4. Click roughly in the middle of the sine wave.
  5. Open the Stretch dialog.
  6. Type in a stretch value (e.g. 32). A positive value stretches right, a negative value stretches left.
  7. Click OK.

Tip

  • One use for stretching is to expand a wave area to fill the whole display. The area must be at the start of the wave. Click on the end of the area, then use a large number (e.g. 128) as the stretch value.


 The synthsound sequences

Editing synthsounds 4/4

The synthsound sequences

Each synthsound has synthsound sequences, shown in the bottom-right corner of the synthsound editor. These control how the instrument sounds when it is played.

There are two synthsound sequences: volume sequence (controlling volume) and wave/pitch sequence (controlling pitch and which waves are played).

Sequences consist of three-letter commands, most of which require a level value. For example, the VBS command with level 30 sets the Vibrato Speed to 30. Two commands – set volume and play wave – do not have a command name, only a level.

How To

  • Add an entry to a sequence
  • Remove an entry from a sequence
  • Add a run of ascending or descending levels
  • Set the volume and wave number
  • Gradually change the volume
  • Slide the pitch
  • Add vibrato
  • Pause a sequence
  • Stop a sequence
  • Create an arpeggio
  • Set the sequence speeds
  • Jump to another sequence line
  • Cause a sequence jump during a song
  • Set the volume and vibrato shapes


 Adding an entry to a sequence

The synthsound sequences 1/14

Adding an entry to a sequence

  1. Click inside the Synth Sequences area.
  2. Using the left and right arrow keys, move to the sequence to add an entry to.

(The left-hand sequence is the volume, the right-hand is the wave/pitch.)

  3. Using the up and down arrow keys, move to the line where the entry should be inserted.

To add an entry to the end of the sequence, move to the END command.

You can also move using the scroll bar beside the area.

  4. Either insert a new command:
  1. Move the cursor until it is immediately to the left of the newly-added level. (It should still be in the appropriate sequence.)

To enter a command, the cursor must be in this position.

  1. Press the command's key. Click here for a list of commands and the keys used to insert them.
  2. The command replaces the level added in step 4, but a new level is added automatically if the command requires one. If necessary, proceed to step 5 to set the level appropriately.

Or insert a new level by pressing Return (or clicking Ins). A 00 level is added.

  5. If appropriate, change the new level to that required, by moving the cursor over each digit and typing a new digit.

All level values are in hexadecimal!

  6. When you have finished editing, press Esc to play the synthsound using the keyboard.

Note

  • Both sequences can be up to 127 lines long.


 Removing an entry from a sequence

The synthsound sequences 2/14

Removing an entry from a sequence

  1. Click inside the Synth Sequences area.
  2. Using the arrow keys, move to the entry to be removed. You can also move using the scroll bar beside the area.
  3. Press the Del key (or click Del).

Note

  • END marks the end of each sequence, and cannot be removed.


 Adding a run of ascending or descending levels

The synthsound sequences 3/14

Adding a run of ascending or descending levels

Given a starting and ending level, MED can automatically enter several ascending or descending levels. For example, given 00 and 05, it can add 00 01 02 03 04 05. In the wave/pitch sequence, this could play waves 0 to 5 in turn.

To add several ascending or descending levels

  1. Add the starting level. How?
  2. Add the ending level, directly after the starting level.
  3. After ensuring that the cursor is on the ending level, click Transf.


 Setting the volume and wave number

The synthsound sequences 4/14

Setting the volume and wave number

The set volume and play wave commands must appear at least once in the sequences, in order to hear the synthsound. They do not require a command name, only a level value.

New synthsounds play wave 0 at volume level 40 (hence the 40 and 00 sequence levels).

All levels are set in hexadecimal!

To set the synthsound's volume

  • Add a new level to the volume sequence, if required. Set this to the required volume level. How?
  • Volume levels can be 00 (silent) to 40 (full). Do not use a level greater than this. Example

To set the wave number to be played

  • Add a new level to the wave/pitch sequence, if required. Set this to the required wave number. How?

Hexadecimal wave numbers are located beside the Wave box on the far left. Once started, the wave keeps playing until stopped in some way (perhaps by starting to play another waveform). Example

Notes

  • The Transf button can help enter several ascending or descending wave numbers. How?
  • Any level which appears on its own, unconnected to a command name, is assumed to be a set volume or play waveform command.
  • The set volume command works like player command type 0C. However, set volume's level 01 is equivalent to 0C's level 02, so that full volume is 40 rather than 80.


 Gradually changing the volume

The synthsound sequences 5/14

Gradually changing the volume

The commands CHU and CHD (change up and change down), when used in the volume sequence, gradually increase or decrease the synthsound's volume. The command level is the speed of volume change.

All levels are set in hexadecimal!

To increase the volume gradually

  • Add a new CHU command to the volume sequence. (The command's key is U.) Set the level to the required speed of volume increase.

How?

Example 1
 Example 2

To decrease the volume gradually

  • Add a new CHD command to the volume sequence. (The command's key is D.) Set the level to the required speed of volume increase.

How?

Example 1
 Example 2
 Example 3

Notes

  • CHU and CHD work the same way as player command type 0D. For example, doubling the level doubles the speed of volume change.
  • To stop changing the volume, use CHU or CHD with level 00.


 Sliding the pitch

The synthsound sequences 6/14

Sliding the pitch

The commands CHU and CHD (change up and change down), when used in the wave/pitch sequence, slide the pitch up or down. The command level is the pitch slide speed. A RES command returns to the original pitch.

All levels are set in hexadecimal!

To slide the pitch up

  • Add a new CHU command to the wave/pitch sequence. (The command's key is U.) Set the level to the required slide speed.

How?

To slide the pitch down

  • Add a new CHD command to the wave/pitch sequence. (The command's key is D.) Set the level to the required slide speed.

How?

To return to the original pitch

  • Add a new RES command to the wave/pitch sequence. (The command's key is R.) It does not require a level.

How

Example

Notes

  • CHU and CHD work the same way as player command type 03. For example, doubling the level doubles the slide speed.
  • To stop a pitch slide, use CHU or CHD with level 00.


 Adding vibrato

The synthsound sequences 7/14

Adding vibrato

Vibrato is a 'pitch wobble' which can add life to a synthsound. Vibrato speed (command VBS) and depth (command VBD) can be changed.

All levels are set in hexadecimal!

To add vibrato

  1. Add a new VBD command to the wave/pitch sequence. (The command's key is V.) Set the level to the required vibrato depth.

How?

Example 1
 Example 2
 Example 3

  2. Add a new VBS command to the wave/pitch sequence. (The command's key is Shift+V.) Set the level to the required vibrato speed.

How?

Example 1
 Example 2
 Example 3

Notes

  • To switch off vibrato, use VBD or VBS with level 00.

Example

  • The maximum level value of VBD and VBS is 7F (127 decimal).


 Pausing a sequence

The synthsound sequences 8/14

Pausing a sequence

The WAI command makes a sequence pause for a specified length of time. It only affects the sequence in which it appears.

WAI commands are often used to allow an effect (such as pitch sliding) to continue for a while. See the examples below.

All levels are set in hexadecimal!

To pause a sequence

  • Add a new WAI command to either sequence. (The command's key is W.) Set the level to the required length of pause.

How?

Example 1
 Example 2
Example 3

Note

  • The actual time waited depends on the speed of the appropriate sequence.


 Stopping a sequence

The synthsound sequences 9/14

Stopping a sequence

A sequence stops when it reaches its END command. You can also stop it prematurely with a HLT (halt) command. The part of the sequence after the HLT command can be accessed by forcing a sequence jump, from the other sequence or from within the song (using player command 0E).

See the examples for more details. All levels are set in hexadecimal!

To stop a sequence

  • Add a new HLT command to either sequence. (The command's key is H.) It does not require a level.

How?


 Creating an arpeggio

The synthsound sequences 10/14

Creating an arpeggio

During an arpeggio, a note is rapidly changed between many different pitches. Synthsound arpeggios change between pitches very quickly, so an arpeggio can simulate a chord (several notes playing together).

All levels are set in hexadecimal!

To create an arpeggio

  1. Add an ARP command to the wave/pitch sequence. (The command's key is A.)
  2. Add a level for each pitch in the arpeggio. Level 00 is the bass note, level 01 is one halfstep above the bass note, and so on. For example, 00 04 07 creates a major arpeggio.
  3. Add an ARE (arpeggio end) command to the wave/pitch sequence. (The command's key is E.) Example

Note

  • To stop an arpeggio, use the sequence ARP 00 ARE.


 Setting the sequence speeds

The synthsound sequences 11/14

Setting the sequence speeds

You can change the speed at which each synthsound sequence operates. In practice, slowing down the volume sequence (for example) means that volume changing commands operate more slowly, as does the wait command.

To set the sequence speeds

  • Change the sequence speeds using the Vol box (volume sequence) and the W/P box (wave/pitch sequence), below the Synth Sequence area.

To set a speed from within the sequence

  • Add a new SPD command to the appropriate sequence. (The command's key is S.) Set the level to the required speed. The level is in hexadecimal!

Example

Technical note

  • If a sequence runs at (say) speed 3, it is handled every third tick. So if there are six ticks per song editor line (as is usual), the sequence is handled twice per song line. The speed affects all time-dependent commands in the sequence.


 Jumping to another sequence line

The synthsound sequences 12/14

Jumping to another sequence line

The JMP command jumps (moves) to a particular line. It only affects the sequence in which it appears. It is often used to create repeated sections of sequence.

The JWS command can only be used in the volume sequence. It causes a jump in the wave/pitch sequence, to the specified line. Similarly, the wave/pitch sequence's JVS command causes a jump in the volume sequence.

See the examples for more details. All levels are set in hexadecimal!

To jump to a line in this sequence

  • Add a new JMP command to either sequence. (The command's key is J.) Set the level to the line to jump to.

How?

Example 1

Example 2

To cause the other sequence to jump to a line

  • Add a new JWS command to the volume sequence, or JVS command to the wave/pitch sequence. (The key for both commands is Shift+J.) Set the level to the line to jump to.

How?

Example 1

Example 2

Notes

  • Important: There should be at least one WAI, set volume or play wave command in a repeated section of sequence, otherwise the computer may hang.
  • To make entering jump command levels easier, use the hexadecimal line numbers in the second column of the Synth Sequences area. Remember that the first line is 00 (not 01).
  • Jump command levels are adjusted if necessary (for example, if a command is inserted before the line to jump to).
  • JVS and JWS cause a jump in the other sequence. They do not jump to the other sequence. For example, the volume sequence can continue after a JWS command.

Especially see also

  • Causing a sequence jump during a song


 Causing a sequence jump during a song

The synthsound sequences 13/14

Causing a sequence jump during a song

During a song, you can cause a jump – a move to a different line – in one of a synthsound's sequences. The synthsound must already be playing for the jump to occur.

To cause a jump using the song editor

  • Add a player command type 0E, which causes a jump in the wave/pitch sequence. The command level is the sequence line number to jump to. (It can affect the volume sequence using the JVS command: see example.)

How?

Example 1
 Example 2

To cause a jump using the decay value

  • Set the synthsound's decay value to a volume sequence line number. When the hold is complete, the synthsound will decay by jumping to this line number. (It can affect the wave/pitch sequence using the JWS command: see example.)

How to set decay values

Example

Especially see also

  • Jumping to another sequence line


 Setting the volume and vibrato shapes

The synthsound sequences 14/14

Setting the volume and vibrato shapes

A volume shape controls a synthsound's volume precisely. It is a picture of the volume, drawn as a wave.

The further down a point on the volume shape, the louder the volume. This shape quickly becomes full volume, decreases to half, and stays at half for a while before becoming silent again.

In the volume sequence, the EN1 command plays using the volume shape only once, then stops the sound. The EN2 command keeps repeating the shape. Both commands use the volume shape waveform's number as the level.

Similarly, a vibrato shape is used by commands VBS and VBD. The further down a point on the wave, the higher the pitch. The command to set the vibrato shape is VWF (Vibrato WaveForm), used in the wave/pitch sequence.

See the examples for more details. All levels are set in hexadecimal!

To set a volume or vibrato shape

  • Add a new wave especially for the shape. How?
  • Ensure that the Length box contains 128 for a volume shape, or 32 for a vibrato shape.
  • Create the shape. How?
  • Either for a vibrato shape:
  1. Reverse the whole wave by clicking All then Rev (bottom-left of dialog). This is necessary because vibrato shapes are actually played backwards.
  2. Add a new VWF command to the wave/pitch sequence. (The command's key is Shift+W.) Set the level to the number of the wave containing the vibrato shape. Example

Or for a volume shape, add a new EN1 or EN2 command to the volume sequence. (The commands' keys are E or Shift+E.) Set the level to the number of the wave containing the volume shape. Example

Notes

  • Volume shapes: The volume level is set to full before the volume shape is used. If the shape starts at no or low volume, you may hear a small click.
  • The EN in EN1 and EN2 stands for 'envelope.'


 MIDI setup and playback

MIDI facilities 1/3

MIDI setup and playback

To set up MED's MIDI facilities, you need to connect any external MIDI devices to your PC, switch on the MIDI facilities, provide information about the MIDI devices used by your PC, then set up MED instruments to play particular MIDI sounds.

Generally speaking, you can use two sorts of MIDI device with your PC. Internal MIDI devices are built into most PC soundcards. External devices might be synthesizers, drum machines or sound modules, which need to be connected to the PC.

Some soundcards have more than one internal device. For example, SoundBlaster's AWE range has an FM synthesizer and a wave table. Each of these will have a separate output port, so are counted as separate devices by MED. Furthermore, external devices often use the same output port, so are counted as one device. (Different MIDI channels are used to distinguish these devices.)

If you have a MIDI keyboard, you can use it to play any MED instrument, both MIDI and non-MIDI. The computer keyboard can also be used to play MIDI instruments: for more, click

How To

  • Set up MED for MIDI use
  • Provide information about MIDI devices
  • Set up MED MIDI instruments
  • Playing instruments using a MIDI keyboard

For further help, browse to:
The MED Forum
and post your request in the forums help section
(you must join the forum to post requests for help)


 Setting up MED for MIDI use

MIDI setup and playback 1/4

Setting up MED for MIDI use

To set up MED for MIDI use

  1. If necessary, connect your PC to an external MIDI device. See the procedure below for more details.
  2. In MED's MIDI menu, switch on MIDI Active.

To connect your PC to an external MIDI device

(The following procedure is typical, but does not apply to every case.)

  1. Obtain a MIDI interface and two MIDI leads.
  2. Plug the interface into your soundcard's joystick port.
  3. Using the MIDI leads, make the following connections:
  1. Interface's MIDI In to external MIDI device's MIDI Out
  2. Interface's MIDI Out to external MIDI device's MIDI In

Notes

  • Another way to connect your PC to an external MIDI device is to use a Y connector. This connects the PC's joystick port directly to your MIDI device's MIDI sockets.
  • If you have several MIDI devices, only one need be connected to the PC. Other devices can be chained together.

For example, connect a synthesizer to the PC as described above, but connect a sound module to the synthesizer by connecting the synthesizer's MIDI Thru socket to the sound module's MIDI In socket.

If several devices are chained in this way, timing may become erratic. One solution is a MIDI Thru box.

For further help, browse to:
The MED Forum
and post your request in the forums help section
(you must join the forum to post requests for help)


 Providing information about MIDI devices

MIDI setup and playback 2/4

Providing information about MIDI devices

By providing some information about your MIDI devices, setting up MED MIDI instruments becomes much easier.

To provide information about MIDI devices

  1. Open the MIDI Patch Names Setup dialog.
  2. To add a new device:
  1. Click Append New.
  2. Select the new device by clicking > (above Append New)
  3. In the box at the top of the dialog, type the device's name (for example, Soundblaster Wavetable).
  4. Select the device's output port, from the This Device Uses Port list.

To begin with, it is best to add a device for each output port. You can then experiment with your available MIDI equipment.

Usually, one port (which might be called SB16 MIDI Out) is for external MIDI devices. For connection details, click here

MIDI Mapper is the standard Windows MIDI device. This is set in Multimedia Control Panel. The device set as the Windows standard will also appear explicitly in the output port list.

  5. Find the sixteen MIDI channel buttons in the middle of the dialog, and click the channels on which the device can receive MIDI information.

If in doubt, switch on all sixteen buttons!

  6. Set the appropriate patch names for the device. See the procedure below for more details.

This makes it easier to select appropriate presets (patches) for MED MIDI instruments.

  7. To add another device, go back to step 2.
  8. Important: To save the device information, click Save (top-right of dialog).

Save them under the usual file name, PatchNames.txt, if you want these devices to be loaded whenever MED starts up.

Otherwise, save them under any name that ends with .txt, and load them manually later on using the Load button.

Do not save them under the name PatchNames_XG.txt. This file contains the standard GM and XG patch names.

To set a device's patch names

  • If the device supports the General MIDI (GM) or the XG standard, select GM Standard or XG Standard from the Patch Names drop-down box.

Many devices support General MIDI. If you are unsure, try GM Standard and check whether the patch names seem to correspond with the sounds you hear, by setting up some MED MIDI instruments.

Otherwise, you can either leave the box at No Patch Names, or set your own patch names as follows:

  1. In the Patch Names drop-down box, select User Defined.
  2. Type the patch names in the large box at the bottom of the dialog.

If your device supports multiple banks (groups of patches), continue as follows:

  3. In step b above, type the patch names for the first bank.
  4. Name the bank using the Name box.
  5. Find the bank number given to the first bank by your device. Enter this number into the Bank # number box.

(Do not adjust the Bank number box for this purpose.) Usually, the default 1 is fine.

  6. To add a new bank, click App then click the up arrow button directly above App.
  7. Name the bank using the Name box.
  8. If necessary, type the bank's 'actual' number into the Bank # number box, as in E above. click here
  9. Type in the bank's patch names.
  10. To add another bank, go back to step f.


Setting up MED MIDI instruments

MIDI setup and playback 3/4

Setting up MED MIDI instruments

Unlike samples and synthsounds, MIDI instruments in MED are just a few settings which cause notes played by the instruments to be sent to MIDI devices.

Before following the steps below, we recommend providing information about your MIDI devices. For more details, click here

To set up a MED MIDI instrument

  1. Select an instrument position. How?
  2. If the instrument position is not empty, remove the instrument in this position. How?
  3. Open the Instrument Properties dialog.
  4. In the top-left corner of the dialog, click MIDI.
  5. Set the instrument's MIDI output port and MIDI output channel.

Either use device information:

  • Select a device and channel from the Devices list (bottom of dialog).

The channels shown correspond to the channels selected for this device (click here and see step 5).
Or set them directly:

  1. Select an output port from the Output Port list (bottom of dialog).
  2. Use the Transmit Ch number box to set the output channel.
  6. If your MIDI device supports banks, set the instrument's bank number using the Bank number box or drop-down list.

If device information has been provided, the list should contain bank names, making selection easier.
For help on setting bank numbers, click here

  7. Set the instrument's preset number, using the Preset number box or drop-down list.

If device information has been provided, the list should contain preset (patch) names, making selection easier.

  8. Name the instrument, using the Name text box (top of dialog).

If device information has been provided, the patch (preset) name can automatically be used as the instrument name. To do this:

  1. Open the MIDI Settings dialog.
  2. Switch on Set Instrument Name to Patch Name.

Notes

  • If you leave the preset at 0, the output device will use the preset currently being used on the instrument's MIDI output channel. For example, many devices have a percussion preset which by default is on MIDI channel 10. So set the MIDI output channel to 10 and the preset to 0.
  • Some MIDI devices cannot play several different presets at once. If you try using several presets, you will soon discover if you have such a device!
  • The current instrument's output device, output channel, bank and preset numbers are shown beside the instrument name in the main window.
  • For instruments that use the same output port, try not to give the same output channel to more than one instrument. This reduces the number of MIDI program change messages that need be sent.

This is especially important if two physical MIDI devices share the same output port. For example, a sound module and drum machine might both use the external MIDI port. These devices should be set to receive on different channels (e.g. the drum machine on channel 10, the sound module on the other channels), and the MED MIDI instruments set up accordingly. Otherwise, the devices cannot tell which notes are intended for which device!


 Playing instruments using a MIDI keyboard

MIDI setup and playback 4/4

Playing instruments using a MIDI keyboard

If you have a MIDI keyboard, you can use it to play any MED instrument, both MIDI and non-MIDI.

To play an instrument using a MIDI keyboard

  1. Set up MED for MIDI use. How?
  2. If necessary, set the input port or thru port.

The input port tells MED where to look for incoming MIDI messages. Often, only one port will be available.

The thru port is an output port. Everything that comes through the input port will be echoed back through the thru port.

  1. Open the MIDI Settings dialog.
  2. If desired, select a port from the Input Port list.

Often, only one port will be listed.

  3. If desired, switch on Thru and select an output port from the To list.

This only applies to MIDI instruments. To hear the sound of the MIDI instrument that you are playing, set To to the instrument's output port (and turn down your MIDI keyboard's volume!).

  4. If you have changed the input port, save settings so that this input port is set whenever MED starts up. How?
  4. In the MIDI menu, switch on Input Active.
  5. Select an instrument to play. How?

For details on setting up MED MIDI instruments, click here

  6. Play using the MIDI keyboard.
  7. To stop the instrument if necessary, press the space bar or click

This improves performance, even if the instrument is not playing. (See the note below.)

Notes

  • To enter notes using a MIDI keyboard, click here or here . Remember to switch on chord mode if you wish to enter chords. If you have a touch-sensitive keyboard, note velocity (volume) is entered with the notes, as type 0C player commands.
  • If necessary, an instrument's input channel can be set. The instrument will only play if your keyboard sends MIDI messages on that channel.

For example, suppose you are playing a block and entering notes at the same time. Your keyboard is playing the notes that are already in the block. Some keyboards echo everything they receive through MIDI In back through MIDI Out, so that the notes already in the block are re-entered!

In this case, set up your keyboard to send notes on one particular channel. Then set the instrument's input channel to this channel. You can now enter notes with this instrument, without other instruments getting in the way!

  • MED switches on the player when an instrument is played, and the player is only switched off when the song or the instrument is next stopped (in order to react quickly to subsequent key presses). The player takes up some processor time, so stopping the instrument can improve performance.


Loading and saving MIDI modules

MIDI facilities 2/3

Loading and saving MIDI modules

Usually, MIDI modules are loaded and saved in exactly the same way as other modules (for more details, click here). As with other MED modules, they have extension .med.

There are a number of settings for loading MIDI files (with extension .mid). Nearly all MIDI sequencers can save their modules in this format, as ca MED.

A MIDI module saved with MED can be designated General MIDI-compatible. When loaded, all MIDI instruments will be played through a particular MIDI output port, which you specify. This also applies to modules created with older versions of MED.

A trick for loading MIDI modules which have been created using MIDI equipment different from yours is to change the MIDI output port mapping.

How To

  • Load a .mid (MIDI) file
  • Load and save General MIDI-compatible modules
  • Load older MED MIDI modules
  • Change the MIDI output port mapping


 Loading a .mid (MIDI) file

Loading and saving MIDI modules 1/4

Loading a .mid (MIDI) file

MIDI files are created by many music programs, and have extension .mid. MED provides several settings to help load MIDI files correctly. (This is necessary because MIDI files are very different from MED modules.)

This topic does not apply to MIDI modules saved in MED's usual format (.med). These are loaded perfectly by MED.

To load a .mid (MIDI) file

  1. Either load the file using a file dialog:
  1. Click [image] or select Open from the File menu.
  2. If desired, display only .mid files by clicking inside Files of type and selecting MIDI Files.
  3. Select a .mid file to load. The module currently in memory will be replaced, because there can only be one module in memory at once.

Or load the file using drag-and-drop:

  1. Open a window that contains the module's file name, using Windows Explorer (or perhaps Find).
  2. Drag the file name to the MED window. The module currently in memory will be replaced, because there can only be one module in memory at once.
  2. If the file has not loaded successfully, open the MIDI File Load Settings dialog.
  3. If you receive not enough memory reports, reduce Max Tracks.
  4. If timing is inaccurate, increase Resolution (the number of song editor lines per beat). Powers of 2 are best (4, 8, 16, 32...).
  5. To adjust minor discrepancies in overall timing, change Offset Adjust. For example, if the first block starts on line 3 instead of 0, set the offset to -3.
  6. If player commands overlap each other due to command page conflicts, ensure that each player command type is placed on a different page, using the number boxes in the Command Pages area. (If the page is 0, the command is not loaded.)
  7. If notes appear to overlap in a type 1 MIDI file, switch on Don't Intermix Type 1 Tracks.
  8. Close the dialog, and go back to step 1.

Note

  • All MIDI instruments in .mid files are played through the MIDI Mapper. This is the standard Windows MIDI device, set in Multimedia Control Panel.

Especially see also

  • Saving a module (including .mid files)
  • Setting your usual modules folder


 Loading and saving General MIDI-compatible modules

Loading and saving MIDI modules 2/4

Loading and saving General MIDI-compatible modules

Suppose you write a MIDI module which you intend to distribute to other people. If its MIDI instruments are intended to be played on General MIDI (GM) devices, the module can be designated Designed for GM/XG compatibility.

People who load your module into MED can specify their preferred GM device, through which all MIDI instruments will be played. In this way, even if their MIDI equipment is different from yours, the intended sounds will be heard because of General MIDI.

To save a General MIDI-compatible module

  1. Open the Song Properties dialog.
  2. Switch on Designed for GM/XG Compatibility.
  3. Save the module, as a normal MED module (not a .mid file). How?

To load a General MIDI-compatible module

  1. Open the MIDI Settings dialog.
  2. Set GM Modules as desired.

All MIDI instruments in the module will play through this port.

  3. Load the module.

It must be a normal MED module, saved with Designed for GM/XG Compatibility switched on. How?

Note

  • If your MIDI instruments play through several output ports, and you intend to reload the module yourself, do not save as GM-compatible. If you do, only one output port will be used for all instruments (see To load a General MIDI-compatible module above.)
  • A GM-compatible module will play perfectly on XG equipment. An XG-compatible module will also play perfectly on GM equipment, as long as bank 1 is only used.

Especially see also

  • Switching General MIDI on or off


 Loading older MED MIDI modules

Loading and saving MIDI modules 3/4

Loading older MED MIDI modules

Older versions of MED did not support multiple MIDI output ports.

For this reason, MIDI modules saved with older versions of MED are played through one particular output port, which you specify.

To load a MIDI module saved with an older version of MED

  1. Open the MIDI Settings dialog.
  2. Set Old Modules as desired.

All MIDI instruments in the module will play through this port.

  3. Load the module. How?


 Changing the MIDI output port mapping

Loading and saving MIDI modules 4/4

Changing the MIDI output port mapping

If you load a MIDI module created by someone else, you may find that the instruments use an unsuitable MIDI output port. This can especially happen if the author has MIDI equipment different from yours.

To change the MIDI output ports for a group of instruments, you could:

  • individually change the port of each MIDI instrument to another port (the slow way)
  • use the MIDI Port Mapping dialog (the quick way)

To change the MIDI port mapping

  1. Open the Instrument Properties dialog.
  2. Select one of the instruments which has an incorrect MIDI output port. How?
  3. In the Output Port box, note the position in the list of the current output port.

(For example, does the instrument currently use the 3rd output port in the list?)

  4. Open the MIDI Port Mapping dialog.
  5. In the top list, select the output port noted in step 3.

Because ports can be duplicated, ensure that it is in the same position in the list as in step 3.

  6. In the bottom drop-down box, select the port to change to.
  7. Try playing the module. If the incorrect MIDI port is still being used, try again!

Notes

  • The MIDI Port Mapping dialog can also be used to temporarily change a port to another port, perhaps to try playing your module using a different port.


 Controlling MIDI messages

MIDI facilities 3/3

Controlling MIDI messages

MED and your MIDI devices use MIDI messages to communicate with each other. These messages can be simple ('play this note') or more complicated ('turn the pitch bender up 16 steps'), or very complicated (the actual waveform of a particular instrument).

Although many types of message are directly supported by MED (e.g. using player commands or MIDI menu items), some messages can only be sent and received using the MIDI message editor. These particularly include system exclusive messages, which are specific to each MIDI device manufacturer. See your MIDI device's handbook for a list of recognised messages.

Some MIDI controllers – messages which control stereo location and foot pedals (for example) – can be set using particular player commands. Other controllers are not directly supported, but can be set using the special command types 31-3F.

Both MIDI messages and MIDI controller commands (types 31-3F) are saved with modules.

There are settings for many other MIDI messages.

How To

  • Receive and store any MIDI message
  • Send any MIDI message
  • Set MIDI controllers using player commands
  • Reset presets and pitchbenders
  • Switch General MIDI on or off
  • Control active sensing
  • Synchronize MIDI devices with MED
  • Send messages using running status
  • Stop MIDI notes


 Receiving and storing any MIDI message

Controlling MIDI messages 1/9

Receiving and storing any MIDI message

The MIDI message editor can receive, change, store and send any MIDI message. Several messages can be in memory at once.

To receive and store a MIDI message

  1. Set up MED for MIDI use. How?
  2. Open the MIDI Message Editor dialog.
  3. To add a new message:
  1. Click Append New
  2. If this is not the first message, select the new message by clicking the up arrow button beside Msg #
  4. Type a name for the message into the Name box.
  5. Receive a message from an external MIDI device.

(To create a message by hand, miss out this step.)

  1. If necessary, set the input port appropriately (MIDI Settings dialog.).

This tells MED where to look for incoming MIDI messages. Often, only one port will be available.

  2. Prepare your MIDI device to send the required message.
  3. If the message is system exclusive, switch on Auto-terminate Capture.

This will automatically stop receiving the message when an end SysEx byte (F7) is received.

  4. To start receiving the message, click Capture.
  5. If necessary, click Stop to stop receiving.
  6. Edit the message as appropriate.

The message is displayed in the large box, as pairs of hexadecimal bytes.

  • Set the required message size (in bytes) in the Size box.

This can lengthen or shorten the message. The maximum size is 1048576 (1 megabyte).

  • To begin editing, click inside the large box.
  • Use the arrow keys to move around, and type in new hexadecimal digits (0-9, A-F).

Refer to your MIDI device's manual unless you really know what you are doing!

  • Press Return to add a byte at the cursor, and Del to remove a byte.
  • To end editing, click any other MIDI Message Editor control.
  7. If desired, click Save Msg to save the current message to disk.

Messages in memory are also saved with MED modules.
No messages are automatically loaded when MED starts up.

  8. To add another message, go back to step 2.

Note

  • Capture will ignore MIDI real-time messages, particularly the timing clock message which is often sent regularly.

Especially see also

  • Sending any MIDI message


Sending any MIDI message

Controlling MIDI messages 2/9

Sending any MIDI message

The MIDI message editor can receive, change, store and send any MIDI message. Several messages can be in memory at once.

To send a MIDI message

  1. Set up MED for MIDI use. How?
  2. Open the MIDI Message Editor dialog.
  3. To create a MIDI message, click
  4. If necessary, load a message from disk:
  1. Click Load Msg.
  2. Using the file dialog, select a message to load.

MED can load any file as a MIDI message, not just messages saved using MED.

  3. If a new dialog appears, click Yes to replace the current message, or No to add the message as the last one.
  4. Select the message if necessary, using the up and down arrows beside Msg #
  5. In the Port drop-down list, select the MIDI output port through which the message should be sent.
  6. Either send the MIDI message now, by clicking Send.

Or send the MIDI message at a particular point in the song, using player command 10. Command level 1 should be the message number, minus one. For example, command 100200 will send message number 3.

Entering player commands


 Setting MIDI controllers using player commands

Controlling MIDI messages 3/9

Setting MIDI controllers using player commands

MIDI controllers are MIDI messages which control aspects such as pitch benders, modulation, after touch, foot pedals and so on.

MED supports some MIDI controllers through particular player commands. Other controllers, however, are not directly supported. Instead, you can set up a player command for them. Command types 31 to 3F are reserved for this purpose.

To set MIDI controllers which are directly supported

  • Enter the appropriate player command. How?

Set command level 1 to the controller value. Command types and their controllers are as follows:

  • Type 04Controller 01 (modulation)
  • Type 0EController 0A (pan)
  • Type 0FController 40 (foot pedal (sustain) on if command level 1 is FA, foot pedal off if FB.)
  • Type 17Controller 07 (channel volume)

All of these controllers are standard.

To set other MIDI controllers

  1. Open the MIDI Controller Commands dialog.
  2. Using the slider at the top of the dialog, select a free command type.
  3. Set the controller type in the Controller Type area:
  • Standard: A standard controller, set directly by the MIDI 'control change' command.
  • RPN: A Registered Parameter Number controller. These are standard extensions to the standard controllers.
  • NPRN: A Non-Registered Parameter Number controller. These extensions are specific to individual MIDI devices.

Consult your MIDI device's manual for the correct type.

  4. Set the parameter type in the Parameter area. Usually, the following is sufficient:
  • For Standard controllers, select MSB.
  • For RPN or NPRN controllers, select 14-bit.
  5. Set the Controller Number.

Consult your MIDI device's manual for the correct number. Often, manuals show controller numbers in hexadecimal, but Controller Number is set in decimal. For conversion details, click

MIDI manuals also often split the controller number into LSB and MSB. To convert this to a single number, do any necessary conversion from hexadecimal, then multiply the MSB by 128 and add on the LSB.

  6. Enter the player command in your song:
  1. Set the command type to the one selected in step 2 above.
  2. For Standard controllers, set command level 1 to the controller value (in hexadecimal as usual).

For RPN or NPRN controllers, set command level 1 to the Most Significant Byte, and level 2 to the Least Significant Byte.

Consult your MIDI device's manual for more details.

How to enter player commands

Notes

  • Controller commands are saved with modules.
  • If you run out of types 31-3F, you can also use commands 05 and 00. For an example, click
  • There can be a different set of controller commands for each song in a module. For more details, click


 Reset presets and pitchbenders

Controlling MIDI messages 4/9

Reset presets and pitchbenders

  • Select Reset Presets and Pitchbenders from the MIDI menu.

This resets pitchbenders and modulation wheels to the central position. It may be necessary after using player command 01, 02 or 03 to alter the pitchbender.

It also sends a program change MIDI message when a note is next played on each preset. This ensures that the correct presets are played, and may be necessary if you have manually altered the preset on your MIDI device.


 Switching General MIDI on or off

Controlling MIDI messages 5/9

Switching General MIDI on or off

MIDI devices that support the General MIDI (GM) standard can react to GM system on and off messages.

To react to a module's General MIDI compatibility

  1. Open the MIDI Settings dialog.
  2. Switch on Automatic GM System On. This has the following effect:
  • A GM system on MIDI message is sent before the song begins to play, if Designed for GM/XG Compatibility is on.
  • A GM system off MIDI message is sent before the song begins to play, if Designed for GM/XG Compatibility is off.

When Automatic GM System On is off, GM system messages are not automatically sent.

To manually switch General MIDI on or off

  • To switch General MIDI on, select Send MIDI Message then GM System On from the MIDI menu.

To switch General MIDI off, select Send MIDI Message then GM System Off from the MIDI menu.

Especially see also

  • Loading and saving General MIDI-compatible modules


 Controlling active sensing

Controlling MIDI messages 6/9

Controlling active sensing

Active sensing MIDI messages make MIDI devices aware of MED's existence. If they cease for some reason, MIDI devices may react (for example, stop all notes).

To send active sensing messages regularly

  1. Open the MIDI Settings dialog.
  2. Switch on Send Active Sensing.

Active sensing messages are sent on every tick, to all available MIDI output ports.

To prevent active sensing messages being sent

  1. Open the MIDI Settings dialog.
  2. Switch off Send Active Sensing.

Note

  • When Send Active Sensing is on, some MIDI devices appear not to properly support running status. If you experience problems, ensure that Use Running Status is switched off.


 Synchronizing MIDI devices with MED

Controlling MIDI messages 7/9

Synchronizing MIDI devices with MED

MED can send synchronization MIDI messages, which help keep MIDI devices in time with MED.

There are several types of synchronization message: timing clock, sequencer start, sequencer continue, sequencer stop. They affect MIDI devices in different ways (and are ignored by some devices). Check your MIDI device's manual.

To synchronize MIDI devices with MED

  1. Open the MIDI Settings dialog.
  2. Set Send Sync appropriately:
  • No Sync: No synchronization messages are sent.
  • Sync Only: Sends a timing clock message on every tick.
  • Clock/Start/Stop/Cont: As Sync Only, but also sends sequencer start, stop and continue messages when the song starts, stops and continues playing. (This does not apply to playing the block instead of the song.)


 Sending messages using running status

Controlling MIDI messages 8/9

Sending messages using running status

By sending MIDI messages using running status, some MIDI information need not be sent to MIDI devices.

Preventing unnecessary MIDI messages reduces the possibility of timing errors due to an excess of messages.

Running status is usually on, but some MIDI devices appear not to properly support running status, especially when active sensing is on. If you experience problems such as wrong notes being played, try switching off running status.

To switch running status on or off

  1. Open the MIDI Settings dialog.
  2. Switch Use Running Status on or off, as required.

Note

  • Running status is a MIDI standard whereby if the same status byte appears in several consecutive MIDI messages, it need only be sent once.


 Stopping MIDI notes

Controlling MIDI messages 9/9

Stopping MIDI notes

MIDI note off messages are used to stop notes playing. However, they are unnecessary for instruments such as percussion sounds, which stop by themselves. So you can prevent note off messages from being sent for particular instruments.

Additionally, when playback is stopped, MED can send one all notes off message per MIDI channel, rather than individual note off messages for each note.

Preventing unnecessary MIDI messages reduces the possibility of timing errors due to an excess of messages.

To prevent note off messages for an instrument

  1. Open the Instrument Properties dialog.
  2. Select an instrument. How?
  3. Switch on Don't Send "NoteOff".

To set the method of stopping all notes

  1. Open the MIDI Settings dialog.
  2. Switch Kill Notes By All Notes Off on or off, as required.

Note

  • The all notes off message is preferable if your MIDI device supports it. It stops all notes (not just those sent by MED), including erroneous 'whining' notes.


 Customizing MED

Customizing MED

MED can be customized by adjusting its settings. Many settings, including the ones described here, can be saved. The settings can then be re-loaded whenever you start up MED. They can also be loaded manually.

By changing the song editor colours, you can more easily distinguish between different parts of music (for example, player command digit pairs). The font can also be changed, as can the layout (for example, the gap between digit pairs).

How To

  • Load and save settings
  • Change the song editor colours
  • Change the song editor font and layout
  • Prevent the warning before overwriting files
  • Switch off the 'splash window'


 Loading and saving settings

Customizing MED 1/5

Loading and saving settings

To save settings under the usual name

  • Select Save Settings from the Settings menu.

These settings are loaded whenever MED starts up. The usual name is MED.cfg.

To save settings under any name

  1. Select Save Settings As from the Settings menu.
  2. Type a filename into the File name box.

To identify it as a settings file, ensure that it ends with .cfg.

  3. Click Save.

To load these settings later on, see the next section.

To load settings manually

  • Select Load Settings from the Settings menu.
  • Using the file dialog, select a settings file.

Settings files should end in .cfg.

Note

  • To find out which settings are saved, load the usual settings file, MED.cfg, into a text editor such as Notepad. (MED.cfg should be in the same folder as the MED program.)

Most entries show a dialog name, and a control within that dialog whose setting is saved. Current dialog positions are also saved, as are window positions and sizes.


 Changing the song editor colours

Customizing MED 2/5

Changing the song editor colours

  1. Open the Display Settings dialog.
  2. To adjust one of the colours, click the appropriate Choose button.
  • Background Adjusts the song editor's background colour.
  • Note Adjusts the note colour.
  • Instr.Number Adjusts the instrument number colour.
  • Selection Adjusts the colour of a marked selection.
  • Command Adjusts the player command type colour.
  • Level 1 Adjusts the player command level 1 colour.
  • Level 2 Adjusts the player command level 2 colour.

Tip

  • It is especially helpful to set Command, Level 1 and Level 2 to different colours, to distinguish between the pairs of digits easily. How about red, green and blue?

Especially see also

  • Changing the song editor font and layout


 Changing the song editor font and layout

Customizing MED 3/5

Changing the song editor font and layout

To change the song editor font

  1. Open the Display Settings dialog.
  2. Either select a new font:
  • Click Choose at the top-left of the dialog.
  • In the font dialog that appears, select a new font.

(Only fixed-width fonts can be used, not proportional.)

Or select MED's built-in font, by clicking Default.

To change the song editor layout

  1. Open the Display Settings dialog.
  2. If desired, adjust the line number format:
  • To start line numbering at 1 rather than 0, switch on Line Numbering Starts at 1.
  • To remove the leading zeroes from line numbers, switch on No Leading 0s in Line Numbers.

For example, the line number 0010 will be displayed as 10.

3If desired, set the distance between parts of the music, for clarity:

  • Instr. Number/Command sets the gap between instrument number and player command type.
  • Command/Level sets the gap between player command type and level 1.
  • Level Bytes sets the gap between the two pairs of level digits.

Note

  • Switching on Line Numbering Starts at 1 does not affect player commands. For example, using level 02 with command 1D will jump to line number 3.

Especially see also

  • Changing the song editor colours


 Preventing the warning before overwriting files

Customizing MED 4/5

Preventing the warning before overwriting files

Usually, before saving a file under the same name as an existing file, MED opens a dialog, asking whether you really want to overwrite the old file.

These dialogs can be irritating if they appear often. For this reason, you can prevent them from being displayed.

To prevent the warning before overwriting files

  1. Open the Miscellaneous Settings dialog.
  2. Switch off the Warn Before Overwriting Files check box.


 Switching off the 'splash window'

Customizing MED 5/5

Switching off the 'splash window'

The splash window is the MED logo which is displayed when MED starts up.

If desired, you can prevent it from being displayed.

To switch off the 'splash window'

  1. Open the Miscellaneous Settings dialog.
  2. Switch off the Splash Window during Start check box.


Refences

References

Here you will find various help to the following:

  • Working with HEX numbers
  • Player commands
  • Keyboard shortcuts
  • File formats


 Player commands index

Player commands index

Samples and Synth samples Function Commands

Pitch change
Pitch slide: 01 02 03 11 12 21 22
Vibrato: 04 14
Arpeggio: 00
Set track to new pitch: 0F FD

Volume change
Volume slide: 0D 0A 1A 1B 05 06
Set volume: 0C

Song control
Set tempo: 09 0F
Set track panning: 2E
Stop song: 0FFE
Repeat/delay note: 0FF10FF5 1F
Song position jump: 0F00 1D 0B 16 1E
Wave/pitch sequence position jump (synthsounds only): 0E

Note control
Set hold/decay: 08
Set finetune: 15
Mute note: 18
Stop note: 0FFF
Sample offset: 19 20 29

MIDI Function Commands

Basic note control
Set volume:0C 17
Stopping notes:08 0FFF

Note effects
Pitchbender control:01 02 03 13
Set modulation wheel:04
Set key pressure (aftertouch):0A 0D
Set panning:0E
Sustain foot pedal on/off:0FFA /0FFB

General MIDI commands
Set any controller:00 05 31-3F
Wait until messages sent:0F F7
Send any MIDI message:10
Change MIDI preset:1C

Song control
Set tempo:09 0F
Stop song:0FFE
Repeat/delay note:0FF1-0FF5 1F
Song position jump:0F00 1D 0B 16 1E


 Type 00: Arpeggio or Set Controller Value

Player commands reference 1/40

Type 00: Arpeggio or Set Controller Value

Samples and Synthsounds: Arpeggio

Changes the note's pitch very quickly. It is usually used to create special effects. The note alternates between three different pitches, in order.

  • Level 1: Ignored
  • Level 2a: Number of half steps between pitch 1 and pitch 2 [allowed range: 0-9, A-F]
  • Level 2b: Number of half steps between pitch 1 and pitch 3 [allowed range: 0-9, A-F]

This command has the same effect as the synthsound ARP and ARE commands, but can only handle two or three different pitches.

Example

MIDI: Set Controller Value

Used together with type 05. Only standard controllers are affected by this command. Applies to the current MIDI channel.

Set the controller number you wish to change, using type 05. Then set the controller value with type 00. Subsequent uses of type 00 use the most recently changed controller number (which may have been set with type 05 or with another type such as 04 or 17).

  • Level 1: Controller value [allowed range: 01-FF]
  • Level 2: Ignored

We recommend using types 31 to 3F instead of type 00. Types 05 and 00 are equivalent to using types 31 to 3F to set a Standard, MSB controller. However, two player commands are required (05 and 00) rather than one.

How to set MIDI controllers

See also

  • 05: Set Controller Number
  • 31-3F: Set Controller


 Type 01: Slide Pitch Up or Pitchbender Up

Player commands reference 2/40

Type 01: Slide Pitch Up or Pitchbender Up

Samples and synthsounds: Slide Pitch Up

Slides a note's pitch upwards. It is best entered using the automatic slide creator. For more details, click here

Although type 01 is usually used to slide towards a particular note, in fact it is independent of such notes – any actual note is replayed when it is reached, unlike type 03.

  • Level 1: Slide speed [allowed range: 00-FF]
  • Level 2: Slide speed (for fine-tuning) [allowed range: 00-FF]

Example

See also

  • 02: Slide Pitch Down
  • 03: Portamento
  • 05: Slide Pitch And Volume
  • 11: Slide Pitch Up Once
  • 12: Slide Pitch Down Once
  • 21: Slide Pitch Up (Fixed Rate)
  • 22: Slide Pitch Down (Fixed Rate)

MIDI: Pitchbender up

Turns the pitchbender upwards, causing a 'pitch slide.' Automatic slide creation cannot be used, because pitchbender ranges differ among MIDI equipment.

The pitchbender is not reset when a new note is played – nor even if the song is stopped! To reset the pitchbender, use command 010000, or select Reset Presets and Pitchbenders from the MIDI menu.

  • Level 1: Bend speed [allowed range: 00-FF]
  • Level 2: Bend speed (for fine-tuning) [allowed range: 00-FF]

Example

See also

  • 02: Pitchbender Down
  • 03: Set Pitchbender
  • 13: Set Pitchbender (Beside Note)


 Type 02: Slide Pitch Down or Pitchbender Down

Player commands reference 3/40

Type 02: Slide Pitch Down or Pitchbender Down

Samples and synthsounds: Slide Pitch Down

Slides a note's pitch downwards. It is best entered using the automatic slide creator. For more details, click here

Although type 01 is usually used to slide towards a particular note, in fact it is independent of such notes – any actual note is replayed when it is reached, unlike type 03.

  • Level 1: Slide speed [allowed range: 00-FF]
  • Level 2: Slide speed (for fine-tuning) [allowed range: 00-FF]

Example

See also

  • 01: Slide Pitch Up
  • 03: Portamento
  • 05: Slide Pitch And Volume
  • 11: Slide Pitch Up Once
  • 12: Slide Pitch Down Once
  • 21: Slide Pitch Up (Fixed Rate)
  • 22: Slide Pitch Down (Fixed Rate)

MIDI: Pitchbender down

Turns the pitchbender downwards, causing a 'pitch slide.' Automatic slide creation cannot be used, because pitchbender ranges differ among MIDI equipment.

The pitchbender is not reset when a new note is played – nor even if the song is stopped! To reset the pitchbender, use command 020000, or select Reset Presets and Pitchbenders from the MIDI menu.

  • Level 1: Bend speed [allowed range: 00-FF]
  • Level 2: Bend speed (for fine-tuning) [allowed range: 00-FF]

Example

See also

  • 01: Pitchbender Up
  • 03: Set Pitchbender
  • 13: Set Pitchbender (Beside Note)


 Type 03: Portamento or Set Pitchbender

Player commands reference 4/40

Type 03: Portamento or Set Pitchbender

Samples and synthsounds: Portamento

Slides a note's pitch. It is best entered using the automatic slide creator. For more details, click

Type 03 always slides towards a particular note. Types 01 and 02, however, slide independently of target notes – any actual target note is replayed when it is reached.

  • Level 1: Slide speed [allowed range: 00-FF]
  • Level 2: Slide speed (for fine-tuning) [allowed range: 00-FF]

Example

See also

  • 01: Slide Pitch Up
  • 03: Portamento
  • 05: Slide Pitch And Volume
  • 11: Slide Pitch Up Once
  • 12: Slide Pitch Down Once
  • 21: Slide Pitch Up (Fixed Rate)
  • 22: Slide Pitch Down (Fixed Rate)

MIDI: Set Pitchbender

Sets the pitchbender to a particular value, rather than sliding the pitchbender as with types 01 and 02.

  • Level 1&2: Pitchbender value, in signed hexadecimal [allowed range: 80 (minimum) - 7F (maximum)]
  • Level 2: Pitchbender value (for fine-tuning) [allowed range: 80 (minimum) - 7F (maximum)]

Example

See also

  • 01: Pitchbender Up
  • 02: Pitchbender Down
  • 13: Set Pitchbender (Beside Note)


 Type 04: Vibrato (Deeper) or Modulation Wheel

Player commands reference 5/40

Type 04: Vibrato (Deeper) or Modulation Wheel

Samples and synthsounds: Vibrato (Deeper)

Rapidly slides the pitch up and down (causing a 'wobble').

  • Level 1a: Vibrato speed [allowed range: 0-9, A-F]
  • Level 1b: Vibrato depth [allowed range: 0-9, A-F]
  • Level 2: Ignored

Example

See also

  • 06: Vibrato And Slide Volume
  • 14: Vibrato (Shallower)

MIDI: Modulation wheel

Sets the 'modulation wheel' (standard controller number 1). Modulation is usually vibrato.

Applies to all notes using the current MIDI channel.

  • Level 1: Modulation level [allowed range: 00 (no modulation) - 7F (maximum)]
  • Level 2: Ignored.

Example


Type 05: Slide Pitch And Volume or Set Controller Number

Player commands reference 6/40

Type 05: Slide Pitch And Volume or Set Controller number

Samples and synthsounds: Slide Pitch And Volume

Continues the previous pitch slide, and also slides the volume (i.e. gradually gets louder or softer), as with type 0D.

A pitch slide command (type 01, 02, 03, 11, 12, 21 or 22) must have been used on the previous line.

This type is really a combination of two types: a pitch slide and type 0D. So, to achieve the same effect you can use a pitch slide type and 0D simultaneously, on different command pages.

  • Level 1a: Speed of getting louder (overrides level 1b if it exists) [allowed range: 0-9, A-F]
  • Level 1b: Speed of getting softer [allowed range: 0-9, A-F]
  • Level 2: Ignored

Example

See also

  • 01: Slide Pitch Up
  • 02: Slide Pitch Down
  • 03: Portamento
  • 11: Slide Pitch Up Once
  • 12: Slide Pitch Down Once
  • 21: Slide Pitch Up (Fixed Rate)
  • 22: Slide Pitch Down (Fixed Rate)

MIDI: Set Controller Number

Used together with type 00. Only standard controllers are affected by this command. Applies to the current MIDI channel.

Set the controller number you wish to change, using type 05. Then set the controller value with type 00.

  • Level 1: Controller number [allowed range: 00-FF]
  • Level 2: Ignored

We recommend using types 31 to 3F instead of type 05. Types 05 and 00 are equivalent to using types 31 to 3F to set a Standard, MSB controller. However, two player commands are required (05 and 00) rather than one.

Example

How to set MIDI controllers

See also

  • 00: Set Controller Value
  • 31-3F: Set Controller


 Type 06: Vibrato And Volume Slide

Player commands reference 7/40

Type 06: Vibrato And Volume Slide

Samples and synthsounds: Vibrato And Volume Slide

Continues the previous vibrato, and also slides the volume (i.e. gradually gets louder or softer), as with type 0D.

A vibrato command (type 04 or 14) must have been used on the previous line.

This type is really a combination of two types: a vibrato type and 0D. So, to achieve the same effect you can use a vibrato type and 0D simultaneously, on different command pages.

  • Level 1a: Speed of getting louder (overrides level 1b if it exists) [allowed range: 0-9, A-F]
  • Level 1b: Speed of getting softer [allowed range: 0-9, A-F]
  • Level 2: Ignored

Example

See also

  • 04: Vibrato (deeper)
  • 14: Vibrato (shallower)

MIDI: This type has no effect


 Type 08: Set Hold And Decay

Player commands reference 8/40

Type 08: Set Hold And Decay

Samples and synthsounds: Set Hold And Decay

Sets the hold and decay values for the note. This overrides the instrument's usual hold and decay values, for this note only.

For more details, click here

  • Level 1a: Decay value [allowed range: 0-9, A-F]
  • Level 1b: Hold value [allowed range: 0-9, A-F]
  • Level 2: Ignored

Example

See also

  • 18: Mute Note

MIDI: Set Hold only

Decay does not affect MIDI instruments. The hold value is all of level 1 (not just 1b). See above for more details.

  • Level 1: Hold value [allowed range: 00-FF]
  • Level 2: Ignored


 Type 09: Set Ticks/Line

Player commands reference 9/40

Type 09: Set Ticks/Line

All instrument types: Set Ticks/Line

Sets the number of ticks per line.

The usual way of setting the tempo is with type 0F.

  • Level 1: Ticks per line [allowed range: 00-20, in hex as usual!]
  • Level 2: Ignored

Example

See also

  • 0F: Set Tempo


 Type 0A: Slide Volume or Polyphonic Key Pressure

Player commands reference 10/40

Type 0A: Slide Volume or Polyphonic Key Pressure

Samples and synthsounds: Slide Volume

Only exists for backwards compatibility. Equivalent to type 0D.

MIDI: Polyphonic Key Pressure

Changes the key pressure (sometimes called aftertouch) of the most recent note played in the track.

This corresponds to squeezing a key down harder than when it was initially pressed.

  • Level 1: Key pressure level [allowed range: 00-7F]
  • Level 2: Ignored

Example

See also

  • 0D: Channel Key Pressure


 Type 0B: Playing Sequence Position Jump

Player commands reference 11/40

Type 0B: Playing Sequence Position Jump

All instrument types: Playing Sequence Position Jump

Jumps to a particular entry in the (current) playing sequence.

This allows you to create songs that have an introduction, which is only played once, and a main part, which is continually repeated.

The same effect can be achieved with the Jump To Position playing sequence command, although it cannot occur in the middle of a block. For more details, click here

  • Level 1: Playing sequence entry number, minus one (so entry 1 is level 00) [allowed range: 00-FF]
  • Level 2: Ignored

Example


 Type 0C: Set Volume

Player commands reference 12/40

Type 0C: Set Volume

All instrument types: Set Volume

Sets a note's volume. This temporarily overrides the instrument's usual volume.

Volume slides (fading in or out) using this type are often effective.

With MIDI instruments, a note's volume cannot be changed after it is played using type 0C. (Type 17 can change the volume of all notes on a particular MIDI channel).

  • Level 1: Volume level [allowed range: 00 (silent) - 7F (full volume)]
  • Level 2: Ignored


 Type 0D: Slide Volume or Channel Key Pressure

Player commands reference 13/40

Type 0D: Slide Volume or Channel Key Pressure

Samples and synthsounds: Slide Volume

Increases or decreases a note's volume smoothly.

  • Level 1a: Speed of getting louder (overrides level 1b if it exists) [allowed range: 0-9, A-F]
  • Level 1b: Speed of getting softer [allowed range: 0-9, A-F]
  • Level 2: Ignored

Example

Technical note: The volume is changed every tick. For example, assuming 6 ticks per line, a level 1a value of 2 would raise the volume 12 steps per line.

See also

  • 05: Slide Pitch And Volume
  • 06: Vibrato And Volume Slide
  • 1A: Slide Volume Up Once
  • 1B: Slide Volume Down Once

MIDI: Channel Key Pressure

Changes the key pressure (sometimes called aftertouch) of the current MIDI channel.

This corresponds to squeezing keys down harder than when they were initially pressed.

  • Level 1: Key pressure level [allowed range: 00-7F]
  • Level 2: Ignored

Example

See also

  • 0A: Polyphonic Key Pressure


Type 0E: Wave/Pitch Sequence Position Jump or Set Panning

Player commands reference 14/40

Type 0E: Wave/Pitch Sequence Position Jump or Set Panning

Samples: This type has no effect

Synthsounds (or hybrids ): Wave/Pitch Sequence Position Jump

Causes a jump – a move to a different line – in a synthsound's wave/pitch sequence.

The synthsound must already be playing for the jump to occur. For more details, click here

  • Level 1: Position to jump to, minus one [allowed range: 00-7F]
  • Level 2: Ignored

Example

MIDI: Set Panning

Controls the stereo location of the note (standard controller number 0A hex).

  • Level 1: Stereo location [allowed range: 00 (far left) – 3F (middle) – 7F (far right)]
  • Level 2: Ignored

Example


 Type 0F: Miscellaneous

Player commands reference 15/40

Type 0F: Miscellaneous

All instruments: Miscellaneous

The effect of this command depends on the value of command level 1. (Level 2 is ignored.)

Jump To Next Playing Sequence Entry (level 1 = 00)

Causes an immediate jump to the next entry in the playing sequence (or to the beginning of the block, if you are using Play Block). It is equivalent to command 1D0000.

It is less memory-consuming to make the block shorter, but this command can be useful as a temporary measure.

Set Tempo (level 1 = 0B-F0)

Changes the Primary Tempo. (Levels 01-0A exist for compatibility only.)

Example

Delay/Repeat Note (level 1 = F1-F5)

Delays or repeats a note. Ticks/Line should be set to 6 (the usual value) for these commands to work accurately.

  • F1 makes a single note play twice in the same line. It is equivalent to 1F0300

  • F2 delays the start of a note by half a line. It is equivalent to 1F3000.

  • F3 makes a single note play three times in the same line. It is equivalent to 1F0200

  • F4 delays the note one-third of a line.

  • F5 delays the note two-thirds of a line.

Example

Stop Song/Block (level 1 = FE)

Stops playing the song or block.

The same effect can be achieved with the Stop playing playing sequence command, although it cannot occur in the middle of a block. For more details, click

Example

Stop Note (level 1 = FF)

Stops playing the note. It is equivalent to the special note STP (entered using Shift+S).

When used with non-MIDI instruments, it is nearly like type 0C with level 1 = 00. However, 0C0000 sets the note’s volume to zero, while 0FFF00 stops the note completely. See the first example for more details.

Example
 Example

Samples and synthsounds: Change Note’s Pitch (level 1 = FD)

This changes the pitch of the previous note, without actually replaying it.

Especially useful for samples with an introduction (e.g. an ‘attack’ part) and a main part. If the note is currently playing its main part, use 0FFD00 to play a new note without returning to the sample’s introduction. It can also eliminate the ‘click’ that is sometimes heard when playing a new note.

Example

MIDI: Miscellaneous

Wait Until Messages Sent (level 1 = F7)

Play is stopped until all MIDI messages have been sent (using command type 10).

This is mainly for use at the start of songs, when you may need to send lengthy initialisation messages to your MIDI equipment.

Example

Sustain Foot Pedal On/Off (level 1 = FA/FB)

0FFA00 turns the foot pedal on, 0FFB00 turns it off. (This is standard controller 40 hex)

Example


 Type 10: Send MIDI Message

Player commands reference 16/40

Type 10: Send MIDI Message

Samples and synthsounds: This type has no effect

MIDI: Send MIDI Message

Sends a MIDI message, created using the MIDI message editor. For more details, click here

  • Level 1: MIDI message number, minus one (e.g. 03 sends message number 4)
  • Level 2: Ignored

The MIDI message is sent immediately, if possible. Note that if MED is to send MIDI real-time messages they are sent immediately, interrupting any MIDI message currently being sent with this command.

Example


 Type 11: Slide Pitch Up Once

Player commands reference 17/40

Type 11: Slide Pitch Up Once

Samples and synthsounds: Slide Pitch Up Once

Slides a note's pitch upwards. It cannot be created using the automatic slide creator.

This type is like type 01, except it only slides on the first tick of the line, not on every tick.

  • Level 1: Slide speed [allowed range: 00-FF]
  • Level 2: Slide speed (for fine-tuning) [allowed range: 00-FF]

Example

See also

  • 01: Slide Pitch Up
  • 02: Slide Pitch Down
  • 03: Portamento
  • 05: Slide Pitch And Volume
  • 12: Slide Pitch Down Once
  • 21: Slide Pitch Up (Fixed Rate)

22: Slide Pitch Down (Fixed Rate)

MIDI: This type has no effect


 Type 12: Slide Pitch Down Once

Player commands reference 18/40

Type 12: Slide Pitch Down Once

Samples and synthsounds: Slide Pitch Down Once

Slides a note's pitch downwards. It cannot be created using the automatic slide creator.

This type is like type 02, except it only slides on the first tick of the line, not on every tick.

  • Level 1: Slide speed [allowed range: 00-FF]
  • Level 2: Slide speed (for fine-tuning) [allowed range: 00-FF]

Example

See also

  • 01: Slide Pitch Down
  • 02: Slide Pitch Down
  • 03: Portamento
  • 05: Slide Pitch And Volume
  • 11: Slide Pitch Up Once
  • 21: Slide Pitch Up (Fixed Rate)
  • 22: Slide Pitch Down (Fixed Rate)

MIDI: This type has no effect


 Type 13: Set Pitchbender (Beside Note)

Player commands reference 19/40

Type 13: Set Pitchbender (Beside Note)

Samples and synthsounds: This type has no effect

MIDI: Set Pitchbender (Beside Note)

Sets the pitchbender to a particular value, rather than sliding the pitchbender as with types 01 and 02.

This is identical to type 03, except that it can appear beside a note.

  • Level 1&2: Pitchbender value, in signed hexadecimal [allowed range: 80 (minimum) - 7F (maximum)]
  • Level 2: Pitchbender value (for fine-tuning) [allowed range: 80 (minimum) - 7F (maximum)]

Example

See also

  • 01: Pitchbender Up
  • 02: Pitchbender Down
  • 03: Set Pitchbender


 Type 14: Vibrato (Shallower)

Player commands reference 20/40

Type 14: Vibrato (Shallower)

Samples and Synthsounds: Vibrato (Shallower)

Rapidly slides the pitch up and down (causing a 'wobble').

Command levels being equal, the depth is half that of type 04.

  • Level 1a: Vibrato speed [allowed range: 0-9, A-F]
  • Level 1b: Vibrato depth [allowed range: 0-9, A-F]
  • Level 2: Ignored

Example

See also

  • 04: Vibrato (Deeper)
  • 06: Vibrato And Slide Volume

MIDI: This type has no effect


 Type 15: Set Finetune

Player commands reference 21/40

Type 15: Set Finetune

Samples and synthsounds: Set Finetune

Sets the finetune value for the note. This overrides the instrument's usual finetune value, for this note only.

For more details, click

  • Level 1: Finetune value [allowed range: F8 (-8) to 07 (7) – signed hex is used]
  • Level 2: Ignored

Example

See also

  • 18: Mute Note

MIDI: This type has no effect


 Type 16: Repeat Lines (Loop)

Player commands reference 22/40

Type 16: Repeat Lines (Loop)

All instruments: Repeat Lines (Loop)

Enables you to set up a repeated section (loop), within a block.

  • Level 1: 00 to mark the start of the loop
01-FF to mark the end of the loop, and specify the number of times to repeat the section.
  • Level 2: Ignored

When the loop has finished, the block continues. Loops cannot be 'nested'.

Example


 Type 17: Set Channel Volume

Player commands reference 23/40

Type 17: Set Channel Volume

Samples and synthsounds: This type has no effect

MIDI: Set Channel Volume

Sets the 'master' volume of the current MIDI channel.

The volume of all notes on the current MIDI channel is changed. This is the best way to change a note's volume after it has started playing (type 0C cannot do this with MIDI instruments).

  • Level 1: Volume level [allowed range: 00 (silent) - 7F (full volume)]
  • Level 2: Ignored.


 Type 18: Mute Note

Player commands reference 24/40

Type 18: Mute Note

Samples and synthsounds: Mute Note

This is almost like hold (type 08), except it sets the volume to zero rather than stopping the note. This means that the note is still playing (although at zero volume), and it can become audible later by changing its volume.

  • Level 1: Number of ticks to hold before muting [must be less than Ticks/Line, which is normally 6]
  • Level 2: Ignored

Example

See also

  • 08: Set Hold And Decay

MIDI: This type has no effect


 Type 19: Sample Start Offset

Player commands reference 25/40

Type 19: Sample Start Offset

Samples: Sample Start Offset

When playing a sample, this command sets the sample's starting position. For details on setting the command level, click here

  • Levels 1&2: Sample starting position, multiplied by 256 [allowed range: 0000-FFFF]

Example

See also

  • 20: Sample Offset

Synthsounds and MIDI: This type has no effect


 Type 1A: Slide Volume Up Once

Player commands reference 26/40

Type 1A: Slide Volume Up Once

Samples and synthsounds: Slide Volume Up Once

Increases a note's volume. Unlike type 0D, the volume is only changed on the first tick of the line, rather than every tick.

For backwards compatibility, the command level is set in a peculiar way. It is best to leave it to Insert Command into Song!

  • Level 1: Amount to increase volume, divided by 2 [00 (silent) - 3F (maximum)]
  • Level 2a: The remainder of dividing by 2 [0 if remainder 0, 8 if remainder 1]
  • Level 2b: Ignored

Example

See also

  • 05: Slide Pitch And Volume
  • 06: Vibrato And Volume Slide
  • 1B: Slide Volume Down Once

MIDI: This type has no effect


 Type 1B: Slide Volume Down Once

Player commands reference 27/40

Type 1B: Slide Volume Down Once

Samples and synthsounds: Slide Volume Down Once

Decreases a note's volume. Unlike type 0D, the volume is only changed on the first tick of the line, rather than every tick.

For backwards compatibility, the command level is set in a peculiar way.
It is best to leave it to Insert Command into Song!

  • Level 1: Amount to decrease volume, divided by 2 [00 (silent) - 3F (maximum)]
  • Level 2a: The remainder of dividing by 2 [0 if remainder 0, 8 if remainder 1]
  • Level 2b: Ignored

Example

See also

  • 05: Slide Pitch And Volume
  • 06: Vibrato And Volume Slide
  • 1A: Slide Volume Down Once

MIDI: This type has no effect


 Type 1C: Change MIDI Preset

Player commands reference 28/40

Type 1C: Change MIDI Preset

Samples and synthsounds: This type has no effect

MIDI: Change MIDI Preset

Changes the MIDI preset of the most recently used instrument on this track.

The change is 'permanent', even after the song is stopped.

  • Level 1: New preset number [allowed range: 01 (preset 1) - 80 (preset 128)]
  • Level 2: Ignored

Example


 Type 1D: Jump To Next Playing Sequence Entry

Player commands reference 29/40

Type 1D: Jump To Next Playing Sequence Entry

All instruments: Jump To Next Playing Sequence Entry

Causes an immediate jump to the next entry in the playing sequence (or re-starts the block, if you are using Play Block).

The block in the next playing sequence entry is played from a particular line, given by command level 1.

  • Level 1: Line number to play from (given in hex as usual)
  • Level 2: Ignored

It is less memory-consuming to make the block shorter, but this command can be useful as a temporary measure.

If Line Numbering Starts At 1 is on, set the command level to the line number minus one.

Example


 Type 1E: Replay Line

Player commands reference 30/40

Type 1E: Replay Line

All instruments: Replay Line

Repeats the player commands in the current line. Notes are not repeated.

  • Level 1: The number of times to replay the line [allowed range: 01-FF]
  • Level 2: Ignored

Example


 Type 1F: Delay/Repeat Note

Player commands reference 31/40

Type 1F: Delay/Repeat Note

All instruments: Delay/Repeat Note

A note can be delayed by a particular number of ticks. A note can also be repeated every so-many ticks. The delay and repeat lasts one line.

This is a generalisation of commands 0FF100 to 0FF300. (0FF400 and 0FF500 cannot be emulated by type 1F.)

  • Level 1a: Initial delay, in ticks, before the note is played
  • Level 1b: Distance between repeats (e.g. 2 plays the note every 2 ticks, after any initial delay)
  • Level 2: Ignored

Example


 Type 20: Reverse Sample and Sample Offset

Player commands reference 32/40

Type 20: Reverse Sample and Sample Offset

Samples: Reverse Sample and Sample Offset

If command level is 0000: Reverse Sample

Command 200000 plays a sample backwards.

Example

If command level is not 0000: Sample Offset

Alters the sample's playing position, while the sample is playing.

For example, the sample might currently be at position 50000. Command 020100 will immediately skip forward 256 positions, to 50256.

  • Level 1: Number of positions to skip forwards or backwards, multiplied by 256 [allowed range: 80-7F, in signed hex]
  • Level 2: Ignored.

Example

Synthsounds and MIDI: This type has no effect


 Type 21: Slide Pitch Up (Fixed Rate)

Player commands reference 33/40

Type 21: Slide Pitch Up (Fixed Rate)

Samples and synthsounds: Slide Pitch Up (Fixed Rate)

Slides a note's pitch upwards. It cannot be created using the automatic slide creator.

This type is like type 01, except it slides at a fixed rate, regardless of the pitch. With the other commands, lower pitches mean slower slide speeds (command levels being equal).

  • Level 1: Slide speed [allowed range: 00-FF]
  • Level 2: Ignored

Example

See also

  • 01: Slide Pitch Up
  • 02: Slide Pitch Down
  • 03: Portamento
  • 05: Slide Pitch And Volume
  • 11: Slide Pitch Up Once
  • 12: Slide Pitch Down Once
  • 22: Slide Pitch Down (Fixed Rate)

MIDI: This type has no effect


 Type 22: Slide Pitch Down (Fixed Rate)

Player commands reference 34/40

Type 22: Slide Pitch Down (Fixed Rate)

Samples and synthsounds: Slide Pitch Down (Fixed Rate)

Slides a note's pitch downwards. It cannot be created using the automatic slide creator.

This type is like type 02, except it slides at a fixed rate, regardless of the pitch. With the other commands, lower pitches mean slower slide speeds (command levels being equal).

  • Level 1: Slide speed [allowed range: 00-FF]
  • Level 2: Ignored

Example

See also

  • 01: Slide Pitch Up
  • 02: Slide Pitch Down
  • 03: Portamento
  • 05: Slide Pitch And Volume
  • 11: Slide Pitch Up Once
  • 12: Slide Pitch Down Once
  • 21: Slide Pitch Up (Fixed Rate)

MIDI: This type has no effect


 Type 23: Filter Sweep

Player commands reference 35/40

Type 23: Filter Sweep

Samples and Synthsounds: Filter Sweep

Produces a 'filter slide', a gradual transition of the filter cutoff frequency (see type 24).

Set the filter resonance and filter type using type 25, the starting cutoff frequency using type 24, and the ending cutoff frequency and the filter sweep speed using type 23.

For more details, click here

  • Level 1: Ending filter cutoff frequency. This uses a logarithmic-style scale.

Some example levels and their frequencies:

01: 178 Hz
20: 321 Hz
40: 590 Hz
60: 1083 Hz
80: 1986 Hz
A0: 3642 Hz
C0: 6680 Hz
E0: 12252 Hz
FF: 22000 Hz

  • Level 2 : Filter sweep speed [allowed range: 01-FF. Try a value under 30]. As the cutoff frequency increases, the speed also increases, so for high frequencies try low speeds (e.g. 02).

This type affects all tracks in an effect group. The group to which the track containing the type 25 command belongs is affected.

Example

See also

  • 24: Set Filter Cutoff Frequency
  • 25: Set Filter Resonance And Type

MIDI: This type has no effect


 Type 24: Set Filter Cutoff Frequency

Player commands reference 36/40

Type 24: Set Filter Cutoff Frequency

Samples and Synthsounds: Set Filter Cutoff Frequency

The filter cutoff frequency. A lowpass filter will remove all frequencies above the cutoff frequency. A highpass filter will remove all frequencies below the cutoff frequency.

Set the filter resonance and filter type using type 25, and the cutoff frequency using type 24. The cutoff frequency remains in effect until another type 24 or 23 command appears. Use command 240000 to stop filtering. For more details, click here

  • Level 1&2: Cutoff frequency, set in hex as usual.

Best entered using Insert Command into Song or Generate Slide.
Useful levels are about 0020 - 55F0 (32 - 22000 Hz).

This type affects all tracks in an effect group. The group to which the track containing the type 24 command belongs is affected.

Example

See also

  • 23: Filter Sweep
  • 25: Set Filter Resonance And Type

MIDI: This type has no effect


 Type 25: Set Filter Resonance And Type

Player commands reference 37/40

Type 25: Set Filter Resonance And Type

Samples and synthsounds: Set Filter Resonance And Type

Filter resonance amplifies the frequencies around the filter cutoff frequency (see type 24). This generally makes the sound sharper.

Filter type is lowpass or highpass. A lowpass filter will remove all frequencies above the cutoff frequency. A highpass filter will remove all frequencies below the cutoff frequency.

Set the filter resonance and filter type using type 25, and the cutoff frequency using type 24.
For more details, click here

  • Level 1&2a: Filter resonance, set in hex as usual.
    Best entered using Insert Command into Song. [allowed range: 000 - FFF]
  • Level 2b: Filter type. 0 = most recently used type, 1 = lowpass, 2 = highpass.

This type affects all tracks in an effect group. The group to which the track containing the type 25 command belongs is affected.

Example

See also

  • 23: Filter Sweep
  • 24: Set Filter cutoff frequency

MIDI: This type has no effect


 Type 29: Relative Sample Offset

Player commands reference 38/40

Type 29: Relative Sample Offset

Samples: Relative Sample Offset

When playing a sample, this command sets the sample's starting position.

It divides the sample into a number of sections of equal length. The sample is then played from a particular section.

Level 1: Play sample from this section. 0 is the first section (the very start of the sample).
Level 2: The number of sections you would like in the sample. Each section is of equal length.

Example

Synthsounds and MIDI: This type has no effect


 Type 2E: Set Track Panning

Player commands reference 39/40

Type 2E: Set Track Panning

Samples and synthsounds: Set Track Panning

Sets a track's stereo location. It changes the track's Pan slider (Track Properties dialog).

  • Level 1: Pan level [allowed range: F0 = far left, 0 = middle, 10 = far right (signed hex)]
  • Level 2: Ignored

To 'sweep' from one speaker to another, try creating a slide using this type (e.g. start level = -16, end level = 16).For more details, click here

Example

MIDI: This type has no effect

You can set the stereo location of individual notes using type 0E.


 Types 31-3F: Set Controller

Player commands reference 40/40

Types 31-3F: Set Controller

Samples and synthsounds: This type has no effect

MIDI: Set Controller

These fifteen types can be defined to set the MIDI controllers of your choice. For more details, click here

  • Level 1: Controller value (if controller is MSB or 14-bit)
  • Level 2: Controller value (if controller is LSB or 14-bit)

Example

See also

  • 00: Set Controller Value
  • 05: Set Controller Number


Synchronizing MIDI devices with MED

Keyboard shortcuts

Rather than using the mouse for getting your way round MED.

There are many shortcut keys that help in the navagation aroung the program and this should help speed up entering and editing music as well as speeding up other aspects of MED.

  • Function keys

  • Editing a block using shortcut keys

  • Editing whole blocks using shortcut keys

  • Moving and positioning using shortcut keys

  • Shortcut keys for modules and instruments

  • Keypad shortcut keys

  • Shortcut keys for opening windows and dialogs


 Function key shortcuts

Keyboard shortcuts 1/7

Function key shortcuts

F1 - Open main help, or get help on current control
F2 - Decrease octaves by 1
F3 - Increase octaves by 1
F5–F8 - Jump to beginning of 1st-4th quarter of block
Shift+F1–F12 - Insert programmable key
Shift+Ctrl+F1–F12 - Pick programmable key


Editing a block using shortcut keys

Keyboard shortcuts 2/7

Editing a block using shortcut keys

Esc - Editing on/off
Shift+Esc - Chord mode on/off
` (above Tab) or ' (beside Enter on UK keyboard) - Spacing on/off
Del - Delete note under cursor, or clear selection (if one is marked)
Shift+Del - Delete note and command digits
Ctrl+Del - Delete command digits
Return - Insert hold symbol
Shift+Return - Insert hold symbol to all tracks of the last chord
F - Insert DEF note (default frequency)

Shift+S - Insert STP symbol (stop note)
Shift+1 - Insert 11k note (11025 Hz)
Shift+2 - Insert 22k note (22050 Hz)
Shift+4 - Insert 44k note (44100 Hz)

Backspace - Delete note (when editing on)
Shift+Backspace - Insert empty note position (when editing on)
Ctrl+Backspace - Delete the current track (when editing on)
Shift+Ctrl+Backspace - Insert a track to current position (when editing on)
Ctrl+B - Select current track
Shift+Ctrl+B - Select current block

Ctrl+X - Cut selection (or track if no selection)
Ctrl+C - Copy selection (or track if no selection)
Ctrl+V - Pastes selection or track (depending on which was cut/copied most recently)

Ctrl+K - Kill notes (delete to end of current track)
Shift+Ctrl+K - Kill notes (delete to end of all tracks)

Ctrl+T - Create a pitch slide (command type 03)
Shift+Ctrl+T - Create a pitch slide (command type 01 or 02)

Ctrl+F - Open Find & Replace dialog (when main window is active)


 Editing whole blocks using shortcut keys

Keyboard shortcuts 3/7

Editing whole blocks using shortcut keys

Shift+Ctrl+X - Cut block
Shift+Ctrl+C - Copy block
Shift+Ctrl+V - Paste block
Ctrl+J - Join block with next
Shift+Ctrl+J - Split block at cursor
Ctrl+I - Insert new block here
Shift+Ctrl+I - Insert new block after last block
Ctrl+D - Delete current block
Shift+Ctrl+D - Delete last block


 Moving and positioning using shortcut keys

Keyboard shortcuts 4/7

Moving and positioning using shortcut keys

Arrow keys - Move the cursor up, down, left, right
Shift+Up Arrow - Prev block
Shift+Down Arrow - Next block
Left Ctrl+Up Arrow - Go to first block
Left Ctrl+Down Arrow - Go to last block
Ctrl+Left Arrow - Prev track
Ctrl+Right Arrow - Next track
Shift+Ctrl+Left Arrow - Prev screenful of tracks
Shift+Ctrl+Right Arrow - Next screenful of tracks
Tab - Jump to next command page
Ctrl+A - Advance down on/off
Shift+Ctrl+A - Advance right on/off
Ctrl+W - Advance with sound on/off


 Shortcut keys for modules and instruments

Keyboard shortcuts 5/7

Shortcut keys for modules and instruments

Shift+Space - Continue song
Shift+Ctrl+Space - Play song
Ctrl+Space - Continue block
Ctrl+Alt+Space - Play block
Space - Stop playing
Ctrl+N - New module
Ctrl+O - Open module
Ctrl+S - Save module
Shift+Left Arrow - Prev instrument
Shift+Right Arrow - Next instrument
Ctrl+G - Flush instrument
Shift+Ctrl+G - Flush unused instruments


Keypad shortcut keys

Keyboard shortcuts 6/7

Keypad shortcut keys

The keypad is on the far right of your keyboard. To use digits 0–9, ensure that Num Lock is switched on.

0 – 9 - Set last digit of instrument number to 0 – 9. (If keys 1 – 6 are pressed twice, the digit is set to A – F.)
Decimal Point - Cycles first digit of instrument number through 0 – 3
Minus - Select previous instrument
Plus - Select next instrument
Shift+Minus - 16 instruments backward
Shift+Plus - 16 instruments forward
Shift+Ctrl+Minus - Previous free instrument slot
Shift+Ctrl+Plus - Next free instrument slot
Divide - Select last used instrument slot
Multiply - Select the instrument below the cursor in the song editor (or the previous instrument on the same track)
Ctrl+Divide - Solo current track (switch off all other tracks)
Ctrl+Multiply - Toggle current track on/off
Ctrl+Minus - Turn off all tracks
Ctrl+Plus - Turn on all tracks
Ctrl+0 – 9 - Toggle tracks 1 – 10 on/off (0 = track 10)


 Shortcut keys for opening windows and dialogs

Keyboard shortcuts 7/7

Shortcut keys for opening windows and dialogs

These keys work in all windows and dialogs.

Alt+1 - Activate the main window (song editor)
Alt+2 - Open Sample Editor
Alt+3 - Open Synthsound Editor
Alt+4 - Open MIDI Message Editor
Alt+5 - Open Instrument Pool
Alt+6 - Open Instrument from Disk dialog
Alt+7 - Open Section Sequence
Alt+8 - Open Playing Sequence
Alt+9 - Open Block Properties dialog
Alt+0 - Open Instrument Properties dialog


 Synchronizing MIDI devices with MED

File formats

Different file formats that MED can load or save

MED Soundstudio can load or save many file formats, rather than using a module format convertor.

Many of the popular formats that have been used on the Amiga and also on the PC can be converted and played within MED.

While this may be a handy feature, some of the files converted may not sound has they did before, this is mainly due to the different commands or effects used by the original module format that MED may not support.

  • Recognised module formats

  • Recognised instrument formats


 Recognised module formats

Recognised module formats

The following module formats can be loaded by MED:

  • Amiga MED modules, type MMD0 – MMD3
  • Standard MIDI Files (with extension .mid), types 0 and 1. For more details, click here
  • FastTracker 1 and 2 modules (.xm). Note that:
  • XM modules support more notes than MED, so very low notes are transposed up to MED's octave 1.
  • Some effects (player commands) are not supported: E3, E4, E7, G, H, K, L, P, R, T, X1 and X2. See FastTracker's documentation for more information.
  • ImpulseTracker modules (.it). MED and ImpulseTracker are very different, so the loaded module is likely to require manual editing. IT samples are decompressed correctly.

MED can save modules in .med (MED native format), .mid format and .exe (executable) format.


 Recognised instrument formats

Recognised instrument formats

The following instrument formats can be loaded by MED:

  • RIFF WAVE samples (.wav). This is the PC's most popular sample type.
  • AIFF samples (.aif, .snd). A standard across many computer systems, especially the Apple Macintosh.
  • IFF 8SVX samples (.svx, .iff). The Amiga's most popular sample type.

It does not support 16-bit or stereo (only 8-bit mono). MED can load delta-compressed IFF 8SVX samples, but not multi-octave samples.

  • IFF MAUD samples (.maud). An enhancement of IFF 8SVX to support 16-bit and stereo samples.
  • SAFF samples. Used in some Amiga programs.
  • Raw samples. These have no header – in other words, any file can be loaded!

However, raw samples saved on the Amiga are signed rather than unsigned, and must be converted. (MED can save both signed and unsigned raw samples.) 16-bit raw samples saved with MED have the header Raw16Bit. For more details, click

  • Synthsounds (.omsyn).
  • MED can save all types except SAFF.


Working With Hex Numbers

What is HEX

MED uses HEX (Hexadecimal) numbers for most commands and functions, this allows the program to use a higher amount of numbers per command than a DEC (Decimal) numbering system.

Normally with DEC numbering system, a count to 10, would be 00, 01, 02 etc to 10. With a HEX count this would be 00, 01, 02 etc to 0A (10)

An example of this would be as follows:

HEX:  00 01 02 03 04 05 06 07 08 09 0A 0B 0C 0D 0E 0F 10
DEC:  00 01 02 03 04 05 06 07 08 09 10 11 12 13 14 15 16

Entering from a menu box

When entering a value into either the generate slide box, or insert command box MED reverts back to the DEC numbering system.

The corresponding values for these are as follows:.

When entering straight into a cell (Track) use HEX values. (FF to 10)
Entering values by the generate slide box or insert command use a DEC value (-16 to 16)

Example using the 2E command (Pan)

To pan the sound from the left hand side to the far right, you would use command 2E followed by the numbers below in level 1 of the command, (level two is ignored here)

So it would look like this: (HEX Value in Green Bold, DEC value in Black bold)

0000 C-5  1 2E F0 00 = -16 Start pan at left hand side, at a HEX value of F0 (DEC -16)
0001 ---  1 2E F1 00 = -15 Continue panning.....
0002 ---  1 2E F2 00 = -14
0003 ---  1 2E F3 00 = -13
0004 ---  1 2E F4 00 = -12
0005 ---  1 2E F5 00 = -11
0006 ---  1 2E F6 00 = -10
0007 ---  1 2E F7 00 = -09
0008 ---  1 2E F8 00 = -08
0009 ---  1 2E F9 00 = -07
0010 ---  1 2E FA 00 = -06
0011 ---  1 2E FB 00 = -05
0012 ---  1 2E FC 00 = -04
0013 ---  1 2E FD 00 = -03
0014 ---  1 2E FE 00 = -02
0015 ---  1 2E FF 00 = -01
0016 ---  1 2E 00 00 =  00 Pan now center, HEX and DEC value equals 00
0017 ---  1 2E 01 00 =  01 Continue panning......
0018 ---  1 2E 02 00 =  02
0019 ---  1 2E 03 00 =  03
0020 ---  1 2E 03 00 =  04
0021 ---  1 2E 05 00 =  05
0022 ---  1 2E 06 00 =  06
0023 ---  1 2E 07 00 =  07
0024 ---  1 2E 08 00 =  08
0025 ---  1 2E 09 00 =  09
0026 ---  1 2E 0A 00 =  10 Note the HEX and DEC values change here
0027 ---  1 2E 0B 00 =  11 Panning continues......
0027 ---  1 2E 0C 00 =  12
0028 ---  1 2E 0D 00 =  13
0029 ---  1 2E 0E 00 =  14
0030 ---  1 2E 0F 00 =  15
0031 ---  1 2E 10 00 =  16 Now the pan is at the far right hand side. (HEX value equals 10 and DEC value equals 16)

Inserting Notes

  • To enter one command at a time, right mouse click and use the "Insert Command" function.
  • To insert a command over many lines of a track, highlight the area (part of the track or tracks), then use the "Tools menu" and select "Generate slides". (This method saves time).

Converting HEX to DEC

The easiest way to convert between the two systems is using the Windows calculator:

  1. Open the Windows Calculator
  2. If necessary, select Scientific from the View menu.
  3. To convert decimal to hex, click Dec (top-left), type in a decimal number, then click Hex.

To convert hex to decimal, click Hex (top-left), type in a hex number, then click Dec.

Also see: Signed hexadecimal


 Soundfonts with MED

Soundfonts

How to use Soundfonts with MED Soundstudio

Soundfonts are samples that can be used by MED to play MIDI instruments rather than the general MIDI samples inbuilt into the soundcard.

A fellow MED user sent in these instructions on how this can be done:

  1. Load soundfonts into one or more banks using the "Soundfonts" application from AudioHQ app that comes with SBLive!.
    There should be a similar method with other soundcards that support soundfonts.

  2. Load MED. (The following steps apply to MED).

  3. Select MIDI->MIDI Patch Names for each Soundfont:
    • Click 'InsertNew' and type in a name for this instrument. example "Moog soundfont"
    • Select "A: SB Live MIDI Synth" (or the name of the device you have) for "This Device Uses Port"
    • Allocate one or more MIDI channels that you want this soundfont to respond to. If you want to be able to play from multiple banks on the SB card, you will need to save some channels for the other banks.

      For example, the default GM soundfont using channels 1-10. I have another soundfont using channel 11, another using 12, and another using 13 and 14.

      I think you need a channel for each patch from the soundfont that you want to be able to play simultaneously.
      For example, there is an organ sound and a bass sound in one of my soundfonts. To play both sounds simultaneously, play one on MIDI channel 13 and one on 14.
    • For the built-in GM soundfont, select "GM Standard" for the Patch Names.
    • For other Soundfonts, select "User Defined" for the Patch Names. Then you can type in the patch names below, but this is not strictly necessary.

  4. You need to set MIDI->MIDI active to be able to play MIDI instruments in a song. This setting will be saved when MED saves your song.

  5. Now to set up an instrument:
    1. Pick an instrument slot in MED and make it a MIDI instrument (Instrument Type = MIDI)
    2. Set Device to one of your soundfont devices. They are listed by the names you gave them in step 3 and have a channel number in parentheses after the name (for multi-channel devices)
    3. Set the output port to "A: SB Live MIDI Synth"
    4. Set bank 0
    5. Set a suitable Preset (soundfont patch number)
    6. Set the Transmit Ch to one of the channels you assigned to this device in step 3 above.

  6. Finally, use a setup block at the start of a song to set the soundfont bank used by a given instrument "on the fly". This seems to be the only way to get it to work.

The startup measure looks like this for a single track:

C-5 6310D00
--- 00FFF00

The first line will play a C-5 note, using instrument 6 (which is set up as a MIDI instrument). Send a command 31, which by default is configured to affect controller 00 (which selects the SB Live soundfont bank). The 0D is hexadecimal for the decimal number 13.

Now you can play the currently selected patch/preset from soundfont bank 13 using MED instrument 6. You might be able to change patches/presets within bank 13 using MIDI commands. Click here

Use the following for changing soundfont banks within MED:

  1. Load the Soundfonts instruments into the Card. (Using the above)
  2. Setup each required MIDI instrument in MED, with a different transmit channel. (You may also need to use 'A: SB Live! MIDI Synth' for the output port).
  3. Select your first instrument. This can be done from the instrument pull down menu, in the song editor window.
  4. On the first line of track one, after the instrument number enter '31nn00' {where nn = bank number in hex).
    • Example: 0001 --- 131nn00
  5. Play the track briefly, using <CNTRL+SPACE>. This will execute the command to change soundfont banks. (This will only take a second)
  6. Enter notes into the track (for testing purposes) and play the block <CNTRL+SPACE> to see if the new instruments are playing via the SoundBlaster card. If not, follow the above steps again.
  7. If the above steps have worked, you should be able to use Soundfonts with MED, via the SoundBlaster.
  8. Repeat this process on different tracks using a different instrument on each.

Thank you to Baird McIntosh and Nige G for the above information regarding soundfonts


Ten Simple Ways To Speed Up Your PC 1

Ten Simple Ways To Speed Up Your PC

Windows when first installed seems fast, reliable and fresh. But over a period of time, will slow down, come prone to crashes and everything will become sluggish. This is normally due to windows storing everthing you do on the computer to hard disk, programs you install and Internet cache that is stored to disk. This means windows has to load more to memory, hard disks becoming fragmented and other system files being lost or corrupted.

It is good computer management to clear junk files and defrangment the hard disk every few months and give the computer a clean up to. It is also wise to do a reinstall of windows normally atleast once each year, this is the only way to return windows to it's original state.

Below are a few guides to keep the computer running healthy and gain a bit more speed to help with those CPU hogging programs.

1) When using MED don't run too many programs at once.
when working with any multi-media prog, it is best ensure that you disable any virus progs. It's sometimes easy to forget how many programs you have open. If you find that your PC is becoming sluggish, check the Windows Task Bar to see which other unnecessary programs are running. To speed things up, right click those programs you are not using and Close.

2) Lower the Screen Resolution
This is easy and simple to do. Right click on the Desktop and select Properties.
Then click Settings in the Properties window and move the pointer in Screen Area to the
left to lower the screen resolution. It's easy to change the resolution back afterwards.

3) Turn Off Active Desktop
In theory having a favourite web site sit directly on your desktop is cool. In reality it is a huge hog on your PC's resources, so turn it off and feel the difference. You can always make that Web site your Home Page anyway!

4) Don't Stretch That Wallpaper
Stretching wallpaper to fit the Desktop can actually slow down your PC, especially when you move icons around. And if your PC has limited memory it's better to choose fairly simple wallpaper - for example, black and white photos rather than colour.

5) Don't Have Too Many Fonts
Windows loads every font you have in the Fonts folder when it starts up. The more you have, the longer it takes. So take a look in your Fonts folder and keep only those you really like and use. However, be careful not to remove fonts that have a red letter icon as these are System fonts.

6) Use Disk CleanUp
Windows has a built-in tool called Disk CleanUp, which is a bit like your own personal Windows housekeeper. To find it go to Start Menu, Programs, Accessories and then Disk Clean Up. It will then ask you which drive you wish to clean up - usually the C drive. Once open it will analyse your hard disk and tell you how much space can be saved on the disk by safely deleting old files. The less cluttered your disk, the faster the PC will run.

7) Back Up Your Data
Another really simple way to lose clutter and speed things up is to transfer old data and files to an external storage device such as a Zip Drive or even floppies. This also has the advantage of safeguarding your data if your PC breaks down.

8) Use the Defragmenter Tool
As you use your PC, loading programs and creating files, Windows tends to be a bit lazy as to where it puts stuff after you have finished. In other words, files get fragmented and it takes longer for the PC to find the files you need the next time. To clean things up, locate the Windows Disk Defragmenter Tool from the Program/Accessories tab on the Start menu. Open the Disk Defragmenter and let it automatically put all the files and programs back in proper order. Afterwards, you should notice a significant increase in the speed of your PC.

9) Clean Up Your Desktop
It's tempting to use your desktop as a general dumping ground for downloads, often used files and programs. However having too much on there not only makes it hard to find but can slow things down. Instead spend a few minutes each week tidying up and deleting files that you are not using. Put those files you need into a special folder on your hard drive and leave only a minimum. You will also be able to see that nice wallpaper you downloaded more clearly!

10) Restart More Quickly
When restarting your PC hold down the Shift key at the same time. This will launch Windows much more quickly.

Thanks to Ray for these tips.


Note from the Author

Note from the help author

New Help Format

As you may have well seen by now the MED help system has changed format.

The help system no longer uses the old windows help system, but now the newer HTML help system. The conversion between the two help systems has been done in preparation for V2 of MED. So we have decided to try it out for this v1.7a update.

The HTML version of help is more like a Web site and should be treated as such.

Unfortunately the conversion process has not been accurate as I would have liked, and the newer HTML help system is not complete. There are still links in the help system that are broken and I am busy trying to sort these out.

If you find any broken links in this system, could you please contact me with the relevant information.

  • i.e. The heading of the page (Modules: loading, saving, playing 1.7)

Contact me: John

Thank-you in advance


Bank

A collection of presets. Banks are set as follows:

1 To use the currently-selected bank, set the bank number to 0.
2 If your MIDI manual gives the MSB and LSB of the bank, add 1 to the LSB, then set the bank number to MSB/LSB.

If the manual gives the MSB and LSB in hexadecimal, convert them to decimal first (click).

For example, if MSB = 0A and LSB = 05 (in hexadecimal), set the bank number to 10/06.

If LSB = 7F (hexadecimal) or 127 (decimal), add 1 to the MSB instead, and set LSB to 0.

3 If your MIDI manual just gives a bank number in decimal, then add 1 to it and set the bank number.

Bank numbers above 127 are displayed as MSB/LSB.


 Cell

Cell

A note, instrument number and player command.


 Cell Box

Cell box

A control allowing you to define a cell (note and digits). To change it:

  1. Move the mouse pointer over the part to be changed.
  2. Hold down the left mouse button.

  3. To change the note, play the note using the keyboard. (To clear the note, press Del.)

To change a digit, type the digit.

To make the part transparent, press Return. Transparent parts are ignored by MED.

  4. Repeat step 3 for any other parts to be changed.
  5. Release the left mouse button.

(To enter a hold symbol (-|-), clear the note part and set an instrument number.)


Chord

A chord is when three or more notes (intervals of a scale based from the root, normally thirds and fifths )are played at the same time.

The two simplest kinds of chord are 'major' and 'minor'.


 Clipping
Clipping (distortion)

Samples that are overdriven produce clipping, this is crackling that is sometimes present within a sample. Sometimes samples that are totally overdriven produce distortion.

Overdriven sound occurs when a samples recording source amplitude is higher than the chosen recording level of the soundcard or software. If the amplitude of the source is greater than this maximum, then there is data loss and thus clipping

Without clipping | With clipping


 Command page
Command page

Command pages or CMD allow MED to have many levels (pages) for the same track. This is useful when wanting to add different commands or effects to the same note/s at the same time.

The amount a CMD pages are controlled from the block properties, pressing the TAB key (Above the CAP LOCK key) rotates the current amount of CMD pages.


 Current effect group

Current effect group

The group highlighted in the Effect Groups list. This group's settings are shown in the rest of the dialog.


 Current MIDI channel

Current MIDI channel

In a particular track, the MIDI channel of the most recently played note.


 Current wave
Current wave

The wave currently in the main wave display.


 Default frequency
Default frequency

The pitch at which an instrument sounds best. For samples, the default frequency is usually the original recording frequency. You can change the default frequency in the Instrument Properties dialog.


 Digits
Digits

Instrument number and player command.


 Halfstep
Halfstep

The distance between two adjacent notes on a piano keyboard (for example, C to C#, or E to F).

There are 12 half steps in an octave.

Another name for half step is semitone.


 Hexadecimal

Hexadecimal

In the usual decimal system, a digit can be ten different values (0, 1, 2, ..., 9).

In the hexadecimal system (hex for short), a digit can be sixteen different values (0, 1, 2, ..., 9, A, B, C, D, E, F). This allows you to specify a greater range of numbers using the same amount of digits.

The easiest way to convert between the two systems is using the Windows calculator:

  1. Open the Windows Calculator
  2. If necessary, select Scientific from the View menu.
  3. To convert decimal to hex, click Dec (top-left), type in a decimal number, then click Hex.

To convert hex to decimal, click Hex (top-left), type in a hex number, then click Dec.

MED also provides a way of entering player command levels in decimal rather than hex, using the Insert Command into Song

Also see signed hexadecimal.


 Hybrid Instrument

Hybrid instrument

A sample instrument that uses a synthsound sequence. (It does not use synthsound waves.)


Instrument position

A space in which to store an instrument.

To play an instrument, you must first load it into an instrument position. Use Shift+left and Shift+right to select the current slot, then load an instrument using (for example) [image] or


 Loop

Loop

A part of a sample that is played over and over again. This allows a sample to be sustained until it is stopped.


 MIDI channel

MIDI channel

Similar in concept to a television channel. MIDI information is transmitted (output) on particular channels, and received (input) on particular channels.

In this way, a particular MIDI device can respond only to the information that is intended for it, rather than information intended for other devices.


 MIDI output port

MIDI output port

The port through which MIDI information is sent.

Soundcards often have more than one port – for example, two ports for built-in MIDI devices, and one port for communicating with an external device such as a synthesizer.

MIDI Mapper often appears as an output port – it is the standard Windows MIDI device. This is set in Multimedia Control Panel

Unassigned ports can be ignored. To change device mappings, select MIDI Device Map from the MIDI menu.


 Module

Module

A musical composition.

A module usually contains one song, but it can contain several, all of which share the same set of instruments.


 Mono

Mono

The sound is the same on both left and right speakers. On headphones, the sound appears to be coming from the 'center'.


 Note box

Note box

A control that contains a note. To change its note, hold down the left mouse button on the box, and play the new note in the usual way. The Delete key changes to a blank note.


 Octave range

Octave range

The number of octaves that an instrument can play:

  • Samples and synthetic sounds (synthsounds) can play 6 octaves (notes C-1 to B-6)
  • MIDI instruments, in theory, can play about 10½ octaves (notes C-1 to F#B), but many MIDI devices do not support all of these notes. Also note that, for example, the MIDI note C5 is the MED note C-6.


 Pan

Pan

The stereo location of the sound.


 Patch

Patch

A sound on a MIDI device (for example, Acoustic Piano or Electric Guitar).


 Path

Path

Exactly how to find a file or folder. For example, if a file My_song.med is stored in a Songs folder, in a MED folder, on your C: drive, the file's path is

C:\MED\Songs\My_song.med

A folder's path is exactly the same, except no filename appears at the end.


 Player command

Player command

A combination of player command type, level 1 and level 2 digits.

The left-hand level 1 digit is sometimes called level 1a, and the right-hand digit level 1b. Similarly for level 2.


 Processor time

Processor time

The processor, or CPU, is the computer's brain. If MED consumes too much of the processor's time, the computer slows down and may not work properly (temporarily). This most commonly occurs during song playback. A number of options in the Playback Settings dialog can help fix the problem.


 Sample

Sample

The standard type of instrument.

Samples are often created by feeding the sound into the computer from a sound source (e.g. tape recorder). However, many thousands of pre-recorded samples are freely available. Some are installed with MED Soundstudio, in the Samples folder.

Also look out for Allister Brimble's sample CD.


 Sample point

Sample point

A point (or position) within a sample. Each point represents a 'snapshot' of the recorded sound.


 Signed hexadecimal

Signed hexadecimal

For an introduction to hexadecimal, click

Signed hex is a way of representing negative decimal numbers (e.g. -100) as positive hex numbers.

  1. To convert a positive decimal number to signed hex, proceed as for 'normal' hex
  2. To convert a negative decimal number to signed hex:
  3. Open the Windows Calculator
  4. If necessary, select Scientific from the View menu.
  5. Click Dec (top-left).
  6. Type in a negative decimal number, without its minus sign.
  7. Click +/- (bottom) to change the sign to negative.
  8. Click Hex (top-left).
  9. For a two digit hex number, click Byte (top-right). For a four digit number, click Word.


 Song

Song

A musical composition. There may be several songs in a module.


 Song Section

Song section

Most songs only have one playing sequence, but if you create more than one playing sequence, they are also called song sections. The order in which song sections are played is controlled by the section sequence.


 Standard frequencies

Standard frequencies

Play and enter notes at these frequencies.

  • 11kHz - Shift+1
  • 22kHz - Shift+2
  • 44kHz - Shift+4

The lower the frequency, the lower the quality of the playback of the sample.

Use these for better quality drums or percussion instruments/samples..


 Stereo

Stereo

The same sound is split into two channels, gives more depth and allows the sound to bounce from one speaker to another.


 Tick

Tick

A regular pulse which MED uses to keep in time.

The number of ticks per song editor line is usually 6, but this can be changed in the song tempo dialog box.


 Trackers

Trackers

Music composition programs which use the Tracker editor style of song editing (notes, instrument numbers and player commands). They include Soundtracker (the original Tracker) and Protracker on the Amiga, and Fasttracker on the PC.


 Untuned

Untuned

Without a definite pitch, most instruments are tuned to middle C, like pianos and guitars. Unlike drums that are said to be an untuned instrument.


 Wave

Wave

A piece of sound. If a synthsound contains more than one wave, the waves can be played in any order using the synth sequence.


Amiga packed files

Help with Amiga packed modules

Many Amiga users packed modules using the XPK and other packer libraries.
MED does not support these libraries or packers as these are native to Amiga.

To use Amiga packed modules within MED, either unpack the modules on the Amiga and copy over to the PC.

Another way would be to install an Amiga emulator (i.e. WinUAE) and other Amiga related files.

  • Install the correct libraries (XPK and powerpacker) into workbench.

  • Run OctaMED on the Amiga Emulator and unpack the Modules for use in MED, then save the module back to disk.


 Help credits
Help credits

I (John the HELP author) would like to thank:

Jan: My pillar of strength and my soul mate.

My Family: My Mother. For the love and support over the years.
My Father. Making me realise I could play music.
Scott. My brother. For all the years with putting up with me! ;o)
My Kids. Nick and Jacqueline.
Aunt Linda. My Favorite Aunt :o)
Me Unc Brian. My second Dad :o)
Paul, Nicky, Wendy, Alistair and all the kids.
Ruth, Bruce and the rest of the Astle's.

Martyn Hartley: Long time real friend, hope your still playing dude!

Dundee College: All my friends and the tutors there.
South Devon College: All you guys who know me there!

Personal thanks
I would also like to personally thank Ed Wiles for his high standard of work and documentation,
without these, my work on the MED help files would have been a lot harder and impossible at times.

Ed, I wish you well for the future with everything you do.


 Program credits

Program credits

RAY AND JAMES SEND THANKS TO :

  • Allister_Brimble

  • Andrew Gledhill

  • Barry Walker

  • Christopher Calhoun

  • Darren Flinders

  • Darren Lambourne

  • Jens theess

  • Manolis Gerasidis

  • Patrick Dunn

  • Chris Below

VERY EXTRA SPECIALTHANKS GO TO :

  • Blue (Vince Whittingham): MED Support Site

  • Catzwolf (John Neill): MED Help Editor

  • Ben Baker: Help with some Graphics

SPECIAL BIG RASPBERRYS GO TO:

  • Rob Penman: [rob-penman@rogers.com]
    For your sometimes extremely x-rated e-mails containing some very untruthful and derogatory remarks about Ray and his disablement

  • Rick K: For your extremely crude x-rated e-mails

  • Mike H: For all your sarcastic e-mails

  • (3 ex users isn't bad though, so most of you like MED :)

AND FINALLY, WITH THE GREAT EXCEPTION OF THE THREE ABOVE,

YOU ARE ALL VERY, VERY MUCH APPRECIATED

  • SO, MANY, MANY THANKS TO ALL OUR REGISTERED USERS WITHOUT WHOM MED WOULD BE NOTHING!


More help

If you still require more help and have an Internet connection, please visit the following Web pages.

The Official MED Websites

For program update information, contact information:
The Main MED website Main Web Site

For further help and tips regarding MED, visit the MED Forum:

Soundstudio Support
This is the main official site, for support, information, FAQ, links and downloads that will help you with MED Soundstudio. Please use this site before e-mailing the publishers directly, as you are more likely to find an answer to your problem here.


 Change pitch

Change pitch

Some example settings of Source Pitch and Dest Pitch:

  • C-4 G-4 Plays the current note G-4 when you press the C-4 key. So the pitch is raised.
  • B-5 A-5 Lowers the pitch, so that the current note A-5 is played by the B-5 key.
  • B-3 A-3 Same as above, because source and destination pitches are relative.


 Change volume

Change volume

Some example settings of Start Volume and End Volume:

  • 150% 150% Increase the volume by one half of the current volume.
  • 75% 75% Reduce the volume to three-quarters of the current volume.
  • 200 %0% Start the sound at double its volume, and fade away to silence.
  • 25% 50% Increase the volume from a quarter of its original to half of its original.
  • 100% 100% No volume change (a waste of time!).


 Setting effects

Setting effects (example 1)

Assume that all blocks have 4 tracks.

In this example, group 02 adds echo to tracks 01 and 03, and group 03 adds cross echo to track 02. The remaining track (number 04) still belongs to Global Effects, as do all tracks, but here Global Effects adds no effects.

Group 01: "Global Effects". Always contains all tracks. Echo Type = No Echo. Stereo Separation = 0.

Group 02: "Echo 1". Contains Tracks 01, 03. Echo Type = Echo. Echo Rate = 300ms. Echo Depth = 25%. Stereo Separation = 0.

Group 03: "Echo 2". Contains Tracks 02. Echo Type = Cross Echo. Echo Rate = 200ms. Echo Depth = 12.5%. Stereo Separation = 0.


 Setting effects

Setting effects (example 2)

Assume that all blocks have 4 tracks.

In this example, group 02 adds a deep echo to tracks 02 and 03. Also, Global Effects (group 01) adds echo and stereo separation to all tracks (01 to 04). This means that tracks 02 and 03 have two different echoes occurring at the same time!

Group 01: "Global Effects". Always contains all tracks. Echo Type = Echo. Echo Rate = 200ms. Echo Depth = 12.5%. Stereo Separation = 4.

Group 02: "Deep Echo". Contains Tracks 02, 03. Echo Type = Echo. Echo Rate = 300ms. Echo Depth = 50%. Stereo Separation = 0.


 Expanding and shrinking blocks

Expanding and shrinking blocks

Suppose that, somewhere in the block, these notes appear:

C-5 2000000
E-5 2000000 You want to insert a
D-5 1000000 between these notes, but with C-5 and E-5 playing in the same time as they do currently.

Expanding can help you by inserting a new line between every line in the block.
The factor to do this is 2, because the block size will be doubled.

This doubling also halves the apparent tempo, so you will need to double the actual tempo.

Shrinking reverses the effect of expanding, and can remove unwanted lines if you underestimate the minimum note length for a particular block. With factor 2, every second line is removed; with factor 3, the second and third lines of every three lines are removed, and so on.


 Filter types

Filter types

Frequencies that are kept (allowed to pass) are in blue.

Removed frequencies are in red.

Lowpass

         Highpass
Bandpass

         Bandstop


 Find example

Find example 1

This cell box finds a note E-4 played by instrument 6.

(Because the player command digits are transparent, it does not matter what they are.)

Source:E-4  6xxxxxx

Next example


 Find

Find example 2

This cell box finds any note played by instrument 6.

(Because the note and player command digits are transparent, it does not matter what they are.)

Source: xxx  6xxxxxx

Next example


 Find

Find example 3

This cell box finds an occurrence of player command 0C4000 (play at half volume).

(Because the note and instrument number are transparent, it does not matter what they are.)

Source: xxx  x0C4000

Next example


 Find

Find example 4

This cell box finds an occurrence of player command 0F3C00 (set tempo to 60 decimal), which must be beside a blank note and instrument number.

(Because the note and instrument number are not transparent, player commands beside a non-empty note or instrument number will not be found.)

Source: ---  00F3C00


 Find and replace example 1

Find and replace example 1

These cell boxes replace all occurrences of C-4 with G-4.

(Because the digits are transparent, it does not matter what they are.)

Source:C-4  xxxxxxx
Dest:G-4  xxxxxxx

Next example


 Find and replace example 2

Find and replace example 2

These cell boxes change all instrument number 2 to number 6. That is, all notes played with instrument 2 will now be played with instrument 6.

(Because the notes and player command digits are transparent, it does not matter what they are.)

Source: xxx  2xxxxxx Dest: xxx  6xxxxxx

Next example


 Find and replace example 3

Find and replace example 3

Use the << >> buttons above for more examples.

Here, all C-4s played with instrument 2 will be changed to G-4s played with instrument 6.

(Because the player command digits are transparent, it does not matter what they are.)

Source: C-4  2xxxxxx Dest: G-4  6xxxxxx

Next example


 Find and replace example 4

Find and replace example 4

Use the << >> buttons above for more examples.

This changes all player command type 04 to 14. These are both vibrato types, but 14 is less deep than 04.

(Because the note, instrument number and player command level are transparent, it does not matter what they are.)

Source: xxx  x04xxxx Dest: xxx  x14xxxx

Next example


 Find and replace example 5

Find and replace example 5

Use the << >> buttons above for more examples.

This clears all player command digits. You might, for example, mark a selection before doing this.

Source: xxx  xxxxxxx Dest: xxx  x000000


 Generate Slide

Generate Slide example command types

Use type 0C (set volume) to fade in or out.

Use type 0F (set tempo) to speed up or slow down the song. Lower levels are slower speeds (in the usual BPM mode).

Use type 2E (track panning) to smoothly move a track's stereo location. A negative level is left of center, a positive level is right of center.

For more details about generic slide, click here


 Hold symbols

Hold symbols

Assume that instrument 2 has a hold value of 4.

In the first example, the hold value is used on line 0000 (i.e. the note decays after the 4th tick). In the second example, the hold symbols (-|-) keep the note held until line 0003, when the hold value is used.

Insert a hold symbol by pressing Return.

0000 C-3 2000000 Play note with instrument 02. Note stops after 4 ticks.
0001 --- 0000000 (silence)
0000 C-3 2000000 Play note with instrument 02.
0001 -|- 2000000 Note continues...
0002 -|- 2000000
0003 -|- 2000000 ...and stops here, after 4 ticks.
0004 --- 0000000 (silence)


 Computer keyboard layout

Computer keyboard layout

Click here to display the note names of a piano keyboard

Special keys:

FPlays at the instrument's deFault pitch

Shift+1Plays the instrument at 11025 Hz (a standard frequency)
Shift+2Plays the instrument at 22050 Hz (a standard frequency)
Shift+4Plays the instrument at 44100 Hz (a standard frequency)


 Keyboard graphic


 Playing an instrument with the computer keyboard

Playing an instrument with the computer keyboard: example

Click here to display the computer keyboard layout.

To play note A-4

  • Ensure that the Oct drop-down box is set to 34, then press the Y key.

Alternatively, set Oct to 45, then press the N key.

To play note C#6

  • Ensure that the Oct drop-down box is set to 67, then press the S key.

Alternatively, set Oct to 56, then press the 2 key.

Alternatively, set Oct to 45, then press the 9 key.


 Organizing instruments

Organizing instruments

This example shows the instruments in a module, before and after Organize Instruments is performed.

BEFORE AFTER
01 | 01 Buzz Bass
02 Buzz Bass | 02 Synth Keyboard
03 Synth Keyboard | 03 Elec Guitar
04 | 04
05 | 05
06 Elec Guitar | 06


 Changing the key pressure (types 0A, 0D)

Changing the key pressure (types 0A, 0D)

This plays two notes using the same instrument, and uses the two key pressure command types (polyphonic and channel).

(Command type is in red, command level 1 in green, command level 2 in blue.)

0000 D-6 5000000 F#6 5000000
0001 --- 0000000 --- 0000000
0002 --- 00A4000 --- 0000000 Set key pressure of note D-6 to 40 hex
 0003 --- 0000000 --- 0000000
0004 --- 00D6000 --- 0000000 Set key pressure of both notes (they are on the same MIDI channel) to 60 hex


 Playing Sequence Position Jump (type 0B)

Playing Sequence Position Jump (type 0B)

Consider the following playing sequence:

0001:0001: Introduction block 1
0002:0002: Introduction block 2
0003:0001: Introduction block 1
0004:0003: Main block 1
0005:0004: Main block 2
0006:0003: Main block 1
0007:0005: Main block 3

The song has an introduction and a main part. To repeat the main part continually, we need a jump from entry 7 to entry 4. Entry 7 contains block 5, so we add the following command at the very end of block 5:

0063--- 00B0300 Jump to entry 4 (command level + 1)

Alternatively, we could add a Jump To Position playing sequence command as entry 8.


 Set Volume (type 0C)

Set Volume (type 0C)

This example plays notes at different volumes. Assume that instrument 5 has a usual volume of 64 (40 hex ).

(Command type is in red, command level 1 in green, command level 2 in blue.)

0000 D-6 5000000 Play note at volume 40 hex (half volume)
0001 E-6 50C2000 Play note at volume 20 hex (quarter volume)
0002 F#6 5000000 Play note at volume 40 hex (half volume)
0003 G-6 50C7F00 Play note at volume 7F hex (full volume)
0004 --- 50C4000 Change previous note's volume to 40 hex. This does not work with MIDI instruments.


 Slide Volume (types 0D, 1A and 1B)

Slide Volume (types 0D, 1A and 1B)

(Command type is in red, command level 1 in green, command level 2 in blue.)

0000 F-4 50C4000 Play note at volume 40 hex (half volume)
0001 --- 00D0100 Decrease volume slightly
0002 --- 00D0100 Decrease volume a little more
0003 --- 00D2000 Increase volume back up to 40 hex
0004 --- 01A0200 Increase volume slightly (4 levels)
0005 --- 01A0200 And again
0006 --- 01B0380 Decrease volume by a bit more (7 levels)
0007 --- 01B0380 And again


 Wave/Pitch Sequence Position Jump (type 0E)

Wave/Pitch Sequence Position Jump (type 0E)

Assume that instrument 0A is a synthsound.

(Command type is in red, command level 1 in green, command level 2 in blue.)

0000 G#6 A000000 Play note for a bit...
0001 --- 0000000 ...
0002 --- 00E0200 ...then jump to line 02 of the synthsound's wave/pitch sequence.
This might, for example, start vibrato or decrease the volume.


 Jump To Next Playing Sequence Entry (command 0F0000, type 1D)

Jump To Next Playing Sequence Entry (command 0F0000, type 1D)

Two examples illustrating 0F00 and 1D. If Play Block is used, or there is only one block in the song, a jump in the current block is caused (rather than to the next entry in the playing sequence).

(Command type is in red, command level 1 in green, command level 2 in blue.)

0048 A-3 D0F0000 Play note then jump to next playing sequence entry.

or

0063 --- 01D0300 Jump to next playing sequence entry, starting the block at line 3 (the fourth line, if line numbers start at 0).


 Delay/Repeat Note (commands 0FF100-0FF500, type 1F)

Delay/Repeat Note (commands 0FF100-0FF500, type 1F)

The first example illustrates fast rhythms, particularly useful for percussion (e.g. hi-hats).

The second example causes an echo effect, caused by playing the same notes on two tracks but delaying the notes on the second track by half a line. (This is sometimes called a triole.)

The third example shows the use of 0FF400 and 0FF500 to evenly distribute three notes among four lines. The fourth example shows a use of type 1F.

All examples assume that Ticks/Line is set to 6 (the usual value).

(Command type is in red, command level 1 in green, command level 2 in blue.)

0000 F-4 50FF100 Plays note F-4 twice in the same line
0001 F-4 50FF300 Plays note F-4 three times in the same line
0002 F-4 50FF100 Same again..
0003 F-4 00FF300 ...

0000 A-6 5000000 A-6 50FF200 An echo effect...
0001 A-6 0000000 A-6 00FF200
0002 A-6 0000000 A-6 00FF200

0000 G-5 9000000 Plays first note in triole
0001 A-5 50FF400 Plays second note (delayed a bit)
0002 B-5 50FF500 Plays third note (delayed a lot)
0003 --- 5000000 Keeps playing third note

0000 F-4 51F0400 A 'shuffle' rhythm (plays F-4 twice but unevenly)
0001 F-4 51F0400
0002 F-4 51F0400


 Sending MIDI messages (command 0FF700, type 10)

Sending MIDI messages (command 0FF700, type 10)

This example shows the start of a MIDI song, where MIDI message 1 is used to set up the MIDI equipment for playing.

Assume that instrument 1 is a MIDI instrument with Soundblaster output device.

(Command type is in red, command level 1 in green, command level 2 in blue.)

0000 C-1 10C0000 Plays a note at volume 0. This sets the current track's output device to Soundblaster.
0001 --- 0100000 Sends MIDI message 1 to device Soundblaster (level 1 = message number minus one)
0002 --- 00FF700 Wait until MIDI message 1 has been fully sent
0003 C-5 1000000 The 'real' start of the song


 Change Note's Pitch (command 0FFD00)

Change Note's Pitch (command 0FFD00)

Assume that instrument 0B is a sample.

(Command type is in red, command level 1 in green, command level 2 in blue.)

0000 A#4 B000000 Play note A#
0001 --- 0000000
0002 G#4 B000000 Play note G#4 (returning to the sample's beginning)
0003 --- 0000000
0004 F#4 B0FFD00 Play note F#4 (continuing the sample from its current position)


 Stop Song/Block (command 0FFE00)

Stop Song/Block (command 0FFE00)

(Command type is in red, command level 1 in green, command level 2 in blue.)

0045 C#5 2000000
0046 D-5 20FFE00 Stops playing the song or block, after playing note D-5
0047 E-5 2000000 This note is not heard, because the song is stopped! (The 0FFE00 command may be temporary.)


 Stop Note (command 0FFF00)

Stop Note (command 0FFF00)

(Command type is in red, command level 1 in green, command level 2 in blue.)

0000 C#5 2000000
0001 --- 20FFF00 Stops playing note C#5
0000 C#5 2000000
0001 --- 20C0000 Sets note C#5's volume to zero. It seems to stop playing...
0002 --- 20C7F00 ...but it is now heard again, at full volume! (This cannot be done with 0FFF00)
0003 --- 20C0000 The effect continues...
0004 --- 20C7F00...


 Arpeggio (type 00)

Arpeggio (type 00)

This example creates a C major arpeggio.

Use level 37 for minor arpeggios, and 57 for a sustained 4th.

(Command type is in red, command level 1 in green, command level 2 in blue.)

0000 C-5 3000047 Rapidly plays notes C-5, E-5 and G-5 repeatedly. The second and third notes are 4 and 7 semi-tones above the first note.
0001 --- 0000047 The arpeggio is continued...
0002 --- 0000047 ...continues
0003 --- 0000000 ...and stopped


 Change MIDI Preset (type 1C)

Change MIDI Preset (type 1C)

Assume that instrument 2 plays on MIDI preset 5.

(Command type is in red, command level 1 in green, command level 2 in blue.)

0000 D-5 2000000 Play MIDI preset 5
0001 --- 01C0A00 Change most recently used instrument to preset 0A hex (10 decimal)
0002 D-5 0000000 Play MIDI preset 10
0003 D-5 01C2000 Play MIDI preset 32 (20 hex). Type 1C can appear beside a note.
0004 D-5 0000000 Play MIDI preset 32 again (the change is 'permanent')


 Set Track Panning (type 2E)

Set Track Panning (type 2E)

This example quickly 'sweeps' the panning on a particular track, from left to right and back to left. Best to use the automatic slide generator for this!

(Command type is in red, command level 1 in green, command level 2 in blue.)

0000 D-5 2000000
0001 --- 02EF000 Set track panning to far left (-16 decimal)
0002 --- 02EF800 Set track panning to center left (-8 decimal)
0003 --- 02E0000 Set track panning to center
0004 --- 02E0800 Set track panning to center right
0005 --- 02E1000 Set track panning to far right
0006 --- 02E0800 And back to the far left...
0007 --- 02E0000 ...
0008 --- 02EF800 ...
0009 --- 02EF000 ...here


 Setting hold and decay (type 08)

Setting hold and decay (type 08)

This example sets a note's hold value to 4 and decay to 1 (the slowest rate).

(Command type is in red, command level 1 in green, command level 2 in blue.)

0000 C-5 3 081400 Decay is 1, hold is 4
0001 C-5 3 000000 The instrument's usual hold and decay values are used here.
(the previous player command is forgotten)


 Set Finetune (type 15)

Set Finetune (type 15)

This example sets a note's finetune value to -2.

(Command type is in red, command level 1 in green, command level 2 in blue.)

0000 D-5 715FE00 Finetune value is -2 (FE in signed hex)
0001 D-5 7000000 The instrument's usual finetune value is used here (the previous player command is forgotten)


 Set Channel Volume (type 17)

Set Channel Volume (type 17)

As this example shows, type 17 changes the 'master' volume of all notes on the current MIDI channel.

(Command type is in red, command level 1 in green, command level 2 in blue.)

0000 C-5 10C4000 --- 0000000 Plays note C-5 at half volume
0001 --- 0000000 D-5 10C6000 Plays note D-5 at three-quarters volume
 0002 --- 0174000 --- 0000000 Turn down the 'master volume' of both notes, to half. (e.g. Note C-5 is now played at quarter volume.)


 Mute Note (type 18)

Mute Note (type 18)

(Command type is in red, command level 1 in green, command level 2 in blue.)

0000 D-5 7180400 Mutes the note after 4 ticks
0001 --- 0000000
0002 --- 00C7F00 The note is audible again (volume set to maximum)


 Setting specific standard MIDI controllers (types 04, 0E, 0F, 17)

Setting specific standard MIDI controllers (types 04, 0E, 0F, 17)

Several player commands set specific standard MIDI controllers.

  • Type 04: Modulation (controller number 1)
  • Type 0E: Pan (controller number 0A)
  • Type 0F with level 1 at FA or FB: Sustain foot pedal on or off (controller number 40)
  • Type 17: Channel volume (controller number 7)

(Command type is in red, command level 1 in green, command level 2 in blue.)

0000 C-5 3 0E7F00 Sets the note's pan (stereo location) to the far right
0001 --- 0 174000 Sets channel volume to 40 hex (half).
0002 D-5 3 043000 Sets modulation to 30 hex
0003 --- 0 0FFA00 Switches on the sustain pedal.
0004 STP 3 000000 This would stop the note, except the sustain pedal is on.
0005 --- 0 0FFB00 Now the note stops (sustain pedal off).


 Setting the tempo (types 09, 0F

Setting the tempo (types 09, 0F)

This example changes the tempo in two ways. The first way, using type 0F, is recommended. Tempo slides (speeding up or slowing down) are often effective.

(Command type is in red, command level 1 in green, command level 2 in blue.)

0000 --- 0 0F9600 Set main tempo to 150 decimal (96 hexadecimal)
0001 --- 0 090300 Halve the number of ticks per line (it is usually 6)


 Repeating and replaying lines (types 16 and 1E)

Repeating and replaying lines (types 16 and 1E)

This example illustrates types 16 (Repeat Lines), 1E (Replay Line), and 1B (Pitch Slide Down Once).

(Command type is in red, command level 1 in green, command level 2 in blue.)

0000 C-5 1000000 --- 0160000 Mark start of repeated section (level 1 = 00)
0001 D-5 1000000 --- 0000000
0002 E-5 1160300 --- 0000000 Mark end of repeated section, and repeat 3 times
0003 --- 0000000 --- 0000000
0004 --- 11B0200 --- 01E4000 Reduce volume by 2, and repeat 64 times (to fade away the note from full volume to nothing)


 Set MIDI Controllers (types 00, 05, and 31 to 3F)

Set MIDI Controllers (types 00, 05, and 31 to 3F)

Several player commands set MIDI controllers.

  • Types 04, 0E, 0FFA/0FFB, and 17 set specific standard controllers.

Example

  • Types 31 to 3F can be defined to set any controller (standard, RPN or NRPN).
  • Types 05 and 00 set any standard controller. (05 sets the controller number, 00 the controller value.)

In the example below, assume that type 31 has been set to change RPN controller 0 (pitch bend sensitivity), and it is 14-bit so that both command levels can be used to set the controller value.

(Command type is in red, command level 1 in green, command level 2 in blue.)

0000 --- 031012C Sets pitch bend sensitivity to value 12C hex (300 decimal).
0001 C-5 3050B00 Sets controller number 0B (expression)...
0002 --- 0004000 ...to value 40 hex
0003 F-6 3000100 Sets controller number 0B to value 01. (The most recent command 05 level is used.)
0004 --- 0055C00 Sets controller number 5C (tremolo depth)...
0005 G-7 3008000 ...to value 0 (because level 80 is value 0)


 Changing the sample playing position (types 19, 20 and 29)

Changing the sample playing position (types 19, 20 and 29)

This illustrates how to change a sample's starting position, and how to change the playing position while the sample is playing.

The other use of command 20 – playing the sample backwards – is also shown.

(Command type is in red, command level 1 in green, command level 2 in blue.)

0000 D-5 619003A Plays the sample from position 3A00 hex (14848 decimal). Thankfully, such levels can be found using the sample editor!

0001 --- 0000000
0002 --- 020FF00 Alter the current playing position of note D-5, 256 bytes backwards. This causes a stutter. (Use Insert Command into Song to set the command level.)

0003 --- 020FF00 Keep stuttering...
0004 --- 020FF00...
0005 D-5 0290102 Play the sample from its middle. It has been divided into 2 equal sections (the 02), and it is playing from the second of the two sections (the 01).

0006 --- 0290102 Has the same effect as the previous line
0007 --- 0200000 Play the sample backwards (from finish to start)


 Vibrato (types 04, 06, 14)

Vibrato (types 04, 06, 14)

For a given depth level, type 04 will produce a vibrato twice as deep as type 14.

The example also uses type 06 – vibrato and fading away at the same time. Alternatively, you could use a vibrato type and type 0D (Volume Slide) simultaneously, on different command pages.

(Command type is in red, command level 1 in green, command level 2 in blue.)

0000 D-6 7 048100 High speed, low depth
0001 --- 0 040000 Continue vibrato...
0002 --- 0 040000 ...
0003 --- 0 000000 ...and stop vibrato
0004 --- 0 148100 Same speed as before, but half the depth (type 14 used instead of 04)
0005 --- 0 140000 Continue vibrato...
0006 --- 0 060300 ...continue vibrato, and fade at speed 3
0007 --- 0 060300 ...continue...
0008 --- 0 000000 Stop vibrato and fading


 Filtering (types 23, 24, 25)

Filtering (types 23, 24, 25)

This example shows one use of the filtering command types.

Assuming that the two tracks below are in the same effect group, the filtering will affect both tracks. (By default, all tracks are in the same effect group.)

(Command type is in red, command level 1 in green, command level 2 in blue.)

0000 C-5 1258001 --- 0000000 Resonance = 800 hex, type = 1 (lowpass)
0001 --- 0241388 D-6 5000000 Cutoff = 1388 hex (5000 Hz)
0002 --- 023C003 --- 0000000 Sweep to cutoff E0 hex (12252 Hz), at speed 03


 Setting the pitchbender (types 01, 02, 03, 13)

Setting the pitchbender (types 01, 02, 03, 13)

Types 01 and 02 gradually turn the pitch bender up or down. Both types 03 and 13 set the pitch bender to a particular value, although type 03 cannot be used beside a note.

(Command type is in red, command level 1 in green, command level 2 in blue.)

0000 C-5 3132000 Set the pitch bender to position 20 hex (use type 13 beside a note)
0001 --- 0011000 Gradually turn the pitch bender up...
0002 --- 0000000
0003 --- 0021000 ...and back down
0004 --- 0000000
0005 --- 003F000 Sets the pitch bender to position -16 ( signed hex !). Type 13 could also have been used here. 0006 --- 0030000 Resets the pitch bender (type 01, 02, or 13 could also have been used)


 Pitch slide (types 01, 02, 03, 05, 11, 12, 21, 22)

Pitch slide (types 01, 02, 03, 05, 11, 12, 21, 22)

Several player commands cause a pitch slide:

  • Types 01, 02 and 03 slide on every tick. It is best to use the automatic slide creator for these types, but the example below shows how types 01/02 can usefully be added by hand.
  • Types 11 and 12 slide on only the first tick.
  • Types 21 and 22 slide on every tick at a fixed rate, regardless of the pitch. With the other commands, lower pitches mean slower slide speeds (command levels being equal).
  • Type 05 continues a slide, and also slides the volume (getting louder or softer).
  • Types 11, 12, 21 and 22 do not appear in the example, but are used in exactly the same way as 01 and 02.

(Command type is in red, command level 1 in green, command level 2 in blue.)

0000 C-5 3000000 Start note
0001 E-5 00303AB E-5 is not played – the slide target note is set to E-5 and sliding begins
0002 --- 00303AB Continue to slide up and reach the target note (this slide was created automatically)
0002 --- 00303AB Continue to slide up and reach the target note (this slide was created automatically)
0003 --- 0021000 Start sliding downwards (not towards any particular note – this bit done by hand)
0004 --- 0021500 Slide downwards a bit faster
0005 --- 0020000 Continue sliding – level 0000 slides at the same speed as before (15 hex). This is true for all sliding player commands.
0006 --- 0050200 Continue sliding, and fade away at speed 2
0007 --- 0050200 Continue sliding.....
0008 --- 0000000 Stop sliding and fading


 Player commands and command pages

Player commands and command pages

In this example, two different command pages are used to play note G-4 using two different settings.

0000G-4 20C4000 Command page 1: play note G-4 at volume level 40 (hex)
0000G-4 2190500 Command page 2: play note G-4, starting the sample at position 500 (hex)


 Programmable key

Programmable key

This programmable key plays a note at half-volume, using player command type 0C at level 40.

The note and instrument number are transparent, so that entering the key does not affect them.

xxx xx0C4000


 Set volume and play wave commands

Set volume and play wave commands

These sequences play waves 0 to 5 and back to 1, before repeating. They also sets the synthsound's volume to three-quarters (level 30).

000003000 Set volume to three-quarters, and play wave 0
00101     END01Play wave 1
00202 02  Play wave 2 (etc.)
00303 03
00404 04
00505 05
00606 04
00707 03
00808 02
00909     JMPJumps to...
0100A 01  ...line 1 to play wave 1 again
0110BEND  END


 Volume change commands

Volume change commands

This volume sequence starts at half-volume, increases the volume for a while, then decreases it back to half-volume. (It does not repeat this.)

20  Set half-volume
CHU Start to increase the volume...
02... at rate 2
WAI Wait (i.e. let the volume increase)...
20... for 32 time intervals (32 is 20 hexadecimal)
CHD Start to decrease the volume...
02... at the same rate as before
WAI Wait...
20... for the same time as before
CHU Start to increase the volume...
00... at level 0 (i.e. stop the volume change)
END


 Volume shape and speed commands

Volume shape and speed commands

This volume sequence uses a volume shape in wave 2. If the shape is a sine wave, for example, the volume will increase and decrease continually, and the volume change will become slower at its very loudest and softest.

It also sets the volume sequence's speed to 1 (the quickest).

EN2 Continually use the volume shape...
02  ...in wave 1
SPD Set the volume sequence's speed...
01  ...to 1
END


 Pitch slide commands

Pitch slide commands

This wave/pitch sequence slides the pitch up for a while, then returns to the original pitch and repeats. This produces a siren effect.

00  Play wave 0
CHU Start to slide the pitch up...
03  ...at rate 3
WAI Wait (i.e. let the slide continue)...
10  ...for 16 time intervals (16 is 10 hexadecimal)
RES Return to the original pitch
JMP Jump to...
00  ...the first line (assuming the first line is line 0)
END


 Vibrato commands

Vibrato commands

This wave/pitch sequence adds vibrato to the synthsound.

00  Play wave 0
VBD Vibrato depth...
07  ...7 (hex)
VBS Vibrato speed...
40  ...40 (hex)
END


 Vibrato, halt and vibrato shape commands

Vibrato, halt and vibrato shape commands

This wave/pitch sequence adds vibrato to the synthsound. It also allows the song to switch off vibrato, by jumping to the line after HLT using the 0E player command. Additionally, a vibrato shape in wave 1 is used.

00  Play wave 0
VWF Set vibrato shape to...
01  ...wave 1
VBD Vibrato depth...
07  ...7 (hex)
VBS Vibrato speed...
40  ...40 (hex)
HLT Stop the sequence (vibrato continues)
VBD Set vibrato depth to...
00  ...0, i.e. switch off vibrato (access this part via the 0E player command)
END


 Jumping in the volume sequence

Jumping in the volume sequence

These sequences allow the synthsound to fade away gradually rather than stop suddenly.
When your song wants to stop the note, it should use player command 0E to jump to line 2 of the wave/pitch sequence.
This jumps to line 4 of the volume sequence, which decreases the synthsound's volume!

000004000 Set full volume, and play wave 0
00101HLTHLT Stop both sequences
00202CHDJVS Player command 0E causes a jump in the wave/pitch sequence, which causes a jump in the volume sequence, to line...
003030202 ...2, which decreases the volume at speed 2.
00404END END.


 Halt and decay

Halt and decay

These sequences allow the synthsound to fade away gradually rather than stop suddenly.
The synthsound's decay value should be set to 2.
This will jump to line 2 of the volume sequence, which decreases the volume.

000004000   Set full volume, and play wave 0
00101HLTEND Stop the volume sequence
00202CHD    Decay causes a jump in the volume sequence, which decreases the volume...
0030302     ...at speed 2.
00404END    End


 wave/pitch

Jumping in the wave/pitch sequence

These sequences increase the volume from half-volume for a while, then add vibrato to the sound.
Using the JWS command, the vibrato does not start until the wait period is complete.

000002000    Set to half volume, and play wave 0
00101CHUHLT  Stop wave/pitch sequence, and increase volume...
0020201VBS   ...at speed 1.
00303WAI35   Wait (i.e. let the volume increase)...
0040410VBD .for 16 time intervals (10 hex).
00505CHU09   Increase volume...
0060600END   ...at speed 0 (i.e. stop volume increase).
00707JWS     Cause a jump in the wave/pitch sequence...
0080802      ...to line 2. This sets the vibrato speed to 35 (hex) and depth to 9.
00909END     End


 Arpeggio commands

Arpeggio commands

This wave/pitch sequence creates an arpeggio of a minor 7 th chord.

00  Play wave 0
ARP Start defining arpeggio
00  Bass note
03  Three halfsteps above the bass note
07  Seven halfsteps above the bass note
0A  Ten halfsteps above the bass note
A   REStop defining arpeggio, and start playing it
END